{*
/**
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 */
 
*}

<table id='fileviewtable'>
	<tr height='20'>
		{counter start=0 name="colCounter" print=false assign="colCounter"}
		<td scope='col' width='5' class='listViewThS1' nowrap>view/hide</td>
		{foreach from=$displayColumns key=colHeader item=params}
			{if $params.show}
			<td scope='col' width='{$params.width}%' class='listViewThS1' nowrap>
				<span sugar="sugar{$colCounter}"><div style='white-space: nowrap;'width='100%' align='{$params.align|default:'left'}'>
					{sugar_translate label=$params.label module='Administration'}
				</div></span sugar='sugar{$colCounter}'>
			</td>
			{/if}
				{counter name="colCounter"}
		{/foreach}
		<td scope='col' width='5' class='listViewThS1' nowrap>Select</td>
	</tr>
		{foreach name=rowIteration from=$data key=package_id item=package}
		{if $smarty.foreach.rowIteration.iteration is odd}
			{assign var='_bgColor' value=$bgColor[0]}
			{assign var='_rowColor' value=$rowColor[0]}
		{else}
			{assign var='_bgColor' value=$bgColor[1]}
			{assign var='_rowColor' value=$rowColor[1]}
		{/if}

			<tr id='package_tr_{$package_id}' height='20' onmouseover="setPointer(this, '{$package_id}', 'over', '{$_bgColor}', '{$bgHilite}', '');" onmouseout="setPointer(this, '{$package[$params.id]|default:$package.package_id}', 'out', '{$_bgColor}', '{$bgHilite}', '');" onmousedown="setPointer(this, '{$package_id}', 'click', '{$_bgColor}', '{$bgHilite}', '');">
			<td scope='row' align='left' valign=top class='{$_rowColor}S1' bgcolor='{$_bgColor}'><a class="listViewTdToolsS1" onclick="PackageManager.toggle_div('{$package_id}')" valign=top class='{$_rowColor}S1' bgcolor='{$_bgColor}'><span id='span_toggle_package_{$package_id}'><img src='{$imagePath}advanced_search.gif' width='8' height='8' alt='Advanced' border='0'>&nbsp;</span></a></td>
			{counter start=0 name="colCounter" print=false assign="colCounter"}
			{foreach from=$displayColumns key=col item=params}
				<td scope='row' align='{$params.align|default:'left'}' valign=top class='{$_rowColor}S1' bgcolor='{$_bgColor}'><span sugar="sugar{$colCounter}b">
					{if $params.show}
					{$package.$col}
					{/if}
				</span sugar='sugar{$colCounter}b'>
				</td>
				{counter name="colCounter"}
			{/foreach}
			<td scope='row' align='left' valign=top class='{$_rowColor}S1' bgcolor='{$_bgColor}'><a class="listViewTdToolsS1" onclick="PackageManager.select_package('{$package_id}')" valign=top class='{$_rowColor}S1' bgcolor='{$_bgColor}'>Select</a></td>
	    	</tr>
	    	<tr><td colspan="5"><table id='release_table_{$package_id}' style='display:none'>
	    	{foreach name=releaseIteration from=$package.releases key=release_id item=release}
		    	<tr id='release_tr_{$release_id}' height='20' onmouseover="setPointer(this, '{$release_id}', 'over', '{$_bgColor}', '{$bgHilite}', '');" onmouseout="setPointer(this, '{$release.release_id}', 'out', '{$_bgColor}', '{$bgHilite}', '');" onmousedown="setPointer(this, '{$release_id}', 'click', '{$_bgColor}', '{$bgHilite}', '');">
				{counter start=0 name="colCounter" print=false assign="colCounter"}
				{foreach from=$secondaryDisplayColumns key=col item=params}
					<td scope='row' align='{$params.align|default:'left'}' valign=top class='{$_rowColor}S1' bgcolor='{$_bgColor}'><span sugar="sugar{$colCounter}b">
						{$release.$col}
					</span sugar='sugar{$colCounter}b'>
					</td>
					{counter name="colCounter"}
				{/foreach}
				<td scope='row' align='left' valign=top class='{$_rowColor}S1' bgcolor='{$_bgColor}'><a class="listViewTdToolsS1" onclick="PackageManager.select_release('{$release_id}')" valign=top class='{$_rowColor}S1' bgcolor='{$_bgColor}'>Select</a></td>
		    	</tr>
		    {/foreach}
		    </table></td></tr>
	 	<tr><td colspan='20' class='listViewHRS1'></td></tr>
	{/foreach}
	
</table>
