<?php
// created: 2008-02-26 12:33:48
$GLOBALS["dictionary"]["KBDocumentKBTag"] = array (
  'table' => 'kbdocuments_kbtags',
  'fields' => 
  array (
    'id' => 
    array (
      'name' => 'id',
      'vname' => 'LBL_KBDOCUMENTS_KBTAGS_ID',
      'type' => 'varchar',
      'len' => '36',
      'required' => true,
      'reportable' => false,
    ),
    'kbdocument_id' => 
    array (
      'name' => 'kbdocument_id',
      'vname' => 'LBL_KBDOCUMENT_ID',
      'type' => 'varchar',
      'len' => '36',
      'required' => false,
      'reportable' => false,
    ),
    'kbtag_id' => 
    array (
      'name' => 'kbtag_id',
      'vname' => 'LBL_TAG_ID',
      'type' => 'varchar',
      'len' => '36',
      'required' => false,
      'reportable' => false,
    ),
    'date_entered' => 
    array (
      'name' => 'date_entered',
      'vname' => 'LBL_DATE_ENTERED',
      'type' => 'datetime',
      'comment' => 'Date record created',
    ),
    'created_by' => 
    array (
      'name' => 'created_by',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_CREATED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'dbType' => 'id',
      'source' => 'db',
    ),
    'revision' => 
    array (
      'name' => 'revision',
      'vname' => 'LBL_REVISION',
      'type' => 'varchar',
      'len' => '25',
    ),
    'deleted' => 
    array (
      'name' => 'deleted',
      'vname' => 'LBL_DELETED',
      'type' => 'bool',
      'default' => 0,
      'reportable' => false,
    ),
    'date_modified' => 
    array (
      'name' => 'date_modified',
      'vname' => 'LBL_DATE_MODIFIED',
      'type' => 'datetime',
    ),
    'created_by_link' => 
    array (
      'name' => 'created_by_link',
      'type' => 'link',
      'relationship' => 'kbrevisions_created_by',
      'vname' => 'LBL_CREATED_BY_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'created_by_name' => 
    array (
      'name' => 'created_by_name',
      'rname' => 'user_name',
      'db_concat_fields' => 
      array (
        0 => 'first_name',
        1 => 'last_name',
      ),
      'id_name' => 'created_by',
      'vname' => 'LBL_CREATED_BY_NAME',
      'type' => 'relate',
      'table' => 'users',
      'isnull' => 'true',
      'module' => 'Users',
      'dbType' => 'varchar',
      'link' => 'created_by_link',
      'len' => '255',
      'source' => 'non-db',
    ),
    'team_id' => 
    array (
      'name' => 'team_id',
      'vname' => 'LBL_TEAM_ID',
      'reportable' => false,
      'dbtype' => 'id',
      'type' => 'team_list',
    ),
    'team_name' => 
    array (
      'name' => 'team_name',
      'rname' => 'name',
      'id_name' => 'team_id',
      'vname' => 'LBL_TEAM',
      'type' => 'relate',
      'table' => 'teams',
      'isnull' => 'true',
      'module' => 'Teams',
      'link' => 'team_link',
      'massupdate' => false,
      'dbType' => 'varchar',
      'source' => 'non-db',
      'len' => 36,
    ),
    'team_link' => 
    array (
      'name' => 'team_link',
      'type' => 'link',
      'relationship' => 'kbdocuments_kbtags_team',
      'vname' => 'LBL_TEAMS_LINK',
      'link_type' => 'one',
      'module' => 'Teams',
      'bean_name' => 'Team',
      'source' => 'non-db',
    ),
  ),
  'relationships' => 
  array (
    'kbrevisions_created_by' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'DocumentRevisions',
      'rhs_table' => 'document_revisions',
      'rhs_key' => 'created_by',
      'relationship_type' => 'one-to-many',
    ),
    'kbdocuments_kbtags_team' => 
    array (
      'lhs_module' => 'Teams',
      'lhs_table' => 'teams',
      'lhs_key' => 'id',
      'rhs_module' => 'KBDocuments',
      'rhs_table' => 'kbdocuments_kbtags',
      'rhs_key' => 'team_id',
      'relationship_type' => 'one-to-many',
    ),
  ),
  'indices' => 
  array (
    0 => 
    array (
      'name' => 'kbdocumentskbtagspk',
      'type' => 'primary',
      'fields' => 
      array (
        0 => 'id',
      ),
    ),
  ),
);
?>
