<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 * *******************************************************************************/
require_once('include/EditView/EditView2.php');
function get_new_record_form (){
	$ss = new Sugar_Smarty();
	$ev = new EditView();
	$ev->populateBean = false;
	$ev->view = 'SideQuickCreate';
	$ev->ss = $ss;
	$module = (!empty($GLOBALS['QCModule']))?$GLOBALS['QCModule']: $GLOBALS['module'];
	$ev->setup($module, null, 'modules/'. $module.'/metadata/sidecreateviewdefs.php');
	$ev->showVCRControl = false;
	$ev->process();
	return get_left_form_header(translate('LBL_NEW_FORM_TITLE', $module))  . $ev->display(false, true) . '</table>';
}
?>
