/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
var numberEmailAddresses=0;var replyToFlagObject=new Object();function prefillEmailAddresses(o){for(i=0;i<o.length;i++){addEmailAddress(o[i].email_address,o[i].primary_address,o[i].reply_to_address,o[i].opt_out,o[i].invalid_email);}}
function addEmailAddress(address,primaryFlag,replyToFlag,optOutFlag,invalidFlag){var insertInto=document.getElementById('emailAddressesTable');var parentObj=insertInto.parentNode;var newContent=document.createElement("input");var newContentPrimaryFlag=document.createElement("input");var newContentReplyToFlag=document.createElement("input");var newContentOptOutFlag=document.createElement("input");var newContentInvalidFlag=document.createElement("input");var removeButton=document.createElement("img");var tbody=document.createElement("tbody");var tr=document.createElement("tr");var td1=document.createElement("td");var td2=document.createElement("td");var td3=document.createElement("td");var td4=document.createElement("td");var td5=document.createElement("td");var td6=document.createElement("td");newContent.setAttribute("type","text");newContent.setAttribute("name","emailAddress"+numberEmailAddresses);newContent.setAttribute("id","emailAddress"+numberEmailAddresses);newContent.setAttribute("size","30");if(address!=''){newContent.setAttribute("value",address);}
removeButton.setAttribute("id","removeButton"+numberEmailAddresses);removeButton.setAttribute("name",numberEmailAddresses)
removeButton.setAttribute("src","themes/Sugar/images/delete_inline.gif");removeButton['onclick']=function(){removeFromValidate('EditView','emailAddress'+this.name);var oNodeToRemove=document.getElementById('emailAddressRow'+this.name);oNodeToRemove.parentNode.removeChild(oNodeToRemove);removedIndex=parseInt(this.name);if(numberEmailAddresses!=removedIndex){for(x=removedIndex+1;x<numberEmailAddresses;x++){document.getElementById('emailAddress'+x).setAttribute("name","emailAddress"+(x-1));document.getElementById('emailAddress'+x).setAttribute("id","emailAddress"+(x-1));document.getElementById('emailAddressInvalidFlag'+x).setAttribute("id","emailAddressInvalidFlag"+(x-1));document.getElementById('emailAddressOptOutFlag'+x).setAttribute("id","emailAddressOptOutFlag"+(x-1));document.getElementById('emailAddressPrimaryFlag'+x).setAttribute("id","emailAddressPrimaryFlag"+(x-1));rButton=document.getElementById('removeButton'+x);rButton.setAttribute("name",(x-1));rButton.setAttribute("id","removeButton"+(x-1));document.getElementById('emailAddressRow'+x).setAttribute("id",'emailAddressRow'+(x-1));}}
numberEmailAddresses--;if(numberEmailAddresses==0){return;}
primaryFound=false;for(x=0;x<numberEmailAddresses;x++){if(document.getElementById('emailAddressPrimaryFlag'+x).checked){primaryFound=true;}}
if(!primaryFound){document.getElementById('emailAddressPrimaryFlag0').checked=true;document.getElementById('emailAddressPrimaryFlag0').value='emailAddress0';}}
newContentPrimaryFlag.setAttribute("type","radio");newContentPrimaryFlag.setAttribute("name","emailAddressPrimaryFlag");newContentPrimaryFlag.setAttribute("id","emailAddressPrimaryFlag"+numberEmailAddresses);newContentPrimaryFlag.setAttribute("value","emailAddress"+numberEmailAddresses);newContentPrimaryFlag.setAttribute("enabled","true");newContentPrimaryFlag['onclick']=function(){var form=document.forms['EditView'];if(!form){form=document.forms['editContactForm'];}
var nav=new String(navigator.appVersion);if(nav.match(/MSIE/gim)){for(i=0;i<form.elements.length;i++){var id=new String(form.elements[i].id);if(id.match(/emailAddressPrimaryFlag/gim)&&form.elements[i].type=='radio'&&id!=this.id){form.elements[i].checked=false;}}
this.checked=true;}}
newContentReplyToFlag.setAttribute("type","radio");newContentReplyToFlag.setAttribute("name","emailAddressReplyToFlag");newContentReplyToFlag.setAttribute("id","emailAddressReplyToFlag"+numberEmailAddresses);newContentReplyToFlag.setAttribute("value","emailAddress"+numberEmailAddresses);newContentReplyToFlag.setAttribute("enabled","true");newContentReplyToFlag['onclick']=function(){var form=document.forms['EditView'];if(!form){form=document.forms['editContactForm'];}
var nav=new String(navigator.appVersion);if(nav.match(/MSIE/gim)){for(i=0;i<form.elements.length;i++){var id=new String(form.elements[i].id);if(id.match(/emailAddressReplyToFlag/gim)&&form.elements[i].type=='radio'&&id!=this.id){form.elements[i].checked=false;}}}
for(i=0;i<form.elements.length;i++){var id=new String(form.elements[i].id);if(id.match(/emailAddressReplyToFlag/gim)&&form.elements[i].type=='radio'&&id!=this.id){replyToFlagObject[id]=false;}}
if(replyToFlagObject[this.id]){replyToFlagObject[this.id]=false;this.checked=false;}else{replyToFlagObject[this.id]=true;this.checked=true;}}
newContentOptOutFlag.setAttribute("type","checkbox");newContentOptOutFlag.setAttribute("name","emailAddressOptOutFlag[]");newContentOptOutFlag.setAttribute("id","emailAddressOptOutFlag"+numberEmailAddresses);newContentOptOutFlag.setAttribute("value","emailAddress"+numberEmailAddresses);newContentOptOutFlag.setAttribute("enabled","true");newContentOptOutFlag['onClick']=function(){var form=document.forms['EditView'];if(!form){form=document.forms['editContactForm'];}
var nav=new String(navigator.appVersion);if(nav.match(/MSIE/gim)){for(i=0;i<form.elements.length;i++){var id=new String(form.elements[i].id);if(id.match(/emailAddressOptOutFlag/gim)&&form.elements[i].type=='checkbox'&&id!=this.id){form.elements[i].checked=false;}}
this.checked=true;}}
newContentInvalidFlag.setAttribute("type","checkbox");newContentInvalidFlag.setAttribute("name","emailAddressInvalidFlag[]");newContentInvalidFlag.setAttribute("id","emailAddressInvalidFlag"+numberEmailAddresses);newContentInvalidFlag.setAttribute("value","emailAddress"+numberEmailAddresses);newContentInvalidFlag.setAttribute("enabled","true");newContentInvalidFlag['onClick']=function(){var form=document.forms['EditView'];if(!form){form=document.forms['editContactForm'];}
var nav=new String(navigator.appVersion);if(nav.match(/MSIE/gim)){for(i=0;i<form.elements.length;i++){var id=new String(form.elements[i].id);if(id.match(/emailAddressInvalidFlag/gim)&&form.elements[i].type=='checkbox'&&id!=this.id){form.elements[i].checked=false;}}
this.checked=true;}}
tr.setAttribute("id","emailAddressRow"+numberEmailAddresses);td1.setAttribute("class","tabEditViewDF");td1.setAttribute("nowrap","NOWRAP");td2.setAttribute("class","dataLabel");td3.setAttribute("class","dataLabel");td4.setAttribute("class","dataLabel");td5.setAttribute("class","dataLabel");td6.setAttribute("class","dataLabel");td1.setAttribute("className","dataLabel");td2.setAttribute("className","dataLabel");td3.setAttribute("className","dataLabel");td4.setAttribute("className","dataLabel");td5.setAttribute("className","dataLabel");td6.setAttribute("className","dataLabel");td1.appendChild(newContent);td1.appendChild(document.createTextNode(" "));td2.appendChild(removeButton);td3.appendChild(newContentPrimaryFlag);td4.appendChild(newContentReplyToFlag);td5.appendChild(newContentOptOutFlag);td6.appendChild(newContentInvalidFlag);tr.appendChild(td1);tr.appendChild(td2);tr.appendChild(td3);if(typeof(module)!='undefined'&&module=='Users'){tr.appendChild(td4);}else{tr.appendChild(td5);tr.appendChild(td6);}
tbody.appendChild(tr);insertInto.appendChild(tbody);parentObj.insertBefore(document.getElementById('targetBody'),insertInto);if(primaryFlag=='1'||(numberEmailAddresses==0)){newContentPrimaryFlag.setAttribute("checked",'true');}
if(replyToFlag=='1'){newContentReplyToFlag.setAttribute("checked","true");}
if(replyToFlag=='1'){replyToFlagObject[newContentReplyToFlag.id]=true;}else{replyToFlagObject[newContentReplyToFlag.id]=false;}
if(optOutFlag=='1'){newContentOptOutFlag.setAttribute("checked",'true');}
if(invalidFlag=='1'){newContentInvalidFlag.setAttribute("checked","true");}
addToValidate('EditView','emailAddress'+numberEmailAddresses,'email',true,SUGAR.language.get('app_strings','LBL_EMAIL_ADDRESS_BOOK_EMAIL_ADDR'));numberEmailAddresses++;}
