{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}
<script type="text/javascript" language="javascript" src="include/SugarEmailAddress/SugarEmailAddress.js"></script>
<script type="text/javascript" language="javascript">
	var module = '{$module}';
</script>
<table cellpadding="0" cellspacing="0" border="0" >
	<tr>
		<td class="dataField" valign="top" NOWRAP>
			<table cellpadding="0" cellspacing="0" border="0" id="emailAddressesTable">
				<tbody id="targetBody"></tbody>
				<tr>
					<td class="dataLabel" NOWRAP>
						<input type=hidden name='emailAddressWidget' value=1>
					</td>
					<td class="dataLabel" NOWRAP>
					    &nbsp;
					</td>
					<td class="dataLabel" NOWRAP>
						{$app_strings.LBL_EMAIL_PRIMARY}
					</td>
					{if $useReplyTo == true}
					<td class="dataLabel" NOWRAP>
						{$app_strings.LBL_EMAIL_REPLY_TO}
					</td>
					{/if}
					{if $useOptOut == true}
					<td class="dataLabel" NOWRAP>
						{$app_strings.LBL_EMAIL_OPT_OUT}
					</td>
					{/if}
					{if $useInvalid == true}
					<td class="dataLabel" NOWRAP>
						{$app_strings.LBL_EMAIL_INVALID}
					</td>
					{/if}
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td class="dataLabel" valign="top" NOWRAP>
			<div>
				<a href="javascript:addEmailAddress('','');"><img src="themes/Sugar/images/plus_inline.gif" border="0" height="10" width="10" class="img"></a>&nbsp;
				<a href="javascript:addEmailAddress('','');">{$app_strings.LBL_EMAIL_ADD}</a>
			</div>
		</td>
	</tr>
</table>
<input type="hidden" name="useEmailWidget" value="true">

<script type="text/javascript" language="javascript">
	var prefillEmailAddress = '{$prefillEmailAddresses}';
	var prefillData = {$prefillData};
	{literal}
	if(prefillEmailAddress) {
		prefillEmailAddresses(prefillData);
	}
	{/literal}
</script>
