<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/

$mod_strings = array (
	'ACCOUNT_REMOVE_PROJECT_CONFIRM' => 'Are you sure you want to remove this account from this project?',
	'ERR_DELETE_RECORD' => 'A record number must be specified to delete the account.',
	'LBL_ACCOUNT_NAME' => 'Company Name:',
	'LBL_ACCOUNT' => 'Company:',
	'LBL_ACTIVITIES_SUBPANEL_TITLE'=>'Activities',
	'LBL_ADDRESS_INFORMATION' => 'Address Information',
	'LBL_ANNUAL_REVENUE' => 'Annual Revenue:',
	'LBL_ANY_ADDRESS' => 'Any Address:',
	'LBL_ANY_EMAIL' => 'Any Email:',
	'LBL_ANY_PHONE' => 'Any Phone:',
	'LBL_ASSIGNED_TO_NAME' => 'Assigned to:',
	'LBL_RATING'=>'Rating',
	'LBL_ASSIGNED_USER'=>'Assigned to:',
	'LBL_ASSIGNED_TO_ID' => 'Assigned to:',
	'LBL_BILLING_ADDRESS_CITY' => 'Billing City:',
	'LBL_BILLING_ADDRESS_COUNTRY' => 'Billing Country:',
	'LBL_BILLING_ADDRESS_POSTALCODE' => 'Billing Postal Code:',
	'LBL_BILLING_ADDRESS_STATE' => 'Billing State:',
	'LBL_BILLING_ADDRESS_STREET_2' =>'Billing Street 2',
	'LBL_BILLING_ADDRESS_STREET_3' =>'Billing Street 3',
	'LBL_BILLING_ADDRESS_STREET_4' =>'Billing Street 4',
	'LBL_BILLING_ADDRESS_STREET' => 'Billing Street:',
	'LBL_BILLING_ADDRESS' => 'Billing Address:',
	'LBL_ACCOUNT_INFORMATION' => 'Company Information',
	'LBL_CITY' => 'City:',
	'LBL_CONTACTS_SUBPANEL_TITLE' => 'Contacts',
	'LBL_COUNTRY' => 'Country:',
	'LBL_DATE_ENTERED' => 'Date Entered:',
	'LBL_DATE_MODIFIED' => 'Date Modified:',
	'LBL_DEFAULT_SUBPANEL_TITLE' => 'Accounts',
	'LBL_DESCRIPTION_INFORMATION' => 'Description Information',
	'LBL_DESCRIPTION' => 'Description:',
	'LBL_DUPLICATE' => 'Possible Duplicate Account',
	'LBL_EMAIL' => 'Email:',
	'LBL_EMPLOYEES' => 'Employees:',
	'LBL_FAX' => 'Fax:',
	'LBL_INDUSTRY' => 'Industry:',
	'LBL_LIST_ACCOUNT_NAME' => 'Account Name',
	'LBL_LIST_CITY' => 'City',
	'LBL_LIST_EMAIL_ADDRESS' => 'Email Address',
	'LBL_LIST_PHONE' => 'Phone',
	'LBL_LIST_STATE' => 'State',
	'LBL_LIST_WEBSITE' => 'Website',
	'LBL_MEMBER_OF' => 'Member of:',
	'LBL_MEMBER_ORG_FORM_TITLE' => 'Member Organizations',
	'LBL_MEMBER_ORG_SUBPANEL_TITLE'=>'Member Organizations',
	'LBL_NAME'=>'Name:',
	'LBL_OTHER_EMAIL_ADDRESS' => 'Other Email:',
	'LBL_OTHER_PHONE' => 'Other Phone:',
	'LBL_OWNERSHIP' => 'Ownership:',
	'LBL_PARENT_ACCOUNT_ID' => 'Parent Account ID',
	'LBL_PHONE_ALT' => 'Alternate Phone:',
	'LBL_PHONE_FAX' => 'Phone Fax:',
	'LBL_PHONE_OFFICE' => 'Phone Office:',
	'LBL_PHONE' => 'Phone:',
	'LBL_POSTAL_CODE' => 'Postal Code:',
	'LBL_PUSH_BILLING' => 'Push Billing',
	'LBL_PUSH_SHIPPING' => 'Push Shipping',
	'LBL_SAVE_ACCOUNT' => 'Save Account',
	'LBL_SHIPPING_ADDRESS_CITY' => 'Shipping City:',
	'LBL_SHIPPING_ADDRESS_COUNTRY' => 'Shipping Country:',
	'LBL_SHIPPING_ADDRESS_POSTALCODE' => 'Shipping Postal Code:',
	'LBL_SHIPPING_ADDRESS_STATE' => 'Shipping State:',
	'LBL_SHIPPING_ADDRESS_STREET_2' => 'Shipping Street 2',
	'LBL_SHIPPING_ADDRESS_STREET_3' => 'Shipping Street 3',
	'LBL_SHIPPING_ADDRESS_STREET_4' => 'Shipping Street 4',
	'LBL_SHIPPING_ADDRESS_STREET' => 'Shipping Street:',
	'LBL_SHIPPING_ADDRESS' => 'Shipping Address:',

	'LBL_STATE' => 'State:',
	'LBL_TEAMS_LINK'=>'Teams',
	'LBL_TICKER_SYMBOL' => 'Ticker Symbol:',
	'LBL_TYPE' => 'Type:',
	'LBL_USERS_ASSIGNED_LINK'=>'Assigned Users',
	'LBL_USERS_CREATED_LINK'=>'Created By Users',
	'LBL_USERS_MODIFIED_LINK'=>'Modified Users',
	'LBL_VIEW_FORM_TITLE' => 'Account View',
	'LBL_WEBSITE' => 'Website:',

	'LNK_ACCOUNT_LIST' => 'Accounts',
	'LNK_NEW_ACCOUNT' => 'Create Account',

	'MSG_DUPLICATE' => 'Creating this account may potentially create a duplicate account. You may either select an account from the list below or you may click on Save to continue creating a new account with the previously entered data.',
	'MSG_SHOW_DUPLICATES' => 'Creating this account may potentially create a duplicate account. You may either click on Save to continue creating this new account with the previously entered data or you may click Cancel.',

	'NTC_COPY_BILLING_ADDRESS' => 'Copy billing address to shipping address',
	'NTC_COPY_BILLING_ADDRESS2' => 'Copy to shipping',
	'NTC_COPY_SHIPPING_ADDRESS' => 'Copy shipping address to billing address',
	'NTC_COPY_SHIPPING_ADDRESS2' => 'Copy to billing',
	'NTC_DELETE_CONFIRMATION' => 'Are you sure you want to delete this record?',
	'NTC_REMOVE_ACCOUNT_CONFIRMATION' => 'Are you sure you want to remove this record?',
	'NTC_REMOVE_MEMBER_ORG_CONFIRMATION' => 'Are you sure you want to remove this record as a member organization?',
);


