<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc. All Rights
 * Reserved. Contributor(s): contact@synolia.com - www.synolia.com
 * *******************************************************************************/

$mod_strings = array (

    'LBL_SYSOPTS_1' => 'Veuillez sélectionner parmi les options de configuration suivantes ci-dessous.',
    'LBL_SYSOPTS_2' => 'Préciser un type de base de données pour l&#39;installation de votre Sugar.',
    'LBL_SYSOPTS_CONFIG' => 'Paramètres système',
    'LBL_SYSOPTS_DB_TYPE' => 'Type de base de données',
    'LBL_SYSOPTS_DB' => 'Selection de la base de données',
    'LBL_SYSOPTS_DB_TITLE' => 'Type de base de données',
    'LBL_SYSOPTS_ERRS_TITLE' => 'Veuillez corriger les erreurs suivantes avant de continuer:',





















    'ERR_OC_PASSWORD' => 'Mot de passe requis.',
    'ERR_OC_SERVER_URL' => 'Url du serveur Sugar requis.',
    'ERR_OC_USERNAME' => 'Identifiant de l&#39;utilisateur du serveur requis.',
    'LBL_INSTALL_OC' => 'Installer un Client Déconnecté',
    'LBL_OC_ADMIN' => 'Veuillez contacter votre administrateur ou votre support pour résoudre ce problème.',
    'LBL_OC_SUCCESS' => 'Installation du client offline terminée. Veuillez clicquer sur le bouton ci-dessous pour vous rendre sur votre installation.',
    'LBL_OC_INSTALL_ADMIN_NAME' => 'Utilisateur Admin',
    'LBL_OC_INSTAL_DIRECTIONS' => 'Veuillez renseigner les infos ci-dessous afin d&#39;installer et syncroniser correctement votre client déconnecté.',
    'LBL_OC_INSTALL_SERVER_URL' => 'URL du Serveur Sugar',
    'LBL_OC_INSTALL_PASS' => 'Mot de passe pour l&#39;utilisateur du serveur',
    'LBL_OC_INSTALL_TITLE' => 'Installation d&#39;un Client Déconnecté',
    'LBL_OC_INSTALL_USERNAME_DETAILS' => 'Ceci est l&#39;identifiant avec lequel vous allez vous connecter sur votre serveur Sugar.',
    'LBL_OC_INSTALL_USERNAME' => 'Identifiant',
    'LBL_PERFORM_OC_INSTALL' => 'Initialisation de l&#39;installation du Client Déconnecté',
    'LBL_OC_INSTALL_DIRECTIONS' => 'Veuillez renseigner les informations ci-dessous afin de de configurer correctement et de synchroniser votre client offline.',


    'DEFAULT_CHARSET' => 'UTF-8',
    'ERR_ADMIN_PASS_BLANK' => 'Le mot de passe admin de SugarCRM ne peut pas être vide.',
    'ERR_CHECKSYS' => 'Des erreurs ont été détecté durant la vérification de compatibilité. Pour que votre installation de SugarCRM ce fasse correctement, veuillez effectuer les modifications appropriées pour corriger les problèmes signalés ci-dessous puis cliquer sur le bouton re-vérification ou relancer l&#39;installation.',
    'ERR_CHECKSYS_CALL_TIME' => 'La fonction &#39;Allow Call Time Pass Reference&#39; est à On (veuillez le désactiver dans le php.ini)',
    'ERR_CHECKSYS_CURL' => 'INTROUVABLE: Le planificateur Sugar fonctionnera avec des fonctionnalités limitées.',
    'ERR_CHECKSYS_IMAP' => 'INTROUVABLE: Les mails entrants et les campagnes (Email) nécessitent la librairie IMAP dans PHP. Aucun des 2 ne pourra fonctionner.',
    'ERR_CHECKSYS_MSSQL_MQGPC' => 'La fonction Magic Quotes GPC ne peut pas être mise à "On" lorsque vous utilisez MSSQL SERVER.',
    'ERR_CHECKSYS_MEM_LIMIT_0' => 'ATTENTION: ',
    'ERR_CHECKSYS_MEM_LIMIT_1' => ' (Mettre ',
    'ERR_CHECKSYS_MEM_LIMIT_2' => 'M ou plus dans votre fichier php.ini)',
    'ERR_CHECKSYS_MYSQL_VERSION' => 'Version Minimum 4.1.2 - Trouvée: ',
    'ERR_CHECKSYS_NO_SESSIONS' => 'Impossible d&#39;écrire ou lire les paramètres de session. Impossible de continuer l&#39;installation.',
    'ERR_CHECKSYS_NOT_VALID_DIR' => 'Répertoire Invalide',
    'ERR_CHECKSYS_NOT_WRITABLE' => 'ATTENTION: Impossible d&#39;écrire',
    'ERR_CHECKSYS_PHP_INVALID_VER' => 'Version de PHP installée Invalide: ( ver',
    'ERR_CHECKSYS_PHP_UNSUPPORTED' => 'Version de PHP installée non supportée: ( ver',
    'LBL_DB_UNAVAILABLE' => 'Base de données indisponible',
    'LBL_CHECKSYS_DB_SUPPORT_NOT_AVAILABLE' => 'Support de base de données non trouvé. Veuillez vous assurer que vous avez les pilotes nécessaires pour un des types de base de données supporté : MySQL, MS SQLServer ou Oracle. Vous pourriez avoir besoin de décommenter l&#39;extension dans le fichier php.ini, ou recompiler avec le bon fichier binaire, en fonction de votre version de PHP. Veuillez vous référer à votre manuel PHP pour plus d&#39;informations sur la façon de permettre le support la base de données',
    'LBL_CHECKSYS_XML_NOT_AVAILABLE' => 'Les fonctions associées aux bibliothèques de parsing XML qui sont nécessaires à Sugar n&#39;ont pas été retrouvés. Vous pourriez avoir besoin de décommenter l&#39;extension dans le fichier php.ini, ou recompiler avec le bon fichier binaire, en fonction de votre version de PHP. Veuillez vous référer à votre manuel PHP pour plus d&#39;informations.',
    'ERR_CHECKSYS_MBSTRING' => 'INTROUVABLE: SugarCRM ne pourra pas utiliser les jeux de caractères multibytes. Cela affectera la réception d&#39;emails dans des jeux de caractères différents de UTF-8.',
    'ERR_CHECKSYS_CONFIG_NOT_WRITABLE' => 'Le fichier de configuration existe, mais elle n&#39;est pas en écriture. Veuillez prendre les mesures nécessaires pour rendre le fichier en écriture. En fonction de votre système d&#39;exploitation, ceci pourrait vous demander de changer les permissions en exécutant "chmod 755", ou faire un clic-droit sur le nom du fichier pour accès aux propriétés et décochez l&#39;option de lecture seule.',
    'ERR_CHECKSYS_CUSTOM_NOT_WRITABLE' => 'Le Répertoire Custom existe, mais est non modifiables. Vous devrez peut-être modifier les permissions sur celui-ci (chmod 755) ou faire un clic droit dessus et décocher l&#39;option de lecture seule, en fonction de votre système d&#39;exploitation. Veuillez prendre les mesures nécessaires pour permettre l&#39;accès aux fichiers en écriture.',
    'ERR_CHECKSYS_FILES_NOT_WRITABLE' => 'Les fichiers ou répertoires énumérés ci-dessous ne sont pas modifiables. Veuillez prendre les mesures nécessaires pour permettre l&#39;écriture. En fonction de votre système d&#39;exploitation, il peut vous demander de changer les permissions sur les fichiers (chmod 755), ou de faire un clic droit sur le répertoire parent, désélectionnez l&#39;option "lecture seule" et de l&#39;appliquer à tous les sous-dossiers.',
    'ERR_CHECKSYS_SAFE_MODE' => 'Safe Mode est activé (veuillez le désactivé dans le fichier php.ini)',
    'ERR_CHECKSYS_ZLIB' => 'INTROUVABLE: SugarCRM peut gagner beaucoup en performance avec la compression zlib activée.',
    'ERR_DB_ADMIN' => 'Le login ou le mot de passe de l&#39;administrateur de la base de données est invalide (ERREUR ',
    'ERR_DB_ADMIN_MSSQL' => 'Le login ou le mot de passe de l&#39;administrateur de la base de données est invalide. Ne peut pas se connecter au serveur : ',
    'ERR_DB_EXISTS_NOT' => 'La base de données spécifiée n&#39;existe pas.',
    'ERR_DB_EXISTS_WITH_CONFIG' => 'La base de données contient déjà des données de configuration. Pour lancer une installation avec la base de données sélectionnées, veuillez relancer l&#39;installation et sélectionnez :"Effacer et recréer les tables existantes de SugarCRM ?" Pour mettre à jour, utilisez l&#39;assistant de mise à jour dans la console d&#39;administration.  Veullez lire la documentation de mise à jour située  <a href="http://www.sugarforge.org/content/downloads/" target="_new">ici</a>.',
    'ERR_DB_EXISTS' => 'Une base de données avec le même nom existe déjà--Impossible d&#39;en créer une autre avec le même nom.',
    'ERR_DB_EXISTS_PROCEED' => 'Une base de données avec le même nom existe déjà. <br>Utiliser le bouton Précédent et choisissez un nouveau nom de base de donnée ou vous pouvez choisir de cliquer sur le bouton Suivant et continuer, mais <strong> toutes les tables existantes et leurs données seront définitivement effacées.</strong>',
    'ERR_DB_HOSTNAME' => 'Le nom de l&#39;hote (Hostname) ne peut pas être vide.',
    'ERR_DB_INVALID' => 'Le type de base de données sélectionnée est invalide.',
    'ERR_DB_LOGIN_FAILURE_MYSQL' => 'Le login ou le mot de passe de l&#39;utilisateur de SugarCRM est invalide (ERREUR ',
    'ERR_DB_LOGIN_FAILURE_MSSQL' => 'Le login ou le mot de passe de la base de données SugarCRM est invalide.',
    'ERR_DB_MYSQL_VERSION1' => 'Version de MySQL ',
    'ERR_DB_MYSQL_VERSION2' => ' n&#39;est pas supporté. Seule la verion 4.1.x et plus de MySQL est supportée.',
    'ERR_DB_NAME' => 'Le nom de la base de données ne peut pas être vide.',
    'ERR_DB_NAME2' => 'Le nom de la base de données ne peut pas contenir les caractères &#39;&#39;, &#39;/&#39;, ou &#39;.&#39;',
    'ERR_DB_PASSWORD' => 'Les mots de passe pour SugarCRM ne correspondent pas.',
    'ERR_DB_PRIV_USER' => 'L&#39;identifiant Admin de la base de données est nécessaire.',
    'ERR_DB_USER_EXISTS' => 'L&#39;utilisateur pour SugarCRM existe déjà--Impossibe d&#39;en créer un second avec le même identifiant.',
    'ERR_DB_USER' => 'L&#39;identifiant pour SugarCRM ne peut pas être vide.',
    'ERR_DBCONF_VALIDATION' => 'Veuillez corriger les erreurs suivantes avant de continuer:',
    'ERR_DBCONF_PASSWORD_MISMATCH' => 'Le mot de passe pour la base de données Sugar est invalide.',
    'ERR_ERROR_GENERAL' => 'Les erreurs suivantes ont été rencontrées:',
    'ERR_LANG_CANNOT_DELETE_FILE' => 'Impossible d&#39;effacer le fichier: ',
    'ERR_LANG_MISSING_FILE' => 'Impossible de trouver le fichier: ',
    'ERR_LANG_NO_LANG_FILE' => 'Pas de pack de langue trouvé dans include/language à l&#39;intérieur de : ',
    'ERR_LANG_UPLOAD_1' => 'Un problème a été rencontré avec votre upload. Veuillez réessayer.',
    'ERR_LANG_UPLOAD_2' => 'PHP n&#39;a pas pu déplacer le fichier temporaire vers le répertoire de mises à jour.',
    'ERR_LANG_UPLOAD_3' => 'PHP n&#39;a pas pu déplacer le fichier temporaire vers le répertoire d&#39;upgrade.',
    'ERR_LICENSE_MISSING' => 'Les champs requis ne sont pas tous renseignés',
    'ERR_LICENSE_NOT_FOUND' => 'Fichier de licence introuvable!',
    'ERR_LOG_DIRECTORY_NOT_EXISTS' => 'Le répertoire de Logs définis n&#39;est pas valide.',
    'ERR_LOG_DIRECTORY_NOT_WRITABLE' => 'Impossible d&#39;écrire dans le répertoire de Logs défini.',
    'ERR_LOG_DIRECTORY_REQUIRED' => 'Un répertoire de Logs est obligatoire si vous voulez spécifier votre propre répertoire.',
    'ERR_NO_DIRECT_SCRIPT' => 'Impossible d&#39;exécuter le script directement.',
    'ERR_NO_SINGLE_QUOTE' => 'Vous ne pouvez pas utiliser de guillemet simple pour ',
    'ERR_PASSWORD_MISMATCH' => 'Les mots de passe pour SugarCRM Admin ne correspondent pas.',
    'ERR_PERFORM_CONFIG_PHP_1' => 'Impossible d&#39;écrire dans le fichier <span class=stop>config.php</span>.',
    'ERR_PERFORM_CONFIG_PHP_2' => 'Vous pouvez continuer cette installation en créant manuellement le fichier config.php et en collant les informations de configuration ci dessous dans le fichier. Cependant vous <strong>devez </strong> créer le fichier config.php avant de procéder à l&#39;étape suivante.',
    'ERR_PERFORM_CONFIG_PHP_3' => 'Avez vous créé le fichier config.php?',
    'ERR_PERFORM_CONFIG_PHP_4' => 'ATTENTION: Impossible d&#39;écrire dans le fichier config.php.  Veuillez vous assurer qu&#39;il existe.',
    'ERR_PERFORM_HTACCESS_1' => 'Impossible d&#39;écrire dans le fichier ',
    'ERR_PERFORM_HTACCESS_2' => ' .',
    'ERR_PERFORM_HTACCESS_3' => 'Si vous voulez sécuriser votre fichier de Logs d&#39;un accès par un navigateur, créez un fichier .htaccess dans le répertoire de Logs avec cette ligne:',
    'ERR_PERFORM_NO_TCPIP' => '<b>Nous n&#39;avons pas détecter de connexion internet.</b> Dès que vous en avez une, veuillez vous rendre sur  <a href="http://www.sugarcrm.com/home/index.php?option=com_extended_registration&task=register">http://www.sugarcrm.com/home/index.php?option=com_extended_registration&task=register</a> pour vous enregistrer auprès de SugarCRM.En nous laissant savoir comment votre société compte utiliser SugarCRM, nous pouvons vous garantir de vous fournir toujours la bonne application pour vos besoins de business.',
    'ERR_SESSION_DIRECTORY_NOT_EXISTS' => '>Le répertoire de session défini n&#39;est pas un répertoire valide.',
    'ERR_SESSION_DIRECTORY' => 'Impossible d&#39;écrire dans le répertoire de session défini.',
    'ERR_SESSION_PATH' => 'Un répertoire de session est nécessaire si vous voulez définir votre propre répertoire.',
    'ERR_SI_NO_CONFIG' => 'Vous n&#39;avez pas inclus de fichier config_si.php dans la racine ou vou n&#39;avez pas spécifié de $sugar_config_si dans le fichier config.php',
    'ERR_SITE_GUID' => 'ID d&#39;Application nécessaire si vous voulez spécifier votre propre application.',
    'ERR_UPLOAD_MAX_FILESIZE' => 'ATTENTION: Votre configuration de PHP doit être modifiée pour autoriser les fichiers d&#39;au moins 6MB a être téléchargés.',
    'LBL_UPLOAD_MAX_FILESIZE_TITLE' => 'Taille des fichiers d&#39;upload',
    'ERR_URL_BLANK' => 'URL ne peut pas être vide.',
    'ERR_UW_NO_UPDATE_RECORD' => 'Impossible de localiser l&#39;installation de',
    'ERROR_FLAVOR_INCOMPATIBLE' => 'Le fichier uploadé n&#39;est pas compatible avec cette note (Open Source, Professional, ou Enterprise) de Sugar Suite: ',
    'ERROR_LICENSE_EXPIRED' => 'ERREUR: Votre licence a expirée il y a ',
    'ERROR_LICENSE_EXPIRED2' => ' jour(s). Veuillez vous rendre dans <a href="index.php?action=LicenseSettings&module=Administration">"Gestion de licences"</a>  dans l&#39;écran d&#39;Admin pour renseigner votre nouvelle clé.  Si vous ne spécifier pas de nouvelle clé dans les 30 jours suivant l&#39;expiration de votre clé, vous ne pourrez plus vous connecter à l&#39;application .',
    'ERROR_MANIFEST_TYPE' => 'Le fichier Manifest doit spécifier un type de package.',
    'ERROR_PACKAGE_TYPE' => 'Le fichier Manifest spécifie un type de package non reconnu',
    'ERROR_VALIDATION_EXPIRED' => 'ERREUR: Votre licence a expirée il y a  ',
    'ERROR_VALIDATION_EXPIRED2' => ' jour(s).  Veuillez vous rendre dans <a href="index.php?action=LicenseSettings&module=Administration">"Gestion de licences"</a> dans l&#39;écran d&#39;Admin pour renseigner votre nouvelle clé.  Si vous ne spécifier pas de nouvelle clé dans les 30 jours suivant l&#39;expiration de votre clé, vous ne pourrez plus vous connecter à l&#39;application.',
    'ERROR_VERSION_INCOMPATIBLE' => 'Le fichier uploadé n&#39;est pas compatible avec la vesrion de Sugar Suite: ',
    'LBL_BACK' => 'Précédent',
    'LBL_CANCEL' => 'Annuler',
    'LBL_ACCEPT' => 'Accepter',
    'LBL_CHECKSYS_1' => 'Afin que votre installation de SugarCRM fonctionne correctement, veuillez vous assurer que toutes les vérifications du système listées ci-dessous sont en vert. Si au moins une est en rouge veuillez corriger le problème avant de continuer.<BR><BR>Pour obtenir de l&#39;aide sur ces vérifications systèmes, rendez-vous sur <a href="http://www.sugarcrm.com/crm/installation" target="_blank">Sugar Wiki</a>.',
    'LBL_CHECKSYS_CACHE' => 'Ecriture possible dans les sous-répertoires de cache ',
    'LBL_DROP_DB_CONFIRM' => 'Cette base de données existe déjà. Voulez-vous continuer et effacer les tables existantes ? Cela effacera toutes vos données présentes.',
    'LBL_CHECKSYS_CALL_TIME' => 'La fonction Allow Call Time Pass Reference est désactivée',
    'LBL_CHECKSYS_COMPONENT' => 'Composants',
    'LBL_CHECKSYS_COMPONENT_OPTIONAL' => 'Composants Optionels',
    'LBL_CHECKSYS_CONFIG' => 'Ecriture dans le fichier de config de SugarCRM (config.php)',
    'LBL_CHECKSYS_CURL' => 'Librairie cURL',
    'LBL_CHECKSYS_CUSTOM' => 'Ecriture possible dans le répertoire utilisateur',
    'LBL_CHECKSYS_DATA' => 'Ecriture possible dans les sous-répertoires de données',
    'LBL_CHECKSYS_IMAP' => 'IMAP Module',
    'LBL_CHECKSYS_MQGPC' => 'Magic Quotes GPC',
    'LBL_CHECKSYS_MBSTRING' => ' Module MB Strings',
    'LBL_CHECKSYS_MEM_OK' => 'OK (Pas de limite)',
    'LBL_CHECKSYS_MEM_UNLIMITED' => 'OK (Illimité)',
    'LBL_CHECKSYS_MEM' => 'Limite Mémoire PHP >= ',
    'LBL_CHECKSYS_MODULE' => 'Ecriture possible dans les sous-répertoires des modules et les fichiers',
    'LBL_CHECKSYS_MYSQL_VERSION' => 'Version de MySQL',
    'LBL_CHECKSYS_NOT_AVAILABLE' => 'Non disponible',
    'LBL_CHECKSYS_OK' => 'OK',
    'LBL_CHECKSYS_PHP_INI' => '<b>nOTE:</b> Votre fichier de configuration php (php.ini) est situé ici :',
    'LBL_CHECKSYS_PHP_OK' => 'OK (ver ',
    'LBL_CHECKSYS_PHPVER' => 'Version PHP ',
    'LBL_CHECKSYS_RECHECK' => 'Re-vérifier',
    'LBL_CHECKSYS_SAFE_MODE' => 'La fonction PHP Safe Mode est désactivée',
    'LBL_CHECKSYS_SESSION' => 'Ecriture possible dans chemin de sauvegarde des sessions (',
    'LBL_CHECKSYS_STATUS' => 'Statut',
    'LBL_CHECKSYS_TITLE' => 'Vérification du System Accepté',
    'LBL_CHECKSYS_VER' => 'Trouvé: ( ver ',
    'LBL_CHECKSYS_XML' => 'Parsage du XML',
    'LBL_CHECKSYS_ZLIB' => 'Module ZLIB Compression',
    'LBL_CHECKSYS_FIX_FILES' => 'Veuillez corriger les fichiers ou répertoires suivants avant de poursuivre :',
    'LBL_CHECKSYS_FIX_MODULE_FILES' => 'Veuillez corriger les fichiers ou répertoires de module suivants avant de poursuivre :',
    'LBL_CLOSE' => 'Fermer',
    'LBL_THREE' => '3',
    'LBL_CONFIRM_BE_CREATED' => 'à créer',
    'LBL_CONFIRM_DB_TYPE' => 'Type base de données',
    'LBL_CONFIRM_DIRECTIONS' => 'Veuillez confirmer les paramètres ci-dessous. Si vous voulez modifier une des valeur, cliquez sur "précédent". Sinon cliquez sur "suivant" pour commencer l&#39;installation.',
    'LBL_CONFIRM_LICENSE_TITLE' => 'Information concernant la License',
    'LBL_CONFIRM_NOT' => 'pas',
    'LBL_CONFIRM_TITLE' => 'Confirmer les paramètres',
    'LBL_CONFIRM_WILL' => 'va',
    'LBL_DBCONF_CREATE_DB' => 'Créer la base de données',
    'LBL_DBCONF_CREATE_USER' => 'Créer Utilisateur',
    'LBL_DBCONF_DB_DROP_CREATE_WARN' => 'AVERTISSEMENT: Toutes les données de Sugar seront effacées<br> si cette case est coché.',
    'LBL_DBCONF_DB_DROP_CREATE' => 'Effacer et recréer les tables Sugar existantes ?',
    'LBL_DBCONF_DB_DROP' => 'Supprimer les tables',
    'LBL_DBCONF_DB_NAME' => 'Nom de la base de données',
    'LBL_DBCONF_DB_PASSWORD' => 'Mot de passe de base de données',
    'LBL_DBCONF_DB_PASSWORD2' => 'Re-saisissez votre mot de passe pour la base de données',
    'LBL_DBCONF_DB_USER' => 'Utilisateur de la base de données',
    'LBL_DBCONF_SUGAR_DB_USER' => 'Utilisateur Sugar de la base de données',
    'LBL_DBCONF_DB_ADMIN_USER' => 'Utilisateur admin de la base de données',
    'LBL_DBCONF_DB_ADMIN_PASSWORD' => 'Mot de passe admin de la base de données',
    'LBL_DBCONF_DEMO_DATA' => 'Remplir la base de données avec des données de Démo?',
    'LBL_DBCONF_DEMO_DATA_TITLE' => 'Données de démo',
    'LBL_DBCONF_HOST_NAME' => 'Nom de l&#39;Hôte (HostName)',
    'LBL_DBCONF_HOST_NAME_MSSQL' => 'Nom de l&#39;Hôte \\ Nom de l&#39;instance',
    'LBL_DBCONF_INSTRUCTIONS' => 'Veuillez saisir les infos de configuration de la base de données. Si vous n&#39;êtes pas sûr des champs à renseigner, nous vous conseillons d&#39;utiliser les valeurs par défaut.',
    'LBL_DBCONF_MB_DEMO_DATA' => 'Utiliser du texte multi-octet dans les données de démo?',
    'LBL_DBCONFIG_MSG2' => 'Entrer le nom de votre serveur de base de données.',
    'LBL_DBCONFIG_MSG3' => 'Entrer un nom pour la bse de données Sugar.',
    'LBL_DBCONFIG_B_MSG1' => 'Entrer le nom et le mot de passe admin pour la base de donnée. Cet admin doit avoir les permissions adéquates pour créer et écrire la base de données de Sugar.',
    'LBL_DBCONFIG_SECURITY' => 'Pour des raisons de sécurité, vous devez avoir un et un seul admin pour la base de données Sugar. Nous pouvons créer cet admin pour vous ou vous pouvez le spécifier vous même.',
    'LBL_DBCONFIG_AUTO_DD' => 'Le faire pour moi',
    'LBL_DBCONFIG_PROVIDE_DD' => 'Fournir un utilisateur existant',
    'LBL_DBCONFIG_CREATE_DD' => 'Définir un utilisateur à créer',
    'LBL_DBCONFIG_SAME_DD' => 'Identique à l&#39;utilisateur admin',
    'LBL_MSSQL_FTS' => 'Recherche plein texte',
    'LBL_MSSQL_FTS_INSTALLED' => 'Installé',
    'LBL_MSSQL_FTS_INSTALLED_ERR1' => 'La fonctionnalité de recheche plein texte n&#39;est pas installé.',
    'LBL_MSSQL_FTS_INSTALLED_ERR2' => 'Vous pouvez installer mais vous ne pourrez pas utiliser la recherche plein texte sans reinstaller SQL Server avec la recherche plein texte activé. Veuillez vous référer au manuel d&#39;installation de SQL Server ou contacter votre administrateur.',
    'LBL_DBCONF_PRIV_PASS' => 'Mot de passe de l&#39;utilisateur privilègié de la base de données',
    'LBL_DBCONF_PRIV_USER_2' => 'Le compte utilisateur de la base de données est celui d&#39;un utilisateur privilègié?',
    'LBL_DBCONF_PRIV_USER_DIRECTIONS' => 'Cet utilisateur privilègié doit avoir les bonnes autorisations pour créer une base de données, créer/supprimer tables, créer des utilisateurs. Cet utilsateur privilègié va être utilisé pour exécuter ces tâche pendant le processus d&#39;installation. Vous pouvez aussi utiliser le même utilisateur que ci-dessus si cet utilisateur a des privilèges suffisants.',
    'LBL_DBCONF_PRIV_USER' => 'Identifiant de l&#39;utilisateur pivilègié de la base de données',
    'LBL_DBCONF_TITLE' => 'Configuration de la base de données',
    'LBL_DBCONF_TITLE_NAME' => 'Nom de la base de données',
    'LBL_DBCONF_TITLE_USER_INFO' => 'Information concernant l&#39;utilisateur de la base de données',
    'LBL_DISABLED_DESCRIPTION_2' => 'Après avoir fait cette modification, vous pouvez cliquer sur le bouton "Démarrer" ci-dessous pour lancer l&#39;installation.  <i>Une fois l&#39;installation terminée, vous pouvez modifier la valeur de  &#39;installer_locked&#39; à &#39;true&#39;.</i>',
    'LBL_DISABLED_DESCRIPTION' => 'Le processus d&#39;installation a été lancé déjà une fois. Pour des mesures de sécurité, lon lancement une seconde fois a été désactivé. Si vous êtes absolument certain que vous voulez le lancer encore une fois, veuillez trouver (ou ajouter) dans votre fichier config.php la variable suivante:  &#39;installer_locked&#39; et renseignez sa valeur à &#39;false&#39;.  La ligne doit être comme celle-ci:',
    'LBL_DISABLED_HELP_1' => 'Pour avoir de l&#39;aide sur installation, veuillez vous rendre sur SugarCRM',
    'LBL_DISABLED_HELP_LNK' => 'http://www.sugarcrm.com/forums/',
    'LBL_DISABLED_HELP_2' => 'forums d&#39;aide',
    'LBL_DISABLED_TITLE_2' => 'L&#39;installation SugarCRM a été désactivée',
    'LBL_DISABLED_TITLE' => 'Installation SugarCRM désactivée',
    'LBL_EMAIL_CHARSET_DESC' => 'Définir ce jeu de caractère comme le jeu le plus couramment utilisé dans votre locale',
    'LBL_EMAIL_CHARSET_TITLE' => 'Jeux de caratères pour les e-mails sortants',
    'LBL_EMAIL_CHARSET_CONF' => 'Jeux de caratères pour les e-mails sortants ',
    'LBL_HELP' => 'Aide',
    'LBL_INSTALL' => 'Installation',
    'LBL_INSTALL_TYPE_TITLE' => 'Options d&#39;installation',
    'LBL_INSTALL_TYPE_SUBTITLE' => 'Sélectionner votre type d&#39;installation',
    'LBL_INSTALL_TYPE_TYPICAL' => 'Installation standard',
    'LBL_INSTALL_TYPE_CUSTOM' => 'Installation personnalisée',
    'LBL_INSTALL_TYPE_MSG1' => 'Cette clé n&#39;est pas requise pour l&#39;installation mais serat requise pour les fonctionnalitées générales. Vous pourrez entrer cette clé ultérieurement aprés avoir finit votre insatallation et vous êtres identifiées dans l&#39;application.',
    'LBL_INSTALL_TYPE_MSG2' => 'Informations minimum requises pour l&#39;installation. Recommandé pour les nouveaux utilisateurs.',
    'LBL_INSTALL_TYPE_MSG3' => 'Fournit des options supplémentaires pour personnaliser votre installation. Ces options sont également disponibles après l&#39;installation dans l&#39;écran d&#39;admin. Recommandé pour les utilisateurs.',
    'LBL_LANG_1' => 'Si vous voulez installer un autre pack de langue autre que celui par défaut de US-English, vous pouvez le faire ci-dessous. Sinon cliquez sur "Suivant" pour paser à l&#39;étape suivante.',
    'LBL_LANG_BUTTON_COMMIT' => 'Installer',
    'LBL_LANG_BUTTON_REMOVE' => 'Supprimer',
    'LBL_LANG_BUTTON_UNINSTALL' => 'Désinstaller',
    'LBL_LANG_BUTTON_UPLOAD' => 'Upload',
    'LBL_LANG_NO_PACKS' => 'aucun',
    'LBL_LANG_PACK_INSTALLED' => 'Les packs de langue suivants ont été installé: ',
    'LBL_LANG_PACK_READY' => 'Les packs de langue suivants sont prêts à être installés: ',
    'LBL_LANG_SUCCESS' => 'Le pack de langue à été uploadé avec succès.',
    'LBL_LANG_TITLE' => 'Pack de Langue ',
    'LBL_LANG_UPLOAD' => 'Uploader un pack de langue',
    'LBL_LICENSE_ACCEPTANCE' => 'Acceptation de la licence',
    'LBL_LICENSE_CHECKING' => 'Vérifier les compatibilitées systèmes',
    'LBL_LICENSE_CHKENV_HEADER' => 'Vérifications de l&#39;environnement',
    'LBL_LICENSE_CHKDB_HEADER' => 'Vérification des droits de la base de données',
    'LBL_LICENSE_CHECK_PASSED' => 'Test pour la compatibilité système passé',
    'LBL_LICENSE_REDIRECT' => 'Redirigé dans ',
    'LBL_LICENSE_DIRECTIONS' => 'Si vous avez votre information de licence, veuillez la renseigner dans les champs ci-dessous.',
    'LBL_LICENSE_DOWNLOAD_KEY' => 'Télecharger la clé',
    'LBL_LICENSE_EXPIRY' => 'Date d&#39;Expiration',
    'LBL_LICENSE_I_ACCEPT' => 'J&#39;Accepte',
    'LBL_LICENSE_NUM_USERS' => 'Nombre d&#39;utilisateurs',
    'LBL_LICENSE_OC_DIRECTIONS' => 'Veuillez sasir le nombre de clients déconnectés achetés.',
    'LBL_LICENSE_OC_NUM' => 'Nombre de licences de clients déconnectés',
    'LBL_LICENSE_OC' => 'Licences de clients déconnectés',
    'LBL_LICENSE_PRINTABLE' => ' Apperçu avant impression',
    'LBL_PRINT_SUMM' => 'Imprimer un résumé',
    'LBL_LICENSE_TITLE_2' => 'License SugarCRM ',
    'LBL_LICENSE_TITLE' => 'Information License ',
    'LBL_LICENSE_USERS' => 'Utilisateurs autorisés',
    'LBL_LOCALE_CURRENCY' => 'Paramètres de la devise',
    'LBL_LOCALE_CURR_DEFAULT' => 'Devise par défaut',
    'LBL_LOCALE_CURR_SYMBOL' => 'Symbole de la devise',
    'LBL_LOCALE_CURR_ISO' => 'Code de la devise (ISO 4217)',
    'LBL_LOCALE_CURR_1000S' => 'Séparateur des milliers',
    'LBL_LOCALE_CURR_DECIMAL' => 'Séparateur décimal',
    'LBL_LOCALE_CURR_EXAMPLE' => 'Exemple',
    'LBL_LOCALE_CURR_SIG_DIGITS' => 'Chiffres significatifs',
    'LBL_LOCALE_DATEF' => 'Format de date par défaut',
    'LBL_LOCALE_DESC' => 'Ajustez votre paramètrage des variables Locales ci-dessous.',
    'LBL_LOCALE_EXPORT' => 'Jeux de caractères pour les exports (pour les exports de vCard et CSV)',
    'LBL_LOCALE_EXPORT_DELIMITER' => 'Export avec délimiteur (.csv)',
    'LBL_LOCALE_EXPORT_TITLE' => 'Paramètrage d&#39;export',
    'LBL_LOCALE_LANG' => 'Langue par défaut',
    'LBL_LOCALE_NAMEF' => 'Format du nom par défaut',
    'LBL_LOCALE_NAMEF_DESC' => '"s" Civilité<br />"f" Prénom<br />"l" Nom',
    'LBL_LOCALE_NAME_FIRST' => 'David',
    'LBL_LOCALE_NAME_LAST' => 'Livingstone',
    'LBL_LOCALE_NAME_SALUTATION' => 'Dr.',
    'LBL_LOCALE_TIMEF' => 'Format de l&#39;heure par défaut',
    'LBL_LOCALE_TITLE' => 'Paramètrages des variables Locales',
    'LBL_CUSTOMIZE_LOCALE' => 'Personnaliser vos paramètres locaux',
    'LBL_LOCALE_UI' => 'Interface Utilisateur',
    'LBL_ML_ACTION' => 'Action',
    'LBL_ML_DESCRIPTION' => 'Description',
    'LBL_ML_INSTALLED' => 'Date d&#39;Installation',
    'LBL_ML_NAME' => 'Nom',
    'LBL_ML_PUBLISHED' => 'Date Publication',
    'LBL_ML_TYPE' => 'Type',
    'LBL_ML_UNINSTALLABLE' => 'Impossible de désinstaller',
    'LBL_ML_VERSION' => 'Version',
    'LBL_MSSQL' => 'MSSQL Server',
    'LBL_MSSQL2' => 'SQL Serveur (FreeTDS)',
    'LBL_MYSQL' => 'MySQL',
    'LBL_NEXT' => 'Suivant',
    'LBL_NO' => 'Non',
    'LBL_ORACLE' => 'Oracle',
    'LBL_PERFORM_ADMIN_PASSWORD' => 'Définir le mot de passe pour l&#39;admin du site',
    'LBL_PERFORM_AUDIT_TABLE' => 'auditer la table ?',
    'LBL_PERFORM_CONFIG_PHP' => 'Création de fichier de configuration Sugar',
    'LBL_PERFORM_CREATE_DB_1' => 'Création de la base de données ',
    'LBL_PERFORM_CREATE_DB_2' => ' ok ',
    'LBL_PERFORM_CREATE_DB_USER' => 'Création de l&#39;utilisateur et mot de passe de la base de données...',
    'LBL_PERFORM_CREATE_DEFAULT' => 'Création de données Sugar par défaut',
    'LBL_PERFORM_CREATE_LOCALHOST' => 'Création de l&#39;utilisateur et mot de passe pour le localhost...',
    'LBL_PERFORM_CREATE_RELATIONSHIPS' => 'Création des tables relationnelles Sugar',
    'LBL_PERFORM_CREATING' => 'création / ',
    'LBL_PERFORM_DEFAULT_REPORTS' => 'Création des rapports par défaut',
    'LBL_PERFORM_DEFAULT_SCHEDULER' => 'Création de tâches du planificateur par défaut',
    'LBL_PERFORM_DEFAULT_SETTINGS' => 'Insertion des paramètres par défaut',
    'LBL_PERFORM_DEFAULT_USERS' => 'Création des utilisateur par défaut',
    'LBL_PERFORM_DEMO_DATA' => 'Remplir la base de données avec les données de démo  (ceci peut prendre un peu de temps)...',
    'LBL_PERFORM_DONE' => 'fait<br>',
    'LBL_PERFORM_DROPPING' => 'suppression / ',
    'LBL_PERFORM_FINISH' => 'Finir',
    'LBL_PERFORM_LICENSE_SETTINGS' => 'Mise à jour de l&#39;information de license',
    'LBL_PERFORM_OUTRO_1' => 'Le paramètrage de Sugar ',
    'LBL_PERFORM_OUTRO_2' => ' est maintenant términé.',
    'LBL_PERFORM_OUTRO_3' => 'Temps total: ',
    'LBL_PERFORM_OUTRO_4' => ' secondes.',
    'LBL_PERFORM_OUTRO_5' => 'Mémoire utilisée Approx.: ',
    'LBL_PERFORM_OUTRO_6' => ' octets.',
    'LBL_PERFORM_OUTRO_7' => 'Votre système est maintenant installé et configuré pour être utilisé.',
    'LBL_PERFORM_REL_META' => 'relation meta ... ',
    'LBL_PERFORM_SUCCESS' => 'Succès !',
    'LBL_PERFORM_TABLES' => 'Création de tables de l&#39;application Sugar, tables d&#39;audit, et relations des metadonnées...',
    'LBL_PERFORM_TITLE' => 'Paramètrer',
    'LBL_PRINT' => 'Imprimer',
    'LBL_REG_CONF_1' => 'SVP veuillez prendre un instant pour vous enregistrer avec sugarCRM. En nous laissant savoir comment votre société compte utilisr SugarCRM, nous pouvons vous garantir de vous fournir toujours la bonne application pour vos besoins de business.',
    'LBL_REG_CONF_2' => 'Votre nom et votre adresse email sont les seuls champs requis pour l&#39;enregistrement. Tous les autrs champs sont optionnels, mais nous aiderons beaucoup. Nous ne revendons pas, ni ne louons, ni ne partageons, ni ne redistribuons d&#39;une quelconque façon les informations transmises ici',
    'LBL_REG_CONF_3' => 'Merci de vous être enregistré. Cliquez sur le bouton Terminer pour vous logguer sur SugarCRM. Vous aurez besoin de vous logguer pour la première fois avec l&#39;utilisateur "admin" et le mot de passe renseigné lors de la 2ème étape.',
    'LBL_REG_TITLE' => 'Enregistrement',
    'LBL_REG_NO_THANKS' => 'Non merci',
    'LBL_REQUIRED' => '* Champs requis',
    'LBL_SITECFG_ADMIN_Name' => 'Nom de l&#39;utilisateur admin de Sugar',
    'LBL_SITECFG_ADMIN_PASS_2' => 'Re-saisissez le mote de passe <em>Admin</em> de Sugar',
    'LBL_SITECFG_ADMIN_PASS_WARN' => 'ATTENTION: Vous allez remplacer le mot de passe admin de toute installation précédente.',
    'LBL_SITECFG_ADMIN_PASS' => 'Mot de passe <em>Admin</em> de Sugar',
    'LBL_SITECFG_APP_ID' => 'ID Application',
    'LBL_SITECFG_CUSTOM_ID_DIRECTIONS' => 'Ecraser l&#39;ID d&#39;Application autogénéré qui empêche les sessions d&#39;une instance de sugar d&#39;être utilisé sur une autre instance. Si vous avez un cluster d&#39;installation de Sugar, elles doivent toute partager le même ID d&#39;Application',
    'LBL_SITECFG_CUSTOM_ID' => 'Fournissez votre propre ID d&#39;Application',
    'LBL_SITECFG_CUSTOM_LOG_DIRECTIONS' => 'Ecraser le répertoire par défaut ou résident les Logs de Sugar. Aucun problème d&#39;où vous aller mettre le fichier de Logs, l&#39;accès à celui-ci par un navigateur sera limité par une redirection du .htaccess ',
    'LBL_SITECFG_CUSTOM_LOG' => 'Utilisez un répertoire personnalisé pour les Logs',
    'LBL_SITECFG_CUSTOM_SESSION_DIRECTIONS' => 'Fournissez un répertoire sécurisé pour enregistrer les informations de session et empêcher les données de sessions d&#39;être vulnérables sur les serveurs mutualisés.',
    'LBL_SITECFG_CUSTOM_SESSION' => 'Utiliser un répertoire de session personnalisé pour Sugar',
    'LBL_SITECFG_DIRECTIONS' => 'Veuillez saisir les informations de confiuration de votre site. Si vous n&#39;êtes pas sûr des champs, nous vous suggérons d&#39;utiliser les valeurs par défaut.',
    'LBL_SITECFG_FIX_ERRORS' => 'Veuillez corriger les erreurs suivant avant de continuer:',
    'LBL_SITECFG_LOG_DIR' => 'Répertoire de Logs',
    'LBL_SITECFG_SESSION_PATH' => 'Chemin vers le répertoire de Session<br>(il doit être possible d&#39;y écrire)',
    'LBL_SITECFG_SITE_SECURITY' => 'Sécurité Avancée du site',
    'LBL_SITECFG_SUGAR_UP_DIRECTIONS' => 'Quand vous activez cette option votre système va envoyer périodiquement des infomations statistiques anonymes sur votre installation qui vont nous aider à comprendre les modes d&#39;utilisation et améliorer le produit.  En retour de ces informations, les administrateurs vont recevoir les notifications de mise à jour quand de nouvelles versions sont disponibles.',
    'LBL_SITECFG_SUGAR_UP' => 'Activer les Mises à Jour Sugar?',
    'LBL_SITECFG_SUGAR_UPDATES' => 'Configuration des Mises à Jour',
    'LBL_SITECFG_TITLE' => 'Configuration du site',
    'LBL_SITECFG_TITLE2' => 'Options Sugar',
    'LBL_SITECFG_SECURITY_TITLE' => 'Sécurité du site',
    'LBL_SITECFG_URL' => 'URL de l&#39;instance Sugar',
    'LBL_SITECFG_USE_DEFAULTS' => 'Utilisation des param par défaut?',
    'LBL_SITECFG_ANONSTATS' => 'Envoyer des statistiques complètement anonymes ?',
    'LBL_SITECFG_ANONSTATS_DIRECTIONS' => 'Si vous cochez cette otion Sugar enverra des statistiques d&#39;utilisation anonymes à SugarCRM Inc. chaque fois que votre système vérifiera la présence de nouvelle version. Ces informations nous permettrons de mieux comprendre comment vous utilisez l&#39;application et nous aiderons à orienter les améliorations du produit.',
    'LBL_SITECFG_URL_MSG' => 'Entrer l&#39;URL de base pour votre application Sugar. Par exemple utiliser "localhost" pour accéder seulement depuis cette machine (qui est localhost).',
    'LBL_SITECFG_SYS_NAME_MSG' => 'Enter un nom pour votre système. Ce nom apparaitrat dans la barre de titre du navigateur quand les utilisateurs visiterons votre application Sugar.',
    'LBL_SITECFG_PASSWORD_MSG' => 'Entrer un mot de passe pour votre administrateur Sugar pour vous identifier dans l&#39;application.',
    'LBL_SYSTEM_CREDS' => 'Droits Système',
    'LBL_SYSTEM_ENV' => 'Environnement Systéme',
    'LBL_START' => 'Démarrer',
    'LBL_SHOW_PASS' => 'Voir les mots de passe',
    'LBL_HIDE_PASS' => 'Cacher les mots de passe',
    'LBL_HIDDEN' => '<i>(caché)</i>',
    'LBL_CHOOSE_LANG' => 'Choisir votre langue',
    'LBL_STEP' => 'Etape',
    'LBL_TITLE_WELCOME' => 'Bienvenue sur SugarCRM ',
    'LBL_WELCOME_1' => 'Cet installeur crée les tables de la base de données SugarCRM et enregistre les paramètres de configuration nécessaire pour démarrer. Le processus d&#39;installation ne devrait pas dépasser une dizaine de minutes.',


    'LBL_WELCOME_2' => 'Pour obtenir de l&#39;aide sur l&#39;installation, veuillez vous rendre sur les forums <a href="http://www.sugarcrm.com/forums/" target="_blank">SugarCRM</a> ou .<a href="http://forums.crm-france.com/" target="_blank">CRM-France</a>',

    'LBL_TITLE_ARE_YOU_READY' => 'Etes-vous prêt à installer ?',
    'REQUIRED_SYS_COMP' => 'Composants système requis',
    'REQUIRED_SYS_COMP_MSG' => "Avant de commencer, vérifiez que vous avez les composants requis dans les versions nécessaires :<br>\n\n                      <ul>\n\n                      <li> Platforme (Exemples: Linux, Windows, Mac OS X)</li>\n\n                      <li> PHP</li>\n\n                      <li> Base de données/Gestionnaire de base de données (Exemples: MySQL, SQL Server, Oracle)</li>\n\n                      <li> Serveur web (Exemples: Apache, IIS) ou ordinateur local</li>\n\n                      </ul>\n\n                      Consulter la matrice de compatibilité dans les notes de la Release pour vérifier la compatibilité des versions des composants nécessaires à votre installation de Sugar.<br>",
    'REQUIRED_SYS_CHK' => 'Vérification système initiale',
    'REQUIRED_SYS_CHK_MSG' => "Quand vous commencez la procédure d&#39;installation, une vérification du système sera effectuée du le serveur web sur lequel ce situe les fichier de Sugar afin de garantir que votre système est correctement configuré et qu&#39;il contient tous les éléments nécessaires pour poursuivre l&#39;installation.<br><br> Le système vérifie donc : <br />\n\n                      <ul>\n\n                      <li><b>Variables de session</b> &#8211; Les variables de sessions doivent fonctionner correctements.</li>\n\n                      <li><b>Version de PHP</b> &#8211; Vous devez utiliser une version de PHP compatible avec l&#39;application.</li> \n\n                      <li> <b>Support Base de donnée</b> &#8211; Un support doit exister pour MySQL, SQL Server ou Oracle.</li> \n\n                      <li> <b>MB Strings</b> &#8211; Cette extension doit être installée et activée dans le php.ini.</li> \n\n                      <li> <b>XML parsing</b> &#8211; Cette extension doit être installée et activée dans le php.ini.</li> \n\n                      <li> <b>Config.php</b> &#8211; Ce fichier Sugar doit exister et avec les permissions appropriées en écriture.</li> \n\n                      <li><b>Les fichiers/répertoires suivants doivent être en écriture:</b><ul><li>/custom</li>\n\n<li>/data/upload</li>\n\n<li>/data/upload</li>\n\n<li>/cache</li>\n\n<li>/cache/images</li>\n\n<li>/cache/import</li>\n\n<li>/cache/layout</li>\n\n<li>/cache/pdf</li>\n\n<li>/cache/upload</li>\n\n<li>/cache/xml</li>\n\n<li>/modules</ul></li>                                  </ul>\n\n                                  Si la vérification échoue, vous ne pourrez pas poursuivre l&#39;installation. Un message d&#39;erreur sera affiché expliquant pourquoi votre système a échoué lors de la vérification.\n\n                                  Après avoir fait les changements nécessaire vous pourrez re-lancer la vérification et ainsi poursuivre votre installation.<br><br>\n\n                                  Pour plus d&#39;information à propos des messages d&#39;erreur de la vérifications, veuillez consulter le Guide d&#39;Installation.<br>",
    'REQUIRED_INSTALLTYPE' => 'Installation Typique ou Personnalisée',
    'REQUIRED_INSTALLTYPE_MSG' => "Après que la vérification système soit passé avec succès vous pouvez choisir le type d&#39;installation que vous souhaitez effectuer : Typique ou Personnalisée, les différences entre ces deux types sont les suivantes :\n\n                      <ul>\n\n                      <li> <b>Type de base de donnée qui peut contenir les données de Sugar</b> <ul><li>Base de donnée compatible : MySQL, MS SQL Server, Oracle.<br><br></li></ul></li> \n\n                      <li> <b>Nom du serveur web ou de la machine (host) sur laquelle la base de donnée se situe</b> \n\n                      <ul><li>Cela peut être <i>localhost</i> si la base de donnée est sur votre ordinateur ou sur la même machine que le serveur web contenant vos fichiers Sugar.<br><br></li></ul></li> \n\n                      <li><b>Nom de la base de donnée que vous voulez utiliser pour stocker vos données Sugar</b></li> \n\n                        <ul>\n\n                          <li> Vous avez peut-être déjà d&#39;une base de données existante que vous souhaitez utiliser. Si vous fournissez un nom de base de donnée existante, les tables de cette base de données seront supprimées durant l&#39;installation de la base de donnée Sugar.</li> \n\n                          <li> Si vous n&#39;avez pas déjà une base de donnée, le nom que vous avez fournit sera utilisé pour créer la nouvelle base de donnée durant l&#39;installation.<br><br></li> \n\n                        </ul>\n\n                      <li><b>L&#39;utilisateur et le mot de passe administrateur de la base de donnée</b> <ul><li>L&#39;administrateur de base de donnée doit avoir le droit de créer des table et des users ainqi que d&#39;écrire dans la base.</li><li>Vous devez contacter votre administrateur de base de donnée pour cette information si la base de donnée n&#39;est pas située en local et/ou si vous n&#39;êtes pas l&#39;administrateur de la base de données.<br><br></ul></li></li> \n\n                      <li> <b>Nom de l&#39;utilisateur de la base de donnée qui sera exclusivement dédié à la base de donnée Sugar</b> \n\n                      </li> \n\n                        <ul>\n\n                          <li>L&#39;utilisateur doit être l&#39;administrateur de la base de données, ou vous pouvez fournir un nom d&#39;un autre utilisateur de la base de données.</li> \n\n                          <li>Si vous voulez créer un nouvel utilisateur pour cela, vous devez fournir un nouveau nom et mot de passe durant la procédure d&#39;installation, et cet utilisateur sera créé durant l&#39;installation.</li> \n\n                        </ul></ul><p>\n\n                        \n\n                      Pour l&#39;installation <b>Personnalisée</b>, vous devez aussi savoir :<br>\n\n                      <ul>\n\n                      <li> <b>URL qui sera utilisé pour accéder à l&#39;instance de Sugar après sont installation. \n\n                      Cette URL doit inclure le serveur web ou le nom de la machine ou l&#39;adresse IP.<br><br></li> \n\n                                  <li> [Optionnel] <b>Chemin du répertoire de session</b> Si vous souhaitez utiliser un répertoire personnel pour les sessions afin de prévenir les risques liés aux serveurs partagés.<br><br></li> \n\n                                  <li> [Optionnel] <b>Chemin vers le répertoire de log</b> Si vous souhaitez surcharger la valeur par défaut du répertoire de log de Sugar.<br><br></li> \n\n                                  <li> [Optionnel] <b>Application ID</b> Si vous souhaitre surcharger l&#39;ID généré automatiquement qui assure que les sessions de cette instance de Sugar n&#39;est pas utilisé par d&#39;autre instances.<br><br></li> \n\n                                  <li><b>Le Jeu de caractères les plus couramment utilisés par votre locale</b>.<br><br></li> \n\n                                  Pour plus d&#39;information, veuillez consulter le Guide d&#39;Installation.<br>\n\n                                </ul>",
    'LBL_WELCOME_PLEASE_READ_BELOW' => 'Veuillez lire les informations importantes ci-après avant de procéder à l&#39;installation. Ces informations vous aideront à déterminer si oui ou non vous êtes prêt à installer l&#39;application en ce moment.',
    'LBL_WELCOME_CHOOSE_LANGUAGE' => 'Sélectionnez votre langue',
    'LBL_WELCOME_SETUP_WIZARD' => 'Assistant d&#39;installation',
    'LBL_WELCOME_TITLE_WELCOME' => 'Bienvenue sur SugarCRM ',
    'LBL_WELCOME_TITLE' => 'Assistant de configuration SugarCRM',
    'LBL_WIZARD_TITLE' => 'Assistant de configuration SugarCRM: Etape ',
    'LBL_YES' => 'Oui',
    'LBL_YES_MULTI' => 'Oui - Multi-octets',
    'LBL_OOTB_WORKFLOW' => 'Réaliser les tâches de Workflow',
    'LBL_OOTB_REPORTS' => 'Lancer les tâches planifiées de génération de rapports',
    'LBL_OOTB_IE' => 'Vérifier les emails entrants',
    'LBL_OOTB_BOUNCE' => 'Lancer les processus nocturnes des campagnes emails bouncées',
    'LBL_OOTB_CAMPAIGN' => 'Lancer les processus nocturnes des campagnes emails en masse',
    'LBL_OOTB_PRUNE' => 'Nettoyage de la base le 1er du mois',
    'LBL_OOTB_TRACKER' => 'Purger la table des historiques utilisateurs le premier de chaque mois',
    'LBL_PATCHES_TITLE' => 'Installer les derniers Patches',
    'LBL_MODULE_TITLE' => 'Télécharger et Installer les Packs Langues',
    'LBL_PATCH_1' => 'Si vous souhaitez passer cette étape cliquer sur le bouton Next.',
    'LBL_PATCH_TITLE' => 'Patch Système',
    'LBL_PATCH_READY' => 'Le(s) Patch(s) sont prêts à être installés.',
    'LBL_SESSION_ERR_DESCRIPTION' => 'SugarCRM utilise les sessions PHP pour stocker des informations importantes lorsque&#39;il est connecté à ce serveur Web. Votre installation PHP n&#39;est pas configurée correctement pour utiliser les sessions.<br><br>Le paramètre <b>&#39;session.save_path&#39;</b> ne pointe pas vers un répertoire valise.<br><br>Merci de corriger votre <a target=_new href=&#39;http://us2.php.net/manual/en/ref.session.php&#39;>configuration PHP</a> dans le fichier php.ini présent ici.',
    'LBL_SESSION_ERR_TITLE' => 'PHP Sessions Configuration Error',
    'LBL_SYSTEM_NAME' => 'Nom du Système',
    'LBL_REQUIRED_SYSTEM_NAME' => 'Le nom du Système doit être renseigné',
    'LBL_PATCH_UPLOAD' => 'Uploader un Patch'
);


?>
