﻿<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc. All Rights
 * Reserved. Contributor(s): ______________________________________..
 * *******************************************************************************/

$mod_strings = array(
  'ERR_DB_LOGIN_FAILURE_OCI8' => 'Não pode conectar ao banco de dados do SugarCRM. Erro. ',
  'ERR_DB_OCI8_CONNECT' => 'Não pode conectar ao SugarCRM. Erro. ',
  'ERR_DB_OCI8_VERSION' => 'Sómente Oracle 9i e superiores são suportados',
  'LBL_SYSOPTS_1' => 'Por favor selecione as seguintes opções de confiiguração abaixo.',
  'LBL_SYSOPTS_CONFIG' => 'Configuração do Sistema',
  'LBL_SYSOPTS_DB_DIRECTIONS' => 'Você deve ter um cliente Oracle instalado e configurado<br>se você quiser escolher o Oracle',
  'LBL_SYSOPTS_DB_TYPE' => 'Tipo de Banco de dados',
  'LBL_SYSOPTS_DB' => 'Seleção do banco de dados',
  'LBL_SYSOPTS_ERRS_TITLE' => 'Por favor corrija os seguintes erros antes de prosseguir.',
  'ERR_OC_PASSWORD' => 'Senha é requerida.',
  'ERR_OC_SERVER_URL' => 'URL do servidor Sugar é requerida.',
  'ERR_OC_USERNAME' => 'Nome do usuário do servidor é requerido ',
  'LBL_INSTALL_OC' => 'Instalar Cliente Offline',
  'LBL_OC_INSTAL_ADMIN_NAME' => 'Nomedo Usuário Admin',
  'LBL_OC_INSTAL_DIRECTIONS' => 'Por favor digite os detalhes abaixo de modo a instalar e sincronizar corretamente o seu cliente offline',
  'LBL_OC_INSTAL_SERVER_URL' => 'URL do Servidor Sugar',
  'LBL_OC_INSTALL_PASS' => 'Senha para o usuário do servidor',
  'LBL_OC_INSTALL_TITLE' => 'Instalação do Cliente Offline',
  'LBL_OC_INSTALL_USERNAME_DETAILS' => 'Este é o nome do usuário para você conectar-se ao seu servidor Sagar',
  'LBL_OC_INSTALL_USERNAME' => 'Nome do usuário',
  'LBL_PERFORM_OC_INSTALL' => 'Inicialzando instalação do cliente offline',
  'DEFAULT_CHARSET' => 'UTF-8',
  'ERR_ADMIN_PASS_BLANK' => 'Senha do Admin do SugarCRM não pode ser um campo em branco',
  'ERR_CHECKSYS_CALL_TIME' => 'Permitir Referência da Hora da Chamada para 0ff (favor habilitar em php.ini)',
  'ERR_CHECKSYS_CURL' => 'Não achado: Agendador do Sugar funcionará com funcionalidades limitadas',
  'ERR_CHECKSYS_MEM_LIMIT_1' => 'Aviso: $memory_limit (Set isto para',
  'ERR_CHECKSYS_MEM_LIMIT_2' => 'M ou maior em seu php.ini file)',
  'ERR_CHECKSYS_NO_SESSIONS' => 'Falha em escrever e ler variáveis de sessão. Incapaz de continuar a instalação',
  'ERR_CHECKSYS_NOT_VALID_DIR' => 'Diretório não Válido',
  'ERR_CHECKSYS_NOT_WRITABLE' => 'Aviso: não é possível escrever',
  'ERR_CHECKSYS_PHP_INVALID_VER' => 'Versão do PHP instalada é inválida: (ver)',
  'ERR_CHECKSYS_PHP_UNSUPPORTED' => 'Versão instalada do PHP não suportada (ver',
  'ERR_CHECKSYS_SAFE_MODE' => 'Modo seguro está ON"(favor desabilitar em php.ini)',
  'ERR_DB_ADMIN' => 'Nome do usuário admin do banco de dados e/ou senha inválida (Erro )',
  'ERR_DB_EXISTS_NOT' => 'Banco de dados especificado não existe',
  'ERR_DB_EXISTS_WITH_CONFIG' => 'Banco de dados já existe com config data. Para fazer uma instalação com o banco de dados escolhido, favor refazer a instalação e escolher: "Desfazer e recriar tabelas SugarCRM existentes?" Para fazer o upgrade, use o Upgrade Wizzard na console Admin. Favor ler a documentação para upgrade localizada em <a href="http://www.sugarforge.org/content/downloads/" target="_new">here</a>.',
  'ERR_DB_EXISTS' => 'Nome do banco de dados já existe--não é possível criar outro com o mesmo nome',
  'ERR_DB_HOSTNAME' => 'Nome do Host não pode estar em branco',
  'ERR_DB_INVALID' => 'Tipo de database selecionado Inválido',
  'ERR_DB_LOGIN_FAILURE_MYSQL' => 'Nome do usuário do banco de dados SugarCRM e/ou senha é Rxiste inválida (Erro)',
  'ERR_DB_MYSQL_VERSION1' => 'Versão do MySQL',
  'ERR_DB_MYSQL_VERSION2' => 'não é suportada.  Sómente MYSQL 4.1.x e superiores são suportadas',
  'ERR_DB_NAME' => 'Nome do banco de dados não pode ser em branco',
  'ERR_DB_NAME2' => 'Nome do banco de doados não pode conter ',
  'ERR_DB_PASSWORD' => 'Senhas para SugarCRM não são válidas',
  'ERR_DB_PRIV_USER' => 'Nome do usuário admin do banco de dados é obrigatório',
  'ERR_DB_USER_EXISTS' => 'Nome do usuário para SugarCRM já existe-- não pode criar outro com o mesmo nome',
  'ERR_DB_USER' => 'Nome usuário para SugarCRM não pode ser em em branco',
  'ERR_DBCONF_VALIDATION' => 'Favor consertar os seguintes erros antes de prosseguir',
  'ERR_ERROR_GENERAL' => 'Os seguintes erros foram encontrados',
  'ERR_LANG_CANNOT_DELETE_FILE' => 'Não pode apagar o arquivo',
  'ERR_LANG_MISSING_FILE' => 'Não pode achar o arquivo',
  'ERR_LANG_NO_LANG_FILE' => 'Não foi achado o arquivo do pacote de idioma em em include/language inside',
  'ERR_LANG_UPLOAD_1' => 'Houve um problema com o seu  upload. Por favor tente novamene',
  'ERR_LANG_UPLOAD_2' => 'PHP não pode mover o arquivo temporário para o diretório upgrade',
  'ERR_LICENSE_MISSING' => 'Campos obrigatórios faltando',
  'ERR_LICENSE_NOT_FOUND' => 'Aquivo de licença não encontrado',
  'ERR_LOG_DIRECTORY_NOT_EXISTS' => 'Diretório de log fornecido não é um diretório válido',
  'ERR_LOG_DIRECTORY_NOT_WRITABLE' => 'Diretório de log fornecido não é um diretório que permita escrita',
  'ERR_LOG_DIRECTORY_REQUIRED' => 'Diretório de log é requerido se você desejar especificar o seu próprio',
  'ERR_NO_DIRECT_SCRIPT' => 'Incapaz de processar script diretamente',
  'ERR_PASSWORD_MISMATCH' => 'Senha para admin do SugarCRM não confere',
  'ERR_PERFORM_CONFIG_PHP_1' => 'Não pode escrever em <span class=stop>config.php</span> file.',
  'ERR_PERFORM_CONFIG_PHP_2' => 'Você pode continuar esta istalação manualmente criando o arquivo config.php e copiando as informações de confihuração abaixo no arquivo config.php.file. Entretanto , você <strong>deve</strong>criar o arquivo config.php antes de continuar o próximo passo. ',
  'ERR_PERFORM_CONFIG_PHP_3' => 'Você lembrou de crair o arquivo config.php?',
  'ERR_PERFORM_CONFIG_PHP_4' => 'Aviso: não foi possível atualizar o config.php. Favor assegurar-se que êle existe.',
  'ERR_PERFORM_HTACCESS_1' => 'Não pode atualizar o',
  'ERR_PERFORM_HTACCESS_2' => 'arquivo. ',
  'ERR_PERFORM_HTACCESS_3' => 'Se você quiser prevenir que o seu arquivo de log seja acessado por navegador, crie um arquivo htaccess em seu diretório de log com a linha: ',
  'ERR_PERFORM_NO_TCPIP' => '<b>Nós não pudemos detectar uma conexão internet.</b>Quando você tiver uma conexão, por favor visite <a href="http://www.sugarcrm.com/home/index.php?option=com_extended_registration&task=register">http://www.sugarcrm.com/home/index.php?option=com_extended_registration&task=register</a> para se registrar com a SugarCRM. Deixando nós conhecermos um pouco mais sobre os seus planos de uso do SugarCRM, nós podemos assegurar que sempre entregaremos a aplicação certa para as suas necessidades de negócios',
  'ERR_SESSION_DIRECTORY_NOT_EXISTS' => 'Diretório da sessão fornecido não é um diretório válido',
  'ERR_SESSION_DIRECTORY' => 'Diretório de sessão forneciso não é um diretório com permissão de escrita',
  'ERR_SESSION_PATH' => 'Caminho da sessão é obrigatório se você desejar especificar o seu próprio',
  'ERR_SI_NO_CONFIG' => 'Você não incluiu o config_si.php no documento raiz, ou não definiu $sugar_config em config.php',
  'ERR_SITE_GUID' => 'O ID da aplicação é requerido se você desejar especificar o seu próprio',
  'ERR_URL_BLANK' => 'URL não pode ficar em branco',
  'ERROR_FLAVOR_INCOMPATIBLE' => 'O arquivo carregado não é compatível com esta versão (Community Edition, Professsional, ou Enterprise) do Sugar: ',
  'ERROR_LICENSE_EXPIRED' => 'Erro : sua  licença expirou',
  'ERROR_LICENSE_EXPIRED2' => ' dia(s) atrás. Favor acessar <a href=\'index.php?action=LicenseSettings&module=Administration\'>License Management</a> na tela Amin para digitar sua nova chave de licença. Se você não entrar a nova chave de licença em até 30 dias depois da expiração, você não poderá mais acessar a aplicação',
  'ERROR_MANIFEST_TYPE' => 'Arquivo manifesto deve especificar o tipo de pacote.',
  'ERROR_PACKAGE_TYPE' => 'Arquivo manifesto especifica um tipo de pacote não reconhecido',
  'ERROR_VALIDATION_EXPIRED' => 'Erro: sua chave de validação expirou',
  'ERROR_VALIDATION_EXPIRED2' => ' dia(s) atrás. Favor acessar <a href=\'index.php?action=LicenseSettings&module=Administration\'>License Management</a> na tela Amin para digitar sua nova chave de validação. Se você não entrar a nova chave de validação em até 30 dias depois da expiração, você não poderá mais acessar a aplicação',
  'ERROR_VERSION_INCOMPATIBLE' => 'O arquivo de upload não é compátível com esta versão da Sugar:',
  'LBL_BACK' => 'Voltar',
  'LBL_CHECKSYS_1' => 'Para a sua instalação do SugarCRM funcionar adequadamente, favor assegurar-se que to items listados  no check list abaixo estajam verdes. Se algum estiver vermelho, favor tomar as medidas para conserta-lo',
  'LBL_CHECKSYS_CACHE' => 'Sub diretórios de cach pode me ser escritos',
  'LBL_CHECKSYS_CALL_TIME' => 'PHP permite Call Time Pass Reference ser ligado',
  'LBL_CHECKSYS_COMPONENT' => 'Componente',
  'LBL_CHECKSYS_CONFIG' => 'Arquivo de Configuração do SugarCRM pode ser escrito (config.php)',
  'LBL_CHECKSYS_CURL' => 'Biblioteca cURL',
  'LBL_CHECKSYS_CUSTOM' => 'Custom Directory pode ser escrito',
  'LBL_CHECKSYS_DATA' => 'Sub-Diretório de dados pode ser escrito',
  'LBL_CHECKSYS_MEM_OK' => 'OK (Sem Limite)',
  'LBL_CHECKSYS_MEM_UNLIMITED' => 'OK (Ilimitado)',
  'LBL_CHECKSYS_MEM' => 'Memória Limite PHP >=',
  'LBL_CHECKSYS_MODULE' => 'Sub-Diretórios e Arquivos dos Módulos pode ser escrito',
  'LBL_CHECKSYS_NOT_AVAILABLE' => 'Não Disponível',
  'LBL_CHECKSYS_OK' => 'OK',
  'LBL_CHECKSYS_PHP_INI' => '<b>Note:</b>  Seu arquivo de configuração (php.ini) está  localizado em:',
  'LBL_CHECKSYS_PHP_OK' => 'OK (ver ',
  'LBL_CHECKSYS_PHPVER' => 'Versão PHP',
  'LBL_CHECKSYS_RECHECK' => 'Rechecar',
  'LBL_CHECKSYS_SAFE_MODE' => 'Modo seguro do PHP desligado',
  'LBL_CHECKSYS_SESSION' => 'Caminho para salvar sessão pode ser escrito',
  'LBL_CHECKSYS_STATUS' => 'Status',
  'LBL_CHECKSYS_TITLE' => 'Aceite da verificação do Sistema',
  'LBL_CHECKSYS_XML' => 'Quebra de XML',
  'LBL_CLOSE' => 'Concluído',
  'LBL_CONFIRM_BE_CREATED' => 'Seja criado',
  'LBL_CONFIRM_DB_TYPE' => 'Tipo de Banco de Dados',
  'LBL_CONFIRM_DIRECTIONS' => 'Favor confirmar a configuração abaixo. Se você gostaria de alterar qualquer dos valores, clique "Back" para editar. Caso não, clique em "Next" para iniciar a instalação',
  'LBL_CONFIRM_LICENSE_TITLE' => 'Informações da Licença',
  'LBL_CONFIRM_NOT' => 'não',
  'LBL_CONFIRM_TITLE' => 'Confirmar configurações',
  'LBL_CONFIRM_WILL' => 'will',
  'LBL_DBCONF_CREATE_DB' => 'Criar banco de dados',
  'LBL_DBCONF_CREATE_USER' => 'Criar Usuário',
  'LBL_DBCONF_DB_DROP_CREATE_WARN' => 'Cuidado: Todos os dados do Sugar serão apagados<br>se esta caixa for marcada',
  'LBL_DBCONF_DB_DROP_CREATE' => 'Desfaça e recrie as tabelas Sugar existentes?',
  'LBL_DBCONF_DB_NAME' => 'Nome do banco de dados',
  'LBL_DBCONF_DB_PASSWORD' => 'Senha do banco de dados',
  'LBL_DBCONF_DB_PASSWORD2' => 'Redigite as senha do banco de dados',
  'LBL_DBCONF_DB_USER' => 'Nome do Usuário do banco de dados',
  'LBL_DBCONF_DEMO_DATA' => 'Popular o banco de dados com dados de exemplo?',
  'LBL_DBCONF_HOST_NAME' => 'Nome do Host',
  'LBL_DBCONF_INSTRUCTIONS' => 'Favor digitar as suas informações de configuração do banco dados abaixo. Se você não está seguro quanto a seu preenchimento, sugerimos que use os valores padrão.',
  'LBL_DBCONF_MB_DEMO_DATA' => 'Usar texto multi-byte nos dados de exemplo?',
  'LBL_DBCONF_PRIV_PASS' => 'Senha de usuário de banco de dados privilegiada?',
  'LBL_DBCONF_PRIV_USER_2' => 'Conta de banco de dados acima é de um Usuário privilegiado?',
  'LBL_DBCONF_PRIV_USER_DIRECTIONS' => 'Este usuário privilegiado de banco de dados  deve ter as permissões apropriadas para criar um banco de dads, eliminar/criar tabelas, e criar um usuário. Este ususário privilegiado de banco de dados somente executará estas tarefas durante o processo de instalação. Você pode também usar o mesmo usuário de banco de dados como acima se aquele usuário tiver privilégios suficientes.',
  'LBL_DBCONF_PRIV_USER' => 'Nome do Usuário privilegiado do banco de dados',
  'LBL_DBCONF_TITLE' => 'Configuração do banco de dados',
  'LBL_DISABLED_DESCRIPTION_2' => 'Depois desta mudança ter sido feita, você pode clicar no botão "Iniciar" abaixo para começar a sua instalação.  <i>Depois que a instalação estiver completa, você deverá mudar o valor de  \'installer_locked\' para \'true\'.</i>',
  'LBL_DISABLED_DESCRIPTION' => 'O instalador já foi usado uma vez. Como medida de segurança, êle foi desabilitado para para evitar uma segunda utilização. Se você tiver certeza absoluta de que vai precisar executar o instalador novamente, por favor vá até o seu arquivo config.php e localize (ou adicione) uma variável chamada \'installer_locked\' e a defina como \'false\'. Esta linha deve ficar como isto: ',
  'LBL_DISABLED_HELP_1' => 'Para ajuda na instalação, favor visitar o site SugarCRM',
  'LBL_DISABLED_HELP_2' => 'foruns de suporte',
  'LBL_DISABLED_TITLE_2' => 'Instalação do SugarCRM foi desabilitada',
  'LBL_DISABLED_TITLE' => 'Instalação do SugarCRM desabilitado',
  'LBL_HELP' => 'Ajuda',
  'LBL_LANG_1' => 'Se você gostaria de instalar um pacote de idioma que não seja o padrão inglês americano, por favor faça-o abaixo. Caso não, clique em "Next" para continuar para o próximo passo',
  'LBL_LANG_BUTTON_COMMIT' => 'Instalar',
  'LBL_LANG_BUTTON_REMOVE' => 'Remover',
  'LBL_LANG_BUTTON_UNINSTALL' => 'Desinstalar',
  'LBL_LANG_NO_PACKS' => 'Nenhum',
  'LBL_LANG_PACK_INSTALLED' => 'Os seguintes pacotes de idiomas foram instalados',
  'LBL_LANG_PACK_READY' => 'Os seguintes pacotes de idioma estão prontos para serem instalados',
  'LBL_LANG_TITLE' => 'Pacote de idioma',
  'LBL_LANG_UPLOAD' => 'Carregue um pacote de idioma',
  'LBL_LICENSE_ACCEPTANCE' => 'Aceitação da licença',
  'LBL_LICENSE_DIRECTIONS' => 'Se você tiver informação de licença, favor digita-la nos campos abaixo',
  'LBL_LICENSE_DOWNLOAD_KEY' => 'Download da chave',
  'LBL_LICENSE_EXPIRY' => 'Data de Expiração',
  'LBL_LICENSE_I_ACCEPT' => 'Eu aceito',
  'LBL_LICENSE_NUM_USERS' => 'Número de Usuários',
  'LBL_LICENSE_OC_NUM' => 'Número de Licenças Cliente Offline',
  'LBL_LICENSE_OC' => 'Licenças  Cliente Offlne',
  'LBL_LICENSE_PRINTABLE' => ' Versão para impressão',
  'LBL_LICENSE_TITLE_2' => 'Licença do SugarCRM',
  'LBL_LICENSE_TITLE' => 'Informações  da Licença',
  'LBL_LICENSE_USERS' => 'Usuários licenciados',
  'LBL_ML_ACTION' => 'Ação',
  'LBL_ML_DESCRIPTION' => 'Descrição',
  'LBL_ML_INSTALLED' => 'Data da Instalação',
  'LBL_ML_NAME' => 'Nome',
  'LBL_ML_PUBLISHED' => 'Data de publicação',
  'LBL_ML_TYPE' => 'Tipo',
  'LBL_ML_UNINSTALLABLE' => 'Instalação Impossível',
  'LBL_ML_VERSION' => 'Versão',
  'LBL_MYSQL' => 'MySQL',
  'LBL_NEXT' => 'Próximo',
  'LBL_NO' => 'Não',
  'LBL_ORACLE' => 'Orcale',
  'LBL_PERFORM_ADMIN_PASSWORD' => 'Estabelecer senha de admin do site',
  'LBL_PERFORM_AUDIT_TABLE' => 'tabela de auditoria / ',
  'LBL_PERFORM_CONFIG_PHP' => 'Criar arquivo de configuração do Sugar',
  'LBL_PERFORM_CREATE_DB_1' => 'Criar o banco de dados',
  'LBL_PERFORM_CREATE_DB_2' => ' on',
  'LBL_PERFORM_CREATE_DB_USER' => 'Criar o nome do usuário e senha do banco de dados',
  'LBL_PERFORM_CREATE_DEFAULT' => 'Criar os dados padrão do Sugar',
  'LBL_PERFORM_CREATE_LOCALHOST' => 'Criar o nome do usuário do banco de dados e senha para o localhost...',
  'LBL_PERFORM_CREATE_RELATIONSHIPS' => 'Criar as tabelas de relacionamento Sugar',
  'LBL_PERFORM_CREATING' => 'criar / ',
  'LBL_PERFORM_DEFAULT_REPORTS' => 'Criar os relatóriso padrão',
  'LBL_PERFORM_DEFAULT_SCHEDULER' => 'Criar os agendadores de jobs padrão',
  'LBL_PERFORM_DEFAULT_SETTINGS' => 'Inserir as configurações padrão',
  'LBL_PERFORM_DEFAULT_USERS' => 'Criar os usuários padrão',
  'LBL_PERFORM_DEMO_DATA' => 'Popular as tabelas do banco de dados com dados de exemplo (isto pode demorar um pouco)...',
  'LBL_PERFORM_DONE' => 'feito',
  'LBL_PERFORM_DROPPING' => 'fechando',
  'LBL_PERFORM_FINISH' => 'Encerrado',
  'LBL_PERFORM_LICENSE_SETTINGS' => 'Atualizando informações da Licença',
  'LBL_PERFORM_OUTRO_1' => 'A configuração do Sugar',
  'LBL_PERFORM_OUTRO_2' => 'está agora completa! ',
  'LBL_PERFORM_OUTRO_3' => 'Tempo total: ',
  'LBL_PERFORM_OUTRO_4' => 'segundos',
  'LBL_PERFORM_OUTRO_5' => 'Memória usada aproximada: ',
  'LBL_PERFORM_OUTRO_6' => ' bytes.',
  'LBL_PERFORM_OUTRO_7' => 'Seu sistema está agora instalado e configurado para uso.',
  'LBL_PERFORM_REL_META' => 'meta relacionamento...',
  'LBL_PERFORM_SUCCESS' => 'Sucesso!',
  'LBL_PERFORM_TABLES' => 'Criando tabelas da aplicação Sugar, tabelas de auditoria, e metadados de relaciomaento...',
  'LBL_PERFORM_TITLE' => 'Execute a configuração',
  'LBL_PRINT' => 'Imprimir',
  'LBL_REG_CONF_1' => 'Favor reservar um momento para se registrar em SugarCRM. Permitindo que saibamos um pouco sobre os planos de sua empresa para usar o SugarCRM, nós poderemos assegurar que sempre entregaremos o produto certo para as suas necessidades de negócios',
  'LBL_REG_CONF_2' => 'Seu nome e endereço de email são os únicos campos requeridos para registro. Todos os outros campos são opcionais, mas muito úteis. Nós não vendemos, alugamos , compartilhamos ou distribuimos as informações aqui coletadas para terceiros. ',
  'LBL_REG_CONF_3' => 'Obrigado por se registrar. Clique no botão "Finish"  para se logar no SugarCRM. Você precisará se logar na primeira vez usando o nome de usuário "admin"e a senha que você digitou no passo 2',
  'LBL_REG_TITLE' => 'Registro',
  'LBL_REQUIRED' => '* Campo obrigatório',
  'LBL_SITECFG_ADMIN_PASS_2' => 'Redigite Sugar <em>Admn</em> Senha',
  'LBL_SITECFG_ADMIN_PASS_WARN' => 'Cuidado : isto irá sobrepor a senha admin de qualquer instalação prévia',
  'LBL_SITECFG_ADMIN_PASS' => 'Sugar <em>Admin</em> Senha',
  'LBL_SITECFG_APP_ID' => 'ID da Aplicação',
  'LBL_SITECFG_CUSTOM_ID_DIRECTIONS' => 'Sobreponha o ID auto-gerado da aplicação que previne que sessões de uma instancia do Sugar sejam usadas por outra instancia. Se você tiver um cluster de instalações do Sugar, todos êles devem compartilhar o mesmo ID de aplicação',
  'LBL_SITECFG_CUSTOM_ID' => 'Forneça seu próprio ID da Applicação',
  'LBL_SITECFG_CUSTOM_LOG_DIRECTIONS' => 'Sobreponha o diretório padrão onde o Sugar log se localiza. Independente de onde o arquivo de log se localize, o acesso a êle via navegador será restrito via um htaccess rediretc.',
  'LBL_SITECFG_CUSTOM_LOG' => 'Use um Diretório Log particular',
  'LBL_SITECFG_CUSTOM_SESSION_DIRECTIONS' => 'Forneça um pasta segura para guardar as informações da sessão  Sugar para evitar que o acesso aos dados seja vulnerável em servidores compartilhados',
  'LBL_SITECFG_CUSTOM_SESSION' => 'Use um Diretório de Sessão particular para o Sugar',
  'LBL_SITECFG_DIRECTIONS' => 'Favor digitar as informações de configuração de seu site abaixo. Se você não tem certeza sobre os valores dos campos, sugerimos que você use os valores padrão',
  'LBL_SITECFG_FIX_ERRORS' => 'Favor consertar os seguintes erros antes de prosseguir.',
  'LBL_SITECFG_LOG_DIR' => 'Diretório de Log',
  'LBL_SITECFG_SESSION_PATH' => 'Caminho para o Diertório Sessão<br>(deve ser passível de escrita)',
  'LBL_SITECFG_SITE_SECURITY' => 'Segurança de Site Avançada',
  'LBL_SITECFG_SUGAR_UP_DIRECTIONS' => 'Quando isto está habilitado, seu sistema enviará periódicamente para a SugarCRM Inc. estatísticas anônimas sobre a sua instalação que irão nos ajudar a entender os padrões de uso e melhora o produto. Em retorno por estas informações, os administradores receberão avisos quando novas versões ou atualizações estão disponíveis',
  'LBL_SITECFG_SUGAR_UP' => 'Habilitar atualizações do Sugar ?',
  'LBL_SITECFG_SUGAR_UPDATES' => 'Config de atualização do Sugar',
  'LBL_SITECFG_TITLE' => 'Configuração do site',
  'LBL_SITECFG_URL' => 'URLda Instancia Sugar',
  'LBL_SITECFG_USE_DEFAULTS' => 'Use padrões?',
  'LBL_START' => 'Iniciar',
  'LBL_STEP' => 'Passo',
  'LBL_TITLE_WELCOME' => 'Bemvindo ao SugarCRM',
  'LBL_WELCOME_1' => 'Este instalador cria as tabelas do banco de dados SugarCRM e estabelce as variáveis de configuração que você precisa para iniciar. O processo inteiro deve levar aproximadamente 10 minutos',
  'LBL_WELCOME_2' => 'Para ajudana instalação, favor  visitar o SugarCRM <a href="http://www.sugarcrm.com/forums/" target="_blank">support forums</a>.',
  'LBL_WELCOME_CHOOSE_LANGUAGE' => 'Escolha a sua língua',
  'LBL_WELCOME_SETUP_WIZARD' => 'Orientador de Configuração',
  'LBL_WELCOME_TITLE_WELCOME' => 'Bemvindo ao SugarCRM',
  'LBL_WELCOME_TITLE' => 'Orientador de Configuração do SugarCRM',
  'LBL_WIZARD_TITLE' => 'Orientador de Configuração SugarCRM : Passo',
  'LBL_YES' => 'Sim',
);
?>
