<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/


//Create User Teams
require_once('modules/Teams/Team.php');
require_once('modules/Users/User.php');
$globalteam = new Team();
$globalteam->retrieve('1');
if(isset($globalteam->name)){
	echo 'Global '.$mod_strings['LBL_UPGRADE_TEAM_EXISTS'].'<br>';
		
}else{
$globalteam->create_team("Global", $mod_strings['LBL_GLOBAL_TEAM_DESC'], $globalteam->global_team);


}
$seed_user = new User();
$list = $seed_user->get_full_list();
$team = new Team();
foreach($list as $user){
	unset($team->name);
	$team->retrieve($user->getPrivateTeamID());
	if(!isset($team->name)){
		$team->new_user_created($user);
		// BUG 10339: do not display messages for upgrade wizard		
		if(!isset($_REQUEST['upgradeWizard'])){	
			echo $mod_strings['LBL_UPGRADE_TEAM_CREATE'].' '. $user->user_name . '<br>';
		}
	}else{
		echo $team->name.' '.$mod_strings['LBL_UPGRADE_TEAM_EXISTS'].'<br>';
	}
	$globalteam->add_user_to_team($user->id);
	
}

echo '<br>' . $mod_strings['LBL_DONE'];



?>
