<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME'=>'Calendar',
  'LBL_MODULE_TITLE'=>'Calendar',
  'LNK_NEW_CALL' => 'Schedule Call',
  'LNK_NEW_MEETING' => 'Schedule Meeting',
  'LNK_NEW_APPOINTMENT' => 'Create Appointment',
  'LNK_NEW_TASK' => 'Create Task',
  'LNK_CALL_LIST' => 'Calls',
  'LNK_MEETING_LIST' => 'Meetings',
  'LNK_TASK_LIST' => 'Tasks',
  'LNK_VIEW_CALENDAR' => 'Today',
  'LBL_MONTH' => 'Month',
  'LBL_DAY' => 'Day',
  'LBL_YEAR' => 'Year',
  'LBL_WEEK' => 'Week',
  'LBL_PREVIOUS_MONTH' => 'Previous Month',
  'LBL_PREVIOUS_DAY' => 'Previous Day',
  'LBL_PREVIOUS_YEAR' => 'Previous Year',
  'LBL_PREVIOUS_WEEK' => 'Previous Week',
  'LBL_NEXT_MONTH' => 'Next Month',
  'LBL_NEXT_DAY' => 'Next Day',
  'LBL_NEXT_YEAR' => 'Next Year',
  'LBL_NEXT_WEEK' => 'Next Week',
  'LBL_AM' => 'AM',
  'LBL_PM' => 'PM',
  'LBL_SCHEDULED' => 'Scheduled',
  'LBL_BUSY' => 'Busy',
  'LBL_CONFLICT' => 'Conflict',
  'LBL_USER_CALENDARS' => 'User Calendars',
  'LBL_SHARED' => 'Shared',
  'LBL_PREVIOUS_SHARED' => 'Previous',
  'LBL_NEXT_SHARED' => 'Next',
  'LBL_SHARED_CAL_TITLE' => 'Shared Calendar',
  'LBL_USERS' => 'User',
  'LBL_REFRESH' => 'Refresh',
  'LBL_EDIT' => 'Edit',
  'LBL_SELECT_USERS' => 'Select users for calendar display',
  'LBL_FILTER_BY_TEAM' => 'Filter user list by team:',
);

$mod_list_strings = array(
'dom_cal_weekdays'=>array(
"Sun",
"Mon",
"Tue",
"Wed",
"Thu",
"Fri",
"Sat",
),
'dom_cal_weekdays_long'=>array(
"Sunday",
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
),
'dom_cal_month'=>array(
"",
"Jan",
"Feb",
"Mar",
"Apr",
"May",
"Jun",
"Jul",
"Aug",
"Sep",
"Oct",
"Nov",
"Dec",
),
'dom_cal_month_long'=>array(
"",
"January",
"February",
"March",
"April",
"May",
"June",
"July",
"August",
"September",
"October",
"November",
"December",
)
);
?>
