<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
$viewdefs['Calls']['DetailView'] = array(
'templateMeta' => array('form' => array('buttons'=>array('EDIT', 'DUPLICATE', 'DELETE', 
                                                         array('customCode'=>'{if $fields.status.value != "Held"}' .
                                                                ' <input type="hidden" name="isSaveAndNew" value="false"> ' .
                                                                ' <input type="hidden" name="status" value=""> ' .                                                         	    
                                                                ' <input title="{$APP.LBL_CLOSE_AND_CREATE_BUTTON_TITLE}" ' .
                                                         		' accesskey="{$APP.LBL_CLOSE_AND_CREATE_BUTTON_KEY}" ' .
                                                         		' class="button" ' .
                                                         		' onclick="this.form.status.value=\'Held\';this.form.action.value=\'Save\';this.form.return_module.value=\'Calls\';this.form.isDuplicate.value=true;this.form.isSaveAndNew.value=true;this.form.return_action.value=\'EditView\'; this.form.isDuplicate.value=true;this.form.return_id.value=\'{$fields.id.value}\';" ' .
                                                         		' name="button" ' .
                                                         		' value="{$APP.LBL_CLOSE_AND_CREATE_BUTTON_TITLE}" ' .
                                                         		' type="submit">{/if}'),)),
                        'maxColumns' => '2', 
                        'widths' => array(
                                        array('label' => '10', 'field' => '30'), 
                                        array('label' => '10', 'field' => '30')
                                        ),
                        ),
'panels' =>array (
  
  array (
    
    array (
      'name' => 'name',
      'label' => 'LBL_SUBJECT',
    ),
    
    array (
      'name' => 'direction',
      'customCode' => '{$fields.direction.value} {$fields.status.value}',
      'label' => 'LBL_STATUS',
    ),
  ),
  
  array (
    
    array (
      'name' => 'date_start',
      'customCode' => '{$fields.date_start.value} {$fields.time_start.value}&nbsp;',
      'label' => 'LBL_DATE_TIME',
    ),
    
    'parent_name',

  ),
  
  array (
    
    array (
      'name' => 'duration_hours',
      'customCode' => '{$fields.duration_hours.value}{$MOD.LBL_HOURS_ABBREV} {$fields.duration_minutes.value}{$MOD.LBL_MINSS_ABBREV}&nbsp;',
      'label' => 'LBL_DURATION',
    ),

		'team_name', 

  ),
  
  array (
    
    array (
      'name' => 'date_modified',
      'customCode' => '{$fields.date_modified.value} {$APP.LBL_BY} {$fields.modified_by_name.value}&nbsp;',
      'label' => 'LBL_DATE_MODIFIED',
    ),
    array (
      'name' => 'assigned_user_name',
      'customCode' => '{$fields.assigned_user_name.value}',
      'label' => 'LBL_ASSIGNED_TO',
    ),
  ),
  
  array (
    
    array (
      'name' => 'date_entered',
      'customCode' => '{$fields.date_entered.value} {$APP.LBL_BY} {$fields.created_by_name.value}&nbsp;',
      'label' => 'LBL_DATE_ENTERED',
    ),
  ),
  
  array (
    array('name'=>'reminder_checked',
          'fields'=>array('reminder_checked', 'reminder_time')),
  ),
  
  array (
    'description',
  ),
)


   
);
?>
