<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
	'LBL_LIST_ID'=>'Prospect List ID',
	'LBL_ID' => 'ID',
	'LBL_TARGET_TRACKER_KEY'=>'Target Tracker Key',
	'LBL_TARGET_ID'=>'Target ID',
	'LBL_TARGET_TYPE'=>'Target Type',
	'LBL_ACTIVITY_TYPE' =>'Activity Type',
	'LBL_ACTIVITY_DATE' => 'Activity Date',
	'LBL_RELATED_ID' => 'Related Id',
	'LBL_RELATED_TYPE'=>'Related Type',
	'LBL_DELETED' => 'Deleted',
	'LBL_MODULE_NAME' =>'Campaign Log',
	'LBL_LIST_RECIPIENT_EMAIL'=>'Recipient Email',
	'LBL_LIST_RECIPIENT_NAME'=>'Recipient Name',
	'LBL_ARCHIVED'=>'Archived',
	'LBL_HITS'=>'Hits',
	
	'LBL_CAMPAIGN_NAME' => 'Name:',
  	'LBL_CAMPAIGN' => 'Campaign:',
  	'LBL_NAME' => 'Name: ',
  	'LBL_INVITEE' => 'Contacts',
  	'LBL_LIST_CAMPAIGN_NAME' => 'Campaign',
  	'LBL_LIST_STATUS' => 'Status',
  	'LBL_LIST_TYPE' => 'Type',
  	'LBL_LIST_END_DATE' => 'End Date',
  	'LBL_DATE_ENTERED' => 'Date Entered',
  	'LBL_DATE_MODIFIED' => 'Date Modified',
  	'LBL_MODIFIED' => 'Modified by: ',
  	'LBL_CREATED' => 'Created by: ',
  	'LBL_TEAM' => 'Team: ',
  	'LBL_ASSIGNED_TO' => 'Assigned to: ',
  	'LBL_CAMPAIGN_START_DATE' => 'Start Date: ',
  	'LBL_CAMPAIGN_END_DATE' => 'End Date: ',
  	'LBL_CAMPAIGN_STATUS' => 'Status: ',
  	'LBL_CAMPAIGN_BUDGET' => 'Budget: ',
	'LBL_CAMPAIGN_EXPECTED_COST' => 'Expected Cost: ',
  	'LBL_CAMPAIGN_ACTUAL_COST' => 'Actual Cost: ',
  	'LBL_CAMPAIGN_EXPECTED_REVENUE' => 'Expected Revenue: ',
  	'LBL_CAMPAIGN_TYPE' => 'Type: ',
	'LBL_CAMPAIGN_OBJECTIVE' => 'Objective: ',
  	'LBL_CAMPAIGN_CONTENT' => 'Description: ',
    'LBL_CREATED_LEAD' => 'created lead',
    'LBL_CREATED_CONTACT' => 'created contact',
  	'LBL_LIST_FORM_TITLE'=> 'Targeted Campaigns',	
  	'LBL_LIST_ACTIVITY_DATE'=>'Activity Date',
  	'LBL_LIST_CAMPAIGN_OBJECTIVE'=>'Campaign Objective',
  	'LBL_RELATED'=>'Related',
  	'LBL_CLICKED_URL_KEY'=>'Clicked URL Key',
  	'LBL_URL_CLICKED'=>'URL Clicked',
  	'LBL_MORE_INFO'=>'More Information',
);
?>
