<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
	'ERR_DELETE_RECORD'					=> 'You must specify a record number to delete the account.',

	'LBL_ACCOUNT_ID'					=> 'Account ID',
	'LBL_ACCOUNT_NAME'					=> 'Account Name:',
	'LBL_ACTIVITIES_SUBPANEL_TITLE'		=> 'Activities',
	'LBL_BUGS_SUBPANEL_TITLE'			=> 'Bugs',
	'LBL_CASE_NUMBER'					=> 'Case Number:',
	'LBL_CASE_SUBJECT'					=> 'Case Subject:',
	'LBL_CASE'							=> 'Case:',
	'LBL_CONTACT_CASE_TITLE'			=> 'Contact-Case:',
	'LBL_CONTACT_NAME'					=> 'Contact Name:',
	'LBL_CONTACT_ROLE'					=> 'Role:',
	'LBL_CONTACTS_SUBPANEL_TITLE'		=> 'Contacts',
	'LBL_DEFAULT_SUBPANEL_TITLE'		=> 'Cases',
	'LBL_DESCRIPTION'					=> 'Description:',
	'LBL_HISTORY_SUBPANEL_TITLE'		=> 'History',
	'LBL_INVITEE'						=> 'Contacts',
	'LBL_MEMBER_OF'						=> 'Account',
	'LBL_MODULE_NAME'					=> 'Cases',
	'LBL_MODULE_TITLE'					=> 'Cases: Home',
	'LBL_NEW_FORM_TITLE'				=> 'New Case',
	'LBL_NUMBER'						=> 'Number:',
	'LBL_PRIORITY'						=> 'Priority:',
	'LBL_PROJECTS_SUBPANEL_TITLE' 		=> 'Projects',
	'LBL_RESOLUTION'					=> 'Resolution:',
	'LBL_SEARCH_FORM_TITLE'				=> 'Case Search',
	'LBL_STATUS'						=> 'Status:',
	'LBL_SUBJECT'						=> 'Subject:',
	'LBL_SYSTEM_ID'						=> 'System ID',
	'LBL_LIST_ASSIGNED_TO_NAME' 		=> 'Assigned User',
	'LBL_LIST_ACCOUNT_NAME'				=> 'Account Name',
	'LBL_LIST_ASSIGNED'					=> 'Assigned To',
	'LBL_LIST_CLOSE'					=> 'Close',
	'LBL_LIST_FORM_TITLE'				=> 'Case List',
	'LBL_LIST_LAST_MODIFIED'			=> 'Last Modified',
	'LBL_LIST_MY_CASES'					=> 'My Open Cases',
	'LBL_LIST_NUMBER'					=> 'Num.',
	'LBL_LIST_PRIORITY'					=> 'Priority',
	'LBL_LIST_STATUS'					=> 'Status',
	'LBL_LIST_SUBJECT'					=> 'Subject',
	'LBL_LIST_ASSIGNED_TO_NAME'   		=> 'Assigned User',

	'LNK_CASE_LIST'						=> 'Cases',
	'LNK_NEW_CASE'						=> 'Create Case',
	'NTC_REMOVE_FROM_BUG_CONFIRMATION'	=> 'Are you sure you want to remove this case from the bug?',
	'NTC_REMOVE_INVITEE'				=> 'Are you sure you want to remove this contact from the case?',
	'LBL_LIST_DATE_CREATED'			=> 'Date Created',
	'LBL_ASSIGNED_TO_NAME' => 'Assigned to',
	'LBL_TYPE'=>'Type',
	'LBL_WORK_LOG'=>'Work Log',


	'LNK_CASE_REPORTS' => 'Case Reports',
	'LBL_SHOW_IN_PORTAL' => 'Show in Portal',
	'LBL_CREATE_KB_DOCUMENT' => 'Create Article',

);


?>
