<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
	'ADMIN_EXPORT_ONLY'=>'Admin export only',
	'ADVANCED'=>'Advanced',
	'CURRENT_LOGO'=>'Current logo',
	'DEFAULT_CURRENCY_ISO4217'=>'ISO 4217 currency code',
	'DEFAULT_CURRENCY_NAME'=>'Currency name',
	'DEFAULT_CURRENCY_SYMBOL'=>'Currency symbol',
	'DEFAULT_CURRENCY'=>'Default Currency',
	'DEFAULT_DATE_FORMAT'=>'Default date format',
	'DEFAULT_DECIMAL_SEP'					=> 'Decimal symbol',
	'DEFAULT_LANGUAGE'=>'Default language',
	'DEFAULT_NUMBER_GROUPING_SEP'			=> '1000s separator',
	'DEFAULT_SYSTEM_SETTINGS'=>'User Interface',
	'DEFAULT_THEME'=> 'Default theme',
	'DEFAULT_TIME_FORMAT'=>'Default time format',
	'DISABLE_EXPORT'=>'Disable export',
	'DISPLAY_LOGIN_NAV'=>'Display tabs on login screen',
	'DISPLAY_RESPONSE_TIME'=>'Display server response times',
	'EXPORT'=>'Export',
	'EXPORT_CHARSET' => 'Default Export Character Set',
	'EXPORT_DELIMITER' => 'Export Delimiter',
	'IMAGES'=>'Logos',
	'LBL_CONFIGURE_SETTINGS_TITLE' => 'System Settings',
	'LBL_ENABLE_MAILMERGE' => 'Enable mail merge?',
	'LBL_LOGVIEW' => 'Configure Log Settings',
	'LBL_MAIL_SMTPAUTH_REQ'				=> 'Use SMTP Authentication?',
	'LBL_MAIL_SMTPPASS'					=> 'SMTP Password:',
	'LBL_MAIL_SMTPPORT'					=> 'SMTP Port:',
	'LBL_MAIL_SMTPSERVER'				=> 'SMTP Server:',
	'LBL_MAIL_SMTPUSER'					=> 'SMTP Username:',
	'LBL_MAILMERGE_DESC' => 'This flag should be checked only if you have the Sugar Plug-in for Microsoft&reg; Word&reg;.',
	'LBL_MAILMERGE' => 'Mail Merge',
	'LBL_MODULE_NAME'=>'System Settings',
    'LBL_MODULE_ID'  => 'Configurator',
	'LBL_MODULE_TITLE'=>'User Interface',
	'LBL_NOTIFY_FROMADDRESS' => '"From" Address:',
	'LBL_NOTIFY_SUBJECT' => 'Email subject:',
	'LBL_PORTAL_ON_DESC' => 'Allows Case, Bug, Note, and other data to be accessible by an external customer self-service portal system.',
	'LBL_PORTAL_ON' => 'Enable self-service portal integration?',
	'LBL_PORTAL_TITLE' => 'Customer Self-Service Portal',
	'LBL_PROXY_AUTH'=>'Authentication?',
	'LBL_PROXY_HOST'=>'Proxy Host',
	'LBL_PROXY_ON_DESC'=>'Configure proxy server address and authentication settings',
	'LBL_PROXY_ON'=>'Use proxy server?',
	'LBL_PROXY_PASSWORD'=>'Password',
	'LBL_PROXY_PORT'=>'Port',
	'LBL_PROXY_TITLE'=>'Proxy Settings',
	'LBL_PROXY_USERNAME'=>'User Name',
	'LBL_RESTORE_BUTTON_LABEL'=>'Restore',
	'LBL_SKYPEOUT_ON_DESC' => 'Allows users to click on phone numbers to call using SkypeOut&reg;. The numbers must be formatted properly to make use of this feature. That is, it must be "+"  "The Country Code" "The Number", like +1 (555) 555-1234. For more information, see the Skype FAQ at <a href="http://www.skype.com/help/faq/skypeout.html#calling" target="skype">skype&reg; faq</a>	',
	'LBL_SKYPEOUT_ON' => 'Enable SkypeOut&reg; integration?',
	'LBL_SKYPEOUT_TITLE' => 'SkypeOut&reg;',
	'LBL_USE_REAL_NAMES'	=> 'Show Full Name (not Login)',
	'LIST_ENTRIES_PER_LISTVIEW'=>'Listview items per page',
	'LIST_ENTRIES_PER_SUBPANEL'=>'Subpanel items per page',
	'LOG_MEMORY_USAGE'=>'Log memory usage',
	'LOG_SLOW_QUERIES'=> 'Log slow queries',
    'NEW_LOGO'=>'Upload new logo',
    'NEW_LOGO_HELP'=>'The image file format can be either .png or .jpg.<BR>The recommended size is 212x40 px.',
    'NEW_QUOTE_LOGO'=>'Upload new Quotes logo',
    'NEW_QUOTE_LOGO_HELP'=>'The required image file format is .jpg.<BR>The recommended size is 867x74 px.',
    'QUOTES_CURRENT_LOGO'=>'Quotes logo',
	'SLOW_QUERY_TIME_MSEC'=>'Slow query time threshold (msec)',
	'STACK_TRACE_ERRORS'=>'Display stack trace of errors',
	'UPLOAD_MAX_SIZE'=>'Maximum upload size',
	'VERIFY_CLIENT_IP'=>'Validate user IP address',
    'LOCK_HOMEPAGE' => 'Prevent user customizable Homepage layout',
    'LOCK_SUBPANELS' => 'Prevent user customizable subpanel layout',
    'MAX_DASHLETS' => 'Maximum number of Dashlets on Homepage',
	'SYSTEM_NAME'=>'System Name',

    'LBL_OC_STATUS'                     => 'Default Offline Client Status',
    'DEFAULT_OC_STATUS'                 => 'Enable Offline Client by default',
    'LBL_OC_STATUS_DESC' => 'Check here if you would like any user to have access to Offline Client.  Otherwise you can configure access at the user level.',
    'SESSION_TIMEOUT' => 'Portal Session Timeout',
    'SESSION_TIMEOUT_UNITS' => 'seconds',

    'LBL_LDAP_TITLE'=>'LDAP Authentication Support',
    'LBL_LDAP_ENABLE'=>'Enable LDAP',
    'LBL_LDAP_SERVER_HOSTNAME'=> 'Server:',
    'LBL_LDAP_SERVER_PORT'=> 'Port Number:',    
    'LBL_LDAP_ADMIN_USER'=> 'Authenticated User:',
    'LBL_LDAP_ADMIN_USER_DESC'=>'Used to search for the sugar user. [May need to be fully qualified]<br>It will bind anonymously if not provided.',
    'LBL_LDAP_ADMIN_PASSWORD'=> 'Authenticated Password:',
    'LBL_LDAP_AUTO_CREATE_USERS'=>'Auto Create Users:',
    'LBL_LDAP_BASE_DN'=>'Base DN:',
    'LBL_LDAP_LOGIN_ATTRIBUTE'=>'Login Attribute:',
    'LBL_LDAP_BIND_ATTRIBUTE'=>'Bind Attribute:',
    'LBL_LDAP_BIND_ATTRIBUTE_DESC'=>'For Binding the LDAP User Examples:[<b>AD:</b>&nbsp;userPrincipalName] [<b>openLDAP:</b>&nbsp;userPrincipalName] [<b>Mac&nbsp;OS&nbsp;X:</b>&nbsp;uid] ',
    'LBL_LDAP_LOGIN_ATTRIBUTE_DESC'=>'For searching for the LDAP User Examples:[<b>AD:</b>&nbsp;userPrincipalName] [<b>openLDAP:</b>&nbsp;dn] [<b>Mac&nbsp;OS&nbsp;X:</b>&nbsp;dn] ',
    'LBL_LDAP_SERVER_HOSTNAME_DESC'=>'Example: ldap.example.com',
    'LBL_LDAP_SERVER_PORT_DESC'=>'Example: 389',
    'LBL_LDAP_BASE_DN_DESC'=>'Example: DC=SugarCRM,DC=com',
    'LBL_LDAP_AUTO_CREATE_USERS_DESC'=> 'If an authenticated user does not exist one will be created in Sugar.',
    'LBL_LDAP_ENC_KEY'	=> 'Encryption Key:',
    'DEVELOPER_MODE'=>'Developer Mode',
    'LBL_LDAP_ENC_KEY_DESC'	=> 'For SOAP authentication when using ldap.',
    'LDAP_ENC_KEY_NO_FUNC_DESC' => 'The php_mcrypt extension must be enabled in your php.ini file.',
    'LBL_ALL' => 'All',
    'LBL_MARK_POINT' => 'Mark Point',
    'LBL_NEXT_' => 'Next>>',
    'LBL_REFRESH_FROM_MARK' => 'Refresh From Mark',
    'LBL_SEARCH' => 'Search:',
    'LBL_REG_EXP' => 'Reg Exp:',
    'LBL_IGNORE_SELF' => 'Ignore Self:',
    'LBL_MARKING_WHERE_START_LOGGING'=>'Marking Where To Start Logging From',
    'LBL_DISPLAYING_LOG'=>'Displaying Log',
    'LBL_YOUR_PROCESS_ID'=>'Your process id',
    'LBL_YOUR_IP_ADDRESS'=>'Your IP Address is',
    'LBL_IT_WILL_BE_IGNORED'=>' it will be ignored ',
    'LBL_LOG_NOT_CHANGED'=>'log has not changed',
    'LBL_ALERT_JPG_IMAGE' => 'The file format of the image must be JPEG.  Upload a new file with the file extension .jpg.',
    'LBL_ALERT_TYPE_IMAGE' => 'The file format of the image must be JPEG or PNG.  Upload a new file with the file extension .jpg or .png.',
    'LBL_ALERT_SIZE_RATIO' => 'The aspect ratio of the image should be between 1:1 and 10:1.  The image will be resized.',
    'LBL_ALERT_SIZE_RATIO_QUOTES' => 'The aspect ratio of the image must be between 3:1 and 20:1.  Upload a new file with this ratio.',    
);


?>
