<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/**
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 */

$mod_strings = array (
	// module labels
	'LBL_MODULE_NAME' => 'Contracts',
	'LBL_MODULE_TITLE' => 'Contracts: Home',
	
	// quick menu link labels
	'LNK_NEW_CONTRACT' => 'Create Contract',
	'LNK_CONTRACT_LIST' => 'Contracts List',

    // quick create label
    'LBL_NEW_FORM_TITLE' => 'New Contract',

	// vardef labels
	'LBL_CONTRACT_NAME' => 'Contract Name:',
	'LBL_REFERENCE_CODE' => 'Reference Code:',
	'LBL_ACCOUNT_NAME' => 'Account Name:',
	'LBL_OPPORTUNITY' => 'Opportunity Name:',
	'LBL_START_DATE' => 'Start Date:',
	'LBL_END_DATE' => 'End Date:',
	'LBL_TOTAL_CONTRACT_VALUE' => 'Contract Value:',
	'LBL_TOTAL_CONTRACT_VALUE_USDOLLAR' => 'Contract Value (USD):',
	'LBL_STATUS' => 'Status:',
	'LBL_CUSTOMER_SIGNED_DATE' => 'Customer Signed Date:',
	'LBL_COMPANY_SIGNED_DATE' => 'Company Signed Date:',
	'LBL_CONTRACT_TERM' => 'Contract Term:',
	'LBL_EXPIRATION_NOTICE' => 'Expiration Notice:',
	'LBL_TIME_TO_EXPIRY' => 'Time To Expiry:',
	'LBL_DESCRIPTION' => 'Description:',
	'LBL_TEAM' => 'Team:',
	'LBL_ASSIGNED_TO' => 'Assigned to:',
	'LBL_CURRENCY' => 'Currency:',
     'LBL_ASSIGNED_TO_NAME'=>'Assigned to:',                   
	// listview labels
	'LBL_LIST_FORM_TITLE' => 'Contract List',	
	'LBL_LIST_CONTRACT_NAME' => 'Contract Name',
	'LBL_LIST_ACCOUNT_NAME' => 'Account Name',
	'LBL_LIST_START_DATE' => 'Start',
	'LBL_LIST_END_DATE' => 'End',
	'LBL_LIST_STATUS' => 'Status',
	'LBL_LIST_TEAM_NAME' => 'Team',
	'LBL_LIST_ASSIGNED_TO_USER' => 'User',

	'LBL_DAYS' => 'Day(s)',
	'LBL_UNDEFINED' => 'Undefined',
	'LBL_NONE' => 'None',

	// search form labels
	'LBL_SEARCH_FORM_TITLE' => 'Contract Search',
	'LBL_SF_CONTRACT_NAME' => 'Contract Name:',
	'LBL_SF_ACCOUNT_NAME' => 'Account Name:',
	'LBL_SF_STATUS' => 'Status:',
	'LBL_SF_CONTRACT_TYPE' => 'Type:',
	'LBL_SF_START_DATE' => 'Start Date:',
	'LBL_SF_END_DATE' => 'End Date:',
	'LBL_SF_ASSIGNED_TO' => 'Assigned to:',
	
	// subpanels
	'LBL_DOCUMENTS_SUBPANEL_TITLE' => 'Documents',
	'LBL_CONTACTS_SUBPANEL_TITLE' => 'Contacts',
	'LBL_NOTES_SUBPANEL_TITLE' => 'Notes',
	'LBL_PRODUCTS_SUBPANEL_TITLE' => 'Products',
	'LBL_QUOTES_SUBPANEL_TITLE' => 'Quotes',
	'LBL_LIST_NAME' => 'Name',
	'LBL_LIST_CONTRACT_VALUE' => 'Value',
	
	
	'LBL_TYPE'=>'Type',
	'LBL_CONTRACT_TYPE'=>'Type:',
);

?>
