<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/**
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 */



$listViewDefs['Documents'] = array(
    'FILE_URL' => array(
        'width' => '2', 
        'label' => '&nbsp;', 
        'link' => true,
        'default' => true,
        'related_fields' => array('document_revision_id'),
        'sortable' => false), 
	'DOCUMENT_NAME' => array(
		'width' => '40', 
		'label' => 'LBL_NAME', 
		'link' => true,
        'default' => true),
    'MODIFIED_BY_NAME' => array(
        'width' => '10',
        'label' => 'LBL_MODIFIED_USER',
        'module' => 'Users',
        'id' => 'USERS_ID',      
        'default' => false,
        'sortable' => false,
        'related_fields' => array('modified_user_id')),         
    'CATEGORY_ID' => array(
        'width' => '40', 
        'label' => 'LBL_LIST_CATEGORY',
        'default' => true),
    'SUBCATEGORY_ID' => array(
        'width' => '40', 
        'label' => 'LBL_LIST_SUBCATEGORY',
        'default' => true),
    'REVISION' => array(
        'width' => '10', 
        'label' => 'LBL_LATEST_REVISION',
        'default' => true,
        'sortable' => false),

    'TEAM_NAME' => array(
        'width' => '2', 
        'label' => 'LBL_LIST_TEAM',
        'default' => true,
        'sortable' => false),

    'CREATED_BY_NAME' => array(
        'width' => '2', 
        'label' => 'LBL_LIST_LAST_REV_CREATOR',
        'default' => true,
        'sortable' => false),
    'LAST_REV_CREATE_DATE' => array(
        'width' => '10', 
        'label' => 'LBL_LIST_LAST_REV_DATE',
        'default' => true,
        'sortable' => false,
        'related_fields' => array('document_revision_id')),
    'ACTIVE_DATE' => array(
        'width' => '10', 
        'label' => 'LBL_LIST_ACTIVE_DATE',
        'default' => true),
    'EXP_DATE' => array(
        'width' => '10', 
        'label' => 'LBL_LIST_EXP_DATE',
        'default' => true),        
        );
?>
