{*

/**
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 */



*}

{include file="modules/DynamicFields/templates/Fields/Forms/coreTop.tpl"}
<script language="Javascript">
app_list_strings = {$app_list_strings};
</script>
<tr>
	<td class='mbLBL'>{$MOD.LBL_DROP_DOWN_LIST}:</td>
	<td>
	{if $hideLevel < 5}
		{html_options name="options" id="options" selected=$selected_dropdown values=$dropdowns output=$dropdowns onChange="ModuleBuilder.dropdownChanged(this.value);"}<br><input type='button' value='{$MOD.LBL_BTN_EDIT}' class='button' onclick="ModuleBuilder.moduleDropDown(this.form.options.value, this.form.options.value);">&nbsp;<input type='button' value='{$MOD.LBL_BTN_ADD}' class='button' onclick="ModuleBuilder.moduleDropDown('', this.form.name.value);">
	{else}
		<input type='hidden' name='options' value='$selected_dropdown'>{$selected_dropdown}
	{/if}
	</td>
</tr>
<tr>
	<td class='mbLBL'>{$MOD.COLUMN_TITLE_DEFAULT_VALUE}:</td>
	<td>
	{if $hideLevel < 5}
		{html_options name="default" id="default" selected=$vardef.default options=$default_dropdowns}
	{else}
		<input type='hidden' name='default' value='$vardef.default'>{$vardef.default}
	{/if}
	</td>
</tr>
<tr>
	<td class='mbLBL'>{$MOD.COLUMN_TITLE_MASS_UPDATE}:</td>
	<td>
	{if $hideLevel < 5}
		<input type="checkbox" name="massupdate" value="1" {if !empty($vardef->massupdate)}checked{/if}/>
	{else}
		<input type="checkbox" name="massupdate" value="1" disabled {if !empty($vardef->massupdate)}checked{/if}/>	
	{/if}
	</td>
</tr>
{include file="modules/DynamicFields/templates/Fields/Forms/coreBottom.tpl"}
