{*

/**
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 */



*}


{include file="modules/DynamicFields/templates/Fields/Forms/coreTop.tpl"}

<tr>
	<td class="mbLBL">{$MOD.COLUMN_TITLE_HTML_CONTENT}:</td>
	<td>
	{if $hideLevel < 5}
		<textarea name='htmlarea' id='htmlarea' cols=100 rows=10>{$HTML_EDITOR}</textarea>
		<input type='hidden' name='ext4' id='ext4' value='{$cf->ext4}'/>
	{else}
		<textarea name='htmlarea' id='htmlarea' cols=100 rows=10 disabled>{$HTML_EDITOR}</textarea>
		<input type='hidden' name='htmlarea' value='{$HTML_EDITOR}'/>
	{/if}
		<br>
	</td>
</tr>
<script type="text/javascript" language="Javascript">SUGAR.ajaxLoad = true;</script>
{$tiny}
{include file="modules/DynamicFields/templates/Fields/Forms/coreBottom.tpl"}

{literal}
<script type="text/javascript" language="Javascript">
//Assume the remove is going to error as the original htmlElements are gone
setTimeout("try{ tinyMCE.execCommand('mceRemoveControl', false, 'htmlarea');}catch(err){}", 100);
setTimeout("tinyMCE.execCommand('mceAddControl', false, 'htmlarea');", 500);
</script>{/literal}
{literal}
<script type="text/javascript" language="Javascript">
document.popup_form.presave = function(){
    var inst = tinyMCE.getContent('htmlarea');
    document.getElementById('ext4').value =inst;
    document.getElementById('ext4').style.display = '';
};
</script>
{/literal}
