<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/


$mod_strings = array (
	'LBL_MODULE_NAME' => 'Edit Custom Fields',
	'LBL_ADD_FIELD'=> 'Add Field:',
	'LBL_MODULE_TITLE' => 'Edit Custom Fields',
	'LBL_MODULE_SELECT' => 'Module to Edit',
	'LBL_SEARCH_FORM_TITLE' => 'Module Search',
	'COLUMN_TITLE_NAME' => 'Field Name',
    'COLUMN_TITLE_DISPLAY_LABEL' => 'Display Label',
	'COLUMN_TITLE_LABEL' => 'System Label',
	'COLUMN_TITLE_DATA_TYPE' => 'Data Type',
	'COLUMN_TITLE_MAX_SIZE' => 'Max Size',
	'COLUMN_TITLE_HELP_TEXT' => 'Help Text',
    'COLUMN_TITLE_COMMENT_TEXT' => 'Comment Text',
	'COLUMN_TITLE_REQUIRED_OPTION' => 'Required Field',
	'COLUMN_TITLE_DEFAULT_VALUE' => 'Default Value',
	'COLUMN_TITLE_DEFAULT_EMAIL' => 'Default Value',
	'COLUMN_TITLE_EXT1' => 'Extra Meta Field 1',
	'COLUMN_TITLE_EXT2' => 'Extra Meta Field 2',
	'COLUMN_TITLE_EXT3' => 'Extra Meta Field 3',
	'COLUMN_TITLE_HTML_CONTENT' =>'HTML',
	'COLUMN_TITLE_URL'=>'Default URL',
	'COLUMN_TITLE_AUDIT' =>'Audit',
	'COLUMN_TITLE_REPORTABLE' => 'Reportable',
	'COLUMN_TITLE_MIN_VALUE' => 'Min Value',
	'COLUMN_TITLE_MAX_VALUE' => 'Max Value',
	'COLUMN_TITLE_DISPLAYED_ITEM_COUNT'=>'# Items displayed',
    'COLUMN_DISABLE_NUMBER_FORMAT' => 'Disable Format',
	'LBL_DROP_DOWN_LIST' => 'Drop Down List',
	'LBL_RADIO_FIELDS'=> 'Radio Fields',
	'LBL_MULTI_SELECT_LIST'=> 'Multi Select List',
	'COLUMN_TITLE_PRECISION'=> 'Precision',
	'MSG_DELETE_CONFIRM' => 'Are you sure you want to delete this item?',
	'POPUP_INSERT_HEADER_TITLE' => 'Add Custom Field',
	'POPUP_EDIT_HEADER_TITLE' => 'Edit Custom Field',
	'LNK_SELECT_CUSTOM_FIELD' => 'Select Custom Field',
	'LNK_REPAIR_CUSTOM_FIELD' => 'Repair Custom Fields',
	'LBL_MODULE' => 'Module',
	'COLUMN_TITLE_MASS_UPDATE'=>'Mass Update',
    'COLUMN_TITLE_DUPLICATE_MERGE'=>'Duplicate Merge',
    'LBL_LABEL'=>'Label',
    'LBL_DATA_TYPE'=>'Data Type',
    'LBL_DEFAULT_VALUE'=>'Default Value',
    'LBL_AUDITED'=>'Audited',
    'LBL_REPORTABLE'=>'Reportable',
    'ERR_RESERVED_FIELD_NAME' => "Reserved Keyword",
	'ERR_SELECT_FIELD_TYPE' => 'Please Select a Field Type',
    'LBL_BTN_ADD' => 'Add',
    'LBL_BTN_EDIT' => 'Edit',
    
);
?>
