<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  TODO: To be written.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

require_once('modules/Administration/Administration.php');
require_once('include/OutboundEmail/OutboundEmail.php');

// save Outbound (SMTP/Sendmail) settings
$oe = new OutboundEmail();
$oe->populateFromPost();
$oe->saveSystem();

$focus = new Administration();

if(isset($_POST['tracking_entities_location_type'])) {
	if ($_POST['tracking_entities_location_type'] != '2') {
		unset($_POST['tracking_entities_location']);
		unset($_POST['tracking_entities_location_type']);
	}
}
// cn: handle mail_smtpauth_req checkbox on/off (removing double reference in the form itself
if(!isset($_POST['mail_smtpauth_req'])) { $_POST['mail_smtpauth_req'] = 0; }
$focus->saveConfig();

// save User defaults for emails
$sugar_config['email_default_client'] = $_REQUEST['email_default_client'];
$sugar_config['email_default_editor'] = $_REQUEST['email_default_editor'];
$sugar_config['default_email_charset'] = $_REQUEST['default_email_charset'];
$sugar_config['email_default_delete_attachments'] = (isset($_REQUEST['email_default_delete_attachments'])) ? true : false;
// save outbound raw-save setting
$sugar_config['email_outbound_save_raw'] = ($_REQUEST['email_outbound_save_raw'] == 1) ? true : false; 

///////////////////////////////////////////////////////////////////////////////
////	SECURITY
$security = array();
if(isset($_REQUEST['applet'])) $security['applet'] = 'applet'; 
if(isset($_REQUEST['base'])) $security['base'] = 'base';
if(isset($_REQUEST['embed'])) $security['embed'] = 'embed'; 
if(isset($_REQUEST['form'])) $security['form'] = 'form'; 
if(isset($_REQUEST['frame'])) $security['frame'] = 'frame'; 
if(isset($_REQUEST['frameset'])) $security['frameset'] = 'frameset'; 
if(isset($_REQUEST['iframe'])) $security['iframe'] = 'iframe'; 
if(isset($_REQUEST['import'])) $security['import'] = '\?import';
if(isset($_REQUEST['layer'])) $security['layer'] = 'layer'; 
if(isset($_REQUEST['link'])) $security['link'] = 'link'; 
if(isset($_REQUEST['object'])) $security['object'] = 'object'; 
if(isset($_REQUEST['script'])) $security['script'] = 'script'; 
if(isset($_REQUEST['style'])) $security['style'] = 'style'; 
if(isset($_REQUEST['xmp'])) $security['xmp'] = 'xmp'; 

$sugar_config['email_xss'] = base64_encode(serialize($security));

if(isset($_REQUEST['preserve_raw']) && !empty($_REQUEST['preserve_raw'])) {
	$sugar_config['email_preserve_raw'] = 1;
}
////	SECURITY
///////////////////////////////////////////////////////////////////////////////

ksort($sugar_config);
write_array_to_file('sugar_config', $sugar_config, 'config.php');

header("Location: index.php?action={$_POST['return_action']}&module={$_POST['return_module']}");
?>
