<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description: Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
	'LBL_ADD_ANOTHER_FILE'		=> 'Add Another File',
	'LBL_ADD_DOCUMENT'			=> 'Add a Sugar Document',
	'LBL_ADD_FILE'				=> 'Add a file',
	'LBL_ATTACHMENTS'			=> 'Attachments',
	'LBL_BODY'					=> 'Body:',
	'LBL_CLOSE'					=> 'Close:',
	'LBL_COLON'					=> ':',
	'LBL_CONTACT_AND_OTHERS'	=> 'Contact/Lead/Prospect',
	'LBL_DESCRIPTION'			=> 'Description:',
	'LBL_EDIT_ALT_TEXT'			=> 'Edit Plain Text',
	'LBL_EMAIL_ATTACHMENT'		=> 'Email Attachment',
	'LBL_HTML_BODY'				=> 'HTML Body',
	'LBL_INSERT_VARIABLE'		=> 'Insert Variable:',
	'LBL_INSERT_URL_REF'		=> 'Insert URL Reference',
	'LBL_INSERT_TRACKER_URL'	=> 'Insert Tracker URL:',	
	'LBL_INSERT'				=> 'Insert',
	'LBL_LIST_DATE_MODIFIED'	=> 'Last Modified',
	'LBL_LIST_DESCRIPTION'		=> 'Description',
	'LBL_LIST_FORM_TITLE'		=> 'Email Templates List',
	'LBL_LIST_NAME'				=> 'Name',
	'LBL_MODULE_NAME'			=> 'Email Templates',
	'LBL_MODULE_TITLE'			=> 'Email Templates: Home',
	'LBL_NAME'					=> 'Name:',
	'LBL_NEW_FORM_TITLE'		=> 'Create Email Template',
	'LBL_PUBLISH'				=> 'Publish:',
	'LBL_RELATED_TO'			=> 'Related To:',
	'LBL_SEARCH_FORM_TITLE'		=> 'Email Templates Search',
	'LBL_SHOW_ALT_TEXT'			=> 'Show Plain Text',
	'LBL_SUBJECT'				=> 'Subject:',
    'LBL_SUGAR_DOCUMENT'        => 'Sugar Document',
	'LBL_TEAM'					=> 'Team:',
	'LBL_TEAMS_LINK'			=> 'Team',
	'LBL_TEXT_BODY'				=> 'Text Body',
	'LBL_USERS'					=> 'Users',
	
	'LNK_ALL_EMAIL_LIST'		=> 'All Emails',
	'LNK_ARCHIVED_EMAIL_LIST'	=> 'Archived Emails',
	'LNK_CHECK_EMAIL'			=> 'Check Mail',
	'LNK_DRAFTS_EMAIL_LIST'		=> 'All Drafts',
	'LNK_EMAIL_TEMPLATE_LIST'	=> 'Email Templates',
	'LNK_IMPORT_NOTES'			=> 'Import Notes',
	'LNK_NEW_ARCHIVE_EMAIL'		=> 'Create Archived Email',
	'LNK_NEW_EMAIL_TEMPLATE'	=> 'Create Email Template',
	'LNK_NEW_EMAIL'				=> 'Archive Email',
	'LNK_NEW_SEND_EMAIL'		=> 'Compose Email',
	'LNK_SENT_EMAIL_LIST'		=> 'Sent Emails',
	'LNK_VIEW_CALENDAR'			=> 'Today',
	// for Inbox
	'LBL_NEW'					=> 'New',
	'LNK_CHECK_MY_INBOX'		=> 'Check My Mail',
	'LNK_GROUP_INBOX'			=> 'Group Inbox',
	'LNK_MY_ARCHIVED_LIST'		=> 'My Archives',
	'LNK_MY_DRAFTS'				=> 'My Drafts',
	'LNK_MY_INBOX'				=> 'My Email',

	'LBL_LIST_BASE_MODULE'		=> 'Base Module:', 
	'LBL_MODULE_NAME_WORKFLOW'	=> 'Workflow Email Templates', 

    'LBL_TEXT_ONLY'             => 'Text Only',
    'LBL_SEND_AS_TEXT'          => 'Send Text Only',
    'LBL_ACCOUNT'               => 'Account',
    'LBL_BASE_MODULE'=>'Base Module',
    'LBL_FROM_NAME'=>'From Name',
    'LBL_PLAIN_TEXT'=>'Plain Text',
    'LBL_CREATED_BY'=>'Created By',
    'LBL_FROM_ADDRESS'=>'From Address',
    'LBL_PUBLISHED'=>'Published',
);
?>
