{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}
<form name="advancedSearchForm" id="advancedSearchForm">
<table cellpadding="4" cellspacing="0" border="0">
	<tr>
		<th NOWRAP>
			<b>{$app_strings.LBL_EMAIL_SEARCH__FROM_ACCOUNTS}:</b> <select name="accountListSearch" id="accountListSearch" onchange="SUGAR.email2.search.accountListSearchChange(this)"></select>
		</td>
	</tr>
	<tr>
		<td>&nbsp;
		</td>
	</tr>
	
	<tr>
		<td NOWRAP>
			{$app_strings.LBL_EMAIL_SUBJECT}:<br>
			<input type="text" class="input" name="subject" id="searchSubject" size="20">
		</td>
	</tr>
	<tr>
		<td id="searchBodyDiv" style="display:''" NOWRAP>
			{$app_strings.LBL_EMAIL_SEARCH_FULL_TEXT}:<br>
			<input type="text" class="input" name="body" id="searchBody" size="20">
		</td>
	</tr>
	<tr>
		<td NOWRAP>
			{$app_strings.LBL_EMAIL_FROM}:<br>
			<input type="text" class="input" name="from" id="searchFrom" size="20">
		</td>
	</tr>
	<tr>
		<td NOWRAP>
			{$app_strings.LBL_EMAIL_TO}:<br>
			<input type="text" class="input" name="searchTo" id="searchTo" size="20">
		</td>
	</tr>

	<tr>
		<td NOWRAP>
			{$app_strings.LBL_EMAIL_SEARCH_DATE_FROM}:&nbsp;<i>({$dateFormatExample})</i><br>
			<input name='dateFrom' id='searchDateFrom' onblur="parseDate(this, '{$dateFormat}');" maxlength='10' size='11' value="" type="text">&nbsp;
			<img src="themes/default/images/jscalendar.gif" alt="{$app_strings.LBL_ENTER_DATE}" id="jscal_trigger_from" align="absmiddle">
		</td>
	</tr>

	<tr>
		<td NOWRAP>
			{$app_strings.LBL_EMAIL_SEARCH_DATE_UNTIL}:&nbsp;<i>({$dateFormatExample})</i><br>
			<input name='dateTo' id='searchDateTo' onblur="parseDate(this, '{$dateFormat}');" maxlength='10' size='11' value="" type="text">&nbsp;
			<img src="themes/default/images/jscalendar.gif" alt="{$app_strings.LBL_ENTER_DATE}" id="jscal_trigger_to" align="absmiddle">
		</td>
	</tr>
	<tr>
		<td NOWRAP>
			<br />&nbsp;<br />
		
			<input type="button" id="advancedSearchButton" class="button" onclick="SUGAR.email2.search.searchAdvanced()" value="   {$app_strings.LBL_SEARCH_BUTTON_LABEL}   ">&nbsp;
			<input type="button" class="button" onclick="SUGAR.email2.search.searchClearAdvanced()" value="   {$app_strings.LBL_CLEAR_BUTTON_LABEL}   ">
		</td>
	</tr>
</table>
</form>
