{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}
{$rollover}
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
	   <form id="ieSelect" name="ieSelect">
		<td NOWRAP>
			<div>
                <input type="hidden" id="emailUIAction2" name="emailUIAction" />
				<input type="hidden" id="module" name="module" value="Emails">
				<input type="hidden" id="action" name="action" value="EmailUIAjax">
				<input type="hidden" id="to_pdf" name="to_pdf" value="true">
					&nbsp;

				<span class="dataLabel">{$app_strings.LBL_EMAIL_SETTINGS_EDIT_ACCOUNT}:&nbsp;</span>
			</div>
		</td>
		<td> <select name="ieId" id="ieAccountList" onchange="SUGAR.email2.accounts.getIeAccount(this.value);">
                {$ieAccounts}
             </select> 
        </td>
        </form>
	</tr>
    <tr>
		<td valign="top" class="dataLabel" width="15%" NOWRAP>
			&nbsp;
		</td>
		<td valign="top" class="dataField" width="35%">
			&nbsp;
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<form id="ieAccount" name="ieAccount">
				<input type="hidden" name="mailbox" value="INBOX">
				<input type="hidden" id="ie_id" name="ie_id">
				<input type="hidden" id="ie_status" name="ie_status" value="Active">
				<input type="hidden" id="ie_team" name="ie_team" value="{$ie_team}">
				<input type="hidden" id="group_id" name="group_id">
				<input type="hidden" id="group_id" name="mark_read" value="1">
			
			<table border="0" cellspacing="0" cellpadding="0">
			    <tr>
					<td valign="top" class="dataLabel" width="15%" NOWRAP>
						{$app_strings.LBL_EMAIL_SETTINGS_NAME}: <span class="required">{$app_strings.LBL_REQUIRED_SYMBOL}</span>
					</td>
					<td valign="top" class="dataField" width="35%">
						<input id='ie_name' name='ie_name' type="text" size="30">
					</td>
				</tr>
			
			
			    <tr>
					<td valign="top" class="dataLabel" width="15%" NOWRAP>
						{$app_strings.LBL_EMAIL_SETTINGS_FROM_NAME}:
					</td>
					<td valign="top" class="dataField" width="35%">
						<input id='from_name' name='from_name' type="text" size="30">
					</td>
				</tr>
			    <tr>
					<td valign="top" class="dataLabel" width="15%" NOWRAP>
						{$app_strings.LBL_EMAIL_SETTINGS_FROM_ADDR}: <span class="required">{$app_strings.LBL_REQUIRED_SYMBOL}</span>
					</td>
					<td valign="top" class="dataField" width="35%">
						<input id='from_addr' name='from_addr' type="text" size="30">
					</td>
				</tr>
			
			    <tr>
					<td valign="top" class="dataLabel">
						{$ie_mod_strings.LBL_LOGIN}: <span class="required">{$app_strings.LBL_REQUIRED_SYMBOL}</span>&nbsp;
					</td>
					<td valign="top" class="dataField">
						<input id='email_user' name='email_user' size='30' maxlength='100' type="text" onclick="SUGAR.email2.accounts.ieAccountError(SUGAR.email2.accounts.normalStyle);">
					</td>
			    </tr>
			
			    <tr>
					<td valign="top" class="dataLabel">
						{$ie_mod_strings.LBL_PASSWORD}: <span class="required">{$app_strings.LBL_REQUIRED_SYMBOL}</span>&nbsp;
					</td>
					<td valign="top" class="dataField">
						<input id='email_password' name='email_password' size='30' maxlength='100' type="password" onclick="SUGAR.email2.accounts.ieAccountError(SUGAR.email2.accounts.normalStyle);">
					</td>
			    </tr>
			    
			     <tr>
                    <td valign="top" class="dataLabel" NOWRAP>
                        {$ie_mod_strings.LBL_SERVER_URL}: <span class="required">{$app_strings.LBL_REQUIRED_SYMBOL}</span>&nbsp;
                    </td>
                    <td valign="top" class="dataField">
                        <input id='server_url' name='server_url' size='30' maxlength='100' type="text" onclick="SUGAR.email2.accounts.ieAccountError(SUGAR.email2.accounts.normalStyle);">
                    </td>
                </tr>
                
			    <tr>
					<td valign="top" class="dataLabel" NOWRAP>
						{$ie_mod_strings.LBL_SERVER_TYPE}: <span class="required">{$app_strings.LBL_REQUIRED_SYMBOL}</span>&nbsp;
					</td>
					<td valign="top" class="dataField">
						<select name='protocol' id="protocol" onchange="SUGAR.email2.accounts.setPortDefault(); SUGAR.email2.accounts.ieAccountError(SUGAR.email2.accounts.normalStyle);">{$PROTOCOL}</select>
					</td>
				</tr>
			
			    <tr>
					<td valign="top" class="dataLabel" NOWRAP>
						{$ie_mod_strings.LBL_PORT}: <span class="required">{$app_strings.LBL_REQUIRED_SYMBOL}</span>&nbsp;
					</td>
					<td valign="top" class="dataField">
						<input name='port' id='port' size='10' onclick="SUGAR.email2.accounts.ieAccountError(SUGAR.email2.accounts.normalStyle);">
					</td>
				</tr>
				<tr>
					<td valign="top" class="dataLabel" NOWRAP>
						<div id="rollover">
						     {$ie_mod_strings.LBL_SSL}:&nbsp;
                             <a href="#" class="rollover"><img border="0" src="themes/default/images/Search.gif"><span>{$ie_mod_strings.LBL_SSL_DESC}</span></a>
                           </div>
					    </div>
					</td>
					<td valign="top" class="dataField" width="15%">
					   <div class="maybe">
						   <input name='ssl' id='ssl' {$CERT} value='1' type='checkbox' {$SSL} onClick="SUGAR.email2.accounts.setPortDefault();">
					   </div>
					</td>
				</tr>
				
				<tr>
					<td valign="top" class="dataLabel" NOWRAP>
						{$ie_mod_strings.LBL_OUTBOUND_SERVER}: <span class="required">{$app_strings.LBL_REQUIRED_SYMBOL}</span>&nbsp;
					</td>
					<td valign="top" class="dataField" NOWRAP>
					   <div><table><tr><td>
						<select name='outbound_email' id='outbound_email' onchange="SUGAR.email2.accounts.handleOutboundSelectChange();"></select>&nbsp;
						<input id="outbound_email_edit_button" style="display:none;" type="button" class="button" 
						    onclick="javascript:SUGAR.email2.accounts.editOutbound();" value="   {$app_strings.LBL_EMAIL_ACCOUNTS_EDIT}   ">
					    </td><td style="padding-bottom: 2px">
					    <input id="outbound_email_add_button" title="{$app_strings.LBL_EMAIL_FOLDERS_ADD}" type='button' 
					        class="button" onClick='SUGAR.email2.accounts.showAddSmtp();'
                            name="button" value="  {$app_strings.LBL_EMAIL_FOLDERS_ADD}   ">
                        </td></tr></table>
                       </div>     
					</td>
				</tr>

				<tr>
					<td class="dataLabel" colspan="2">
						<hr>
					</td>
				</tr>
			
				<tr>
					<td NOWRAP colspan="2" style="padding-bottom: 2px">
					   <input title="{$app_strings.LBL_EMAIL_SETTINGS_ADD_ACCOUNT}"
                        type='button' 
                        accessKey="n" 
                        class="button"
                        onClick='SUGAR.email2.accounts.addNewAccount();'
                        name="button" id="addButton" value="  {$app_strings.LBL_EMAIL_SETTINGS_ADD_ACCOUNT}  ">
                        &nbsp;
						<input title="{$ie_mod_strings.LBL_TEST_BUTTON_TITLE}"
							type='button' 
							accessKey="{$ie_mod_strings.LBL_TEST_BUTTON_KEY}" 
							class="button"
							onClick='SUGAR.email2.accounts.testSettings();'
							name="button" id="testButton" value="  {$ie_mod_strings.LBL_TEST_SETTINGS}  ">
						&nbsp;
						<input title="{$ie_mod_strings.LBL_EMAIL_SAVE}"
							type='button' 
							accessKey="s" 
							class="button"
							onClick='SUGAR.email2.accounts.saveIeAccount();'
							name="button" id="saveButton" value="  {$app_strings.LBL_EMAIL_SAVE}  ">
						&nbsp;
						<input title="{$ie_mod_strings.LBL_EMAIL_DELETE}"
							type='button' 
							accessKey="x" 
							class="button"
							onClick='SUGAR.email2.accounts.deleteIeAccount();'
							name="button" id="deleteButton" value="  {$app_strings.LBL_EMAIL_DELETE}  "
							style="display:none;">
					</td>
				</tr>
			</table>
			</form>
			<form action="index.php" method="post" name="testSettingsView" id="testSettingsView">
				<input type="hidden" name="module" value="" />
				<input type="hidden" name="action" />
				<input type="hidden" name="target1"/>
				<input type="hidden" name="server_url" value="" />
				<input type="hidden" name="email_user" value="" />
				<input type="hidden" name="protocol" value="" />
				<input type="hidden" name="port" value="" />
				<input type="hidden" name="email_password" value="" />
				<input type="hidden" name="mailbox" value="" />
				<input type="hidden" name="ssl" value="" />
				<input type="hidden" name="personal" value="" />
			</form>
			
		</td>
	</tr>
</table>
