{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}
{$SQS}
{literal}
<script>
function changeQS() {
    console.log('here');
    disabledModules = [];
    new_module = document.ImportEditView.parent_type.value;
    
    if(new_module == 'Contacts' || new_module == 'Leads' || new_module == 'Prospects' || typeof(disabledModules[new_module]) != 'undefined') {
        sqs_objects['parent_name']['disable'] = true;
        document.getElementById('parent_name').readOnly = true;
        document.getElementById('parent_name').value = mod_strings['LBL_QS_DISABLED'];
    }
    else {
        sqs_objects['parent_name']['disable'] = false;
        document.getElementById('parent_name').readOnly = false;
    }   
    sqs_objects['parent_name']['modules'] = new Array(new_module);
    if (document.getElementById('smartInputFloater')) document.getElementById('smartInputFloater').style.display = 'none';
}
</script>
{/literal}
<form name="ImportEditView" id="ImportEditView">
<div id="importDiv" class='tabform'>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tbody><tr>
<td style="padding-bottom: 2px;">
<input name="module" value="Emails" type="hidden">
<input name="record" value="{$emailId}" type="hidden">
<input name="isDuplicate" value="false" type="hidden">
<input name="action" type="hidden">
<input name="return_module" type="hidden">
<input name="return_action" type="hidden">
<input name="return_id" type="hidden">
</td>
</tbody></table>
<table border="0" cellpadding="0" cellspacing="1" width="100%">
<tbody>

{if $showTeam}
<tr>
<td class="dataLabel" nowrap="nowrap" valign="top" width="12%">
<script type="text/javascript">addToValidate("ImportEditView", "team_id", "relate", true, "{sugar_translate label="LBL_TEAM_ID"}");</script>
<script type="text/javascript">addToValidate("ImportEditView", "team_name", "relate", true, "{sugar_translate label="LBL_TEAM"}");</script>
{sugar_translate label="LBL_TEAM"}:
<span class="required">*</span>
</td>
<td class="tabEditViewDF" nowrap="nowrap" width="37%">
<input name="team_name" class="sqsEnabled" tabindex="2" id="team_name" size="" value="{$teamName}" type="text">
<input name="team_id" id="team_id" value="{$teamId}" type="hidden">
<input name="btn_team_name" tabindex="2" title="Select [Alt+T]" accesskey="T" class="button" value="Select" 
    onclick='open_popup("Teams", 600, 400, "", true, false, 
        {literal}{"call_back_function":"set_return","form_name":"ImportEditView","field_to_name_array":{"id":"team_id","name":"team_name"}}
        {/literal}, "single", true);' type="button">
<input name="btn_clr_team_name" tabindex="2" title="Clear [Alt+C]" accesskey="C" class="button" 
    onclick="this.form.team_name.value = ''; this.form.team_id.value = '';" value="Clear" type="button">
</td></tr>
{/if}

<tr>
{if $showAssignedTo}
<td class="dataLabel" nowrap="nowrap" valign="top" width="12%">
<script type="text/javascript">addToValidate("ImportEditView", "assigned_user_id", "relate", false, "{sugar_translate label="LBL_ASSIGNED_TO_ID"}");</script>
<script type="text/javascript">addToValidate("ImportEditView", "assigned_user_name", "relate", false, "{sugar_translate label="LBL_ASSIGNED_TO"}");</script>
{sugar_translate label="LBL_ASSIGNED_TO"}:
</td>
<td class="tabEditViewDF" nowrap="nowrap" width="37%">
<input name="assigned_user_name" class="sqsEnabled" tabindex="2" id="assigned_user_name" size="" value="{$userName}" type="text">
<input name="assigned_user_id" id="assigned_user_id" value="{$userId}" type="hidden">
<input name="btn_assigned_user_name" tabindex="2" title="Select [Alt+T]" accesskey="T" class="button" value="Select" onclick='open_popup("Users", 600, 400, "", true, false, {literal}{"call_back_function":"set_return","form_name":"ImportEditView","field_to_name_array":{"id":"assigned_user_id","name":"assigned_user_name"}}{/literal}, "single", true);' type="button">
<input name="btn_clr_assigned_user_name" tabindex="2" title="Clear [Alt+C]" accesskey="C" class="button" onclick="this.form.assigned_user_name.value = ''; this.form.assigned_user_id.value = '';" value="Clear" type="button">
</td>
</tr>
{/if}
<tr>
<td class="dataLabel" nowrap="nowrap" valign="top" width="12%">
{sugar_translate label="LBL_EMAIL_RELATE"}:
</td>
<td class="tabEditViewDF" nowrap="nowrap" width="37%"><slot _moz-userdefined="">
<select onchange=" document.ImportEditView.parent_name.value=''; checkParentType(document.ImportEditView.parent_type.value, document.ImportEditView.change_parent); changeQS();" name="parent_type" tabindex="2">
{$parentOptions}</select>
</slot>
<slot _moz-userdefined="">
<input type="hidden" value="" name="parent_id" id="parent_id"/>
<input type="text" value="" tabindex="2" name="parent_name" id="parent_name" class="sqsEnabled" autocomplete="OFF"/>
<input type="button"  onclick='{literal} if(document.ImportEditView.parent_type.value != ""){open_popup(document.ImportEditView.parent_type.value,600,400,"",true,false,{"call_back_function":"set_return","form_name":"ImportEditView","field_to_name_array":{"id":"parent_id","name":"parent_name"}});}'{/literal} value="Select" accesskey="T" title="Select [Alt+T]" class="button" tabindex="2" name="button"/>
</slot>
</td>
</tr>
{if $showDelete}
<tr><td class="dataLabel" nowrap="nowrap" valign="top" width="12%">
{sugar_translate label="LBL_DELETE_FROM_SERVER"}:
</td>
<td class="tabEditViewDF" nowrap="nowrap" width="37%">
<input class='ctabEditViewDF' type='checkbox' name='serverDelete'>
</td></tr>
{/if}
</tbody></table>
</div>
</form>
