<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Employees',
  'LBL_MODULE_TITLE' => 'Employees: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Employee Search',
  'LBL_LIST_FORM_TITLE' => 'Employees',
  'LBL_NEW_FORM_TITLE' => 'New Employee',
  'LBL_EMPLOYEE' => 'Employees:',
  'LBL_LOGIN' => 'Login',
  'LBL_RESET_PREFERENCES' => 'Reset To Default Preferences',
  'LBL_TIME_FORMAT' => 'Time Format:',
  'LBL_DATE_FORMAT' => 'Date Format:',
  'LBL_TIMEZONE' => 'Current Time:',
  'LBL_CURRENCY' => 'Currency:',
  'LBL_LIST_NAME' => 'Name',
  'LBL_LIST_LAST_NAME' => 'Last Name',
  'LBL_LIST_EMPLOYEE_NAME' => 'Employee Name',
  'LBL_LIST_DEPARTMENT' => 'Department',
  'LBL_LIST_REPORTS_TO_NAME' => 'Reports To',
  'LBL_LIST_EMAIL' => 'Email',
  'LBL_LIST_PRIMARY_PHONE' => 'Primary Phone',
  'LBL_LIST_USER_NAME' => 'User Name',
  'LBL_LIST_ADMIN' => 'Admin',
  'LBL_NEW_EMPLOYEE_BUTTON_TITLE' => 'New Employee [Alt+N]',
  'LBL_NEW_EMPLOYEE_BUTTON_LABEL' => 'New Employee',
  'LBL_NEW_EMPLOYEE_BUTTON_KEY' => 'N',
  'LBL_ERROR' => 'Error:',
  'LBL_PASSWORD' => 'Password:',
  'LBL_EMPLOYEE_NAME' => 'Employee Name:',
  'LBL_USER_NAME' => 'User Name:',
  'LBL_FIRST_NAME' => 'First Name:',
  'LBL_LAST_NAME' => 'Last Name:',
  'LBL_EMPLOYEE_SETTINGS' => 'Employee Settings',
  'LBL_THEME' => 'Theme:',
  'LBL_LANGUAGE' => 'Language:',
  'LBL_ADMIN' => 'Administrator:',
  'LBL_EMPLOYEE_INFORMATION' => 'Employee Information',
  'LBL_OFFICE_PHONE' => 'Office Phone:',
  'LBL_REPORTS_TO' => 'Reports to:',
  'LBL_OTHER_PHONE' => 'Other:',
  'LBL_OTHER_EMAIL' => 'Other Email:',
  'LBL_NOTES' => 'Notes:',
  'LBL_DEPARTMENT' => 'Department:',
  'LBL_TITLE' => 'Title:',
  'LBL_ANY_PHONE' => 'Any Phone:',
  'LBL_ANY_EMAIL' => 'Any Email:',
  'LBL_ADDRESS' => 'Address:',
  'LBL_CITY' => 'City:',
  'LBL_STATE' => 'State:',
  'LBL_POSTAL_CODE' => 'Postal Code:',
  'LBL_COUNTRY' => 'Country:',
  'LBL_NAME' => 'Name:',
  'LBL_MOBILE_PHONE' => 'Mobile:',
  'LBL_OTHER' => 'Other:',
  'LBL_FAX' => 'Fax:',
  'LBL_EMAIL' => 'Email:',
  'LBL_HOME_PHONE' => 'Home Phone:',
  'LBL_ADDRESS_INFORMATION' => 'Address Information',
  'LBL_EMPLOYEE_STATUS' => 'Employee Status:',
  'LBL_PRIMARY_ADDRESS' => 'Primary Address:',
  'LBL_CREATE_USER_BUTTON_TITLE' => 'Create User [Alt+N]',
  'LBL_CREATE_USER_BUTTON_LABEL' => 'Create User',
  'LBL_CREATE_USER_BUTTON_KEY' => 'N',
  'LBL_FAVORITE_COLOR' => 'Favorite Color:',
  'LBL_MESSENGER_ID' => 'IM Name:',
  'LBL_MESSENGER_TYPE' => 'IM Type:',
  'ERR_EMPLOYEE_NAME_EXISTS_1' => 'The employee name ',
  'ERR_EMPLOYEE_NAME_EXISTS_2' => ' already exists.  Duplicate employee names are not allowed.  Change the employee name to be unique.',
  'ERR_LAST_ADMIN_1' => 'The employee name "',
  'ERR_LAST_ADMIN_2' => '" is the last employee with administrator access.  At least one employee must be an administrator.',
  'LNK_NEW_EMPLOYEE' => 'Create Employee',
  'LNK_EMPLOYEE_LIST' => 'Employees',
  'ERR_DELETE_RECORD' => 'You must specify a record number to delete the account.',

  'LBL_DEFAULT_TEAM' => 'Default Team:',
  'LBL_DEFAULT_TEAM_TEXT' => 'Selects default team for new records',
  'LBL_MY_TEAMS' => 'My Teams',
  'LBL_LIST_DESCRIPTION' => 'Description',
  'LNK_EDIT_TABS'=>'Edit Tabs',
  'NTC_REMOVE_TEAM_MEMBER_CONFIRMATION' => 'Are you sure you want to remove this employee\\\'s membership?',

  'LBL_LIST_EMPLOYEE_STATUS' => 'Status',

  'LBL_SUGAR_LOGIN' => 'Is Sugar User',  
  'LBL_RECEIVE_NOTIFICATIONS' => 'Notify on Assignment',  
  'LBL_IS_ADMIN' => 'Is Administrator',  
  'LBL_GROUP' => 'Group User',
  'LBL_PORTAL_ONLY'	=> 'Portal Only User',
);


?>
