<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'RSS',
  'LBL_MODULE_ID' => 'Feeds',  
  'LBL_MODULE_TITLE' => 'RSS: Home',
  'LBL_SEARCH_FORM_TITLE' => 'RSS News Feed Search',
  'LBL_LIST_FORM_TITLE' => 'RSS News Feed List',
  'LBL_MY_LIST_FORM_TITLE' => 'My RSS News Feeds',
  'LBL_NEW_FORM_TITLE' => 'New RSS News Feed',
//END DON'T CONVERT
  'NTC_DELETE_CONFIRMATION' => 'Are you sure you want to delete this record?',
  'ERR_DELETE_RECORD' => 'A record number must be specified to delete the contact.',
  'LNK_NEW_FEED' => 'New RSS News Feed',
  'LNK_FEED_LIST' => 'All RSS News Feeds',
  'LNK_MY_FEED_LIST' => 'My RSS News Feeds',
  'LBL_TITLE' => 'Title',
  'LBL_RSS_URL' => "RSS URL",
  'LBL_ONLY_MY'=>"Only my favorites",
  'LBL_VISIT_WEBSITE' => 'visit website',
  'LBL_LAST_UPDATED' => 'Last updated',
  'LBL_DELETE_FAVORITES' =>'Delete from Favorites',
  'LBL_DELETE_FAV_BUTTON_TITLE' =>'Delete from favorites [Alt+D]',
  'LBL_DELETE_FAV_BUTTON_KEY' => '[Alt+D]',
  'LBL_DELETE_FAV_BUTTON_LABEL' =>'Delete from favorites',
  'LBL_ADD_FAV_BUTTON_TITLE' =>'Add to favorites [Alt+A]',
  'LBL_ADD_FAV_BUTTON_KEY' =>'[Alt+A]',
  'LBL_ADD_FAV_BUTTON_LABEL' =>'Add to favorites',
  'LBL_MOVE_UP' =>'Move Up',
  'LBL_MOVE_DOWN' => 'Move Down',
  'LBL_FEED_NOT_AVAILABLE'=>'Feed not available',
  'LBL_REFRESH_CACHE'=>'Click here to refresh cache',
  'LBL_TILE'=>'Title',
  'LBL_URL'=>'URL',
  'LBL_DESCRIPTION'=>'Description',
);


?>
