<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
	'ERR_DELETE_RECORD' => 'A record number must be specified to delete the meeting.',
	
	'LBL_ACCEPT_THIS'=>'Accept?',  
	'LBL_ADD_BUTTON'=> 'Add',
	'LBL_ADD_INVITEE' => 'Add Invitees',
	'LBL_BLANK'	=> '&nbsp;',
	'LBL_COLON' => ':',
	'LBL_CONTACT_NAME' => 'Contact:',
	'LBL_CONTACTS_SUBPANEL_TITLE' => 'Contacts',
	'LBL_CREATED_BY'=>'Created by',
	'LBL_DATE_END'=>'Date End',
	'LBL_DATE_TIME' => 'Start Date & Time:',
	'LBL_DATE' => 'Start Date:',
	'LBL_DEFAULT_STATUS' => 'Planned',
	'LBL_DEFAULT_SUBPANEL_TITLE' => 'Meetings',
	'LBL_DEL'=> 'Del',
	'LBL_DESCRIPTION_INFORMATION' => 'Description Information',
	'LBL_DESCRIPTION' => 'Description:',
	'LBL_DURATION_HOURS' => 'Duration Hours:',
	'LBL_DURATION_MINUTES' => 'Duration Minutes:',
	'LBL_DURATION' => 'Duration:',
	'LBL_EMAIL' => 'Email',
	'LBL_FIRST_NAME' => 'First Name',
	'LBL_HISTORY_SUBPANEL_TITLE' => 'Notes',
	'LBL_HOURS_ABBREV' => 'h',
	'LBL_HOURS_MINS' => '(hours/minutes)',
	'LBL_INVITEE' => 'Invitees',
	'LBL_LAST_NAME' => 'Last Name',
	'LBL_ASSIGNED_TO_NAME'=>'Assigned to:',
	'LBL_LIST_ASSIGNED_TO_NAME' => 'Assigned User',
	'LBL_LIST_CLOSE' => 'Close',
	'LBL_LIST_CONTACT' => 'Contact',
	'LBL_LIST_DATE_MODIFIED'=>'Date Modified',
	'LBL_LIST_DATE' => 'Start Date',
	'LBL_LIST_DUE_DATE'=>'Due Date',
	'LBL_LIST_FORM_TITLE' => 'Meeting List',
	'LBL_LIST_MY_MEETINGS' => 'My Meetings',
	'LBL_LIST_RELATED_TO' => 'Related to',
	'LBL_LIST_STATUS'=>'Status',
	'LBL_LIST_SUBJECT' => 'Subject',
	'LBL_LIST_TIME' => 'Start Time',
	
	'LBL_LOCATION' => 'Location:',
	'LBL_MEETING' => 'Meeting:',
	'LBL_MINSS_ABBREV' => 'm',
	'LBL_MODIFIED_BY'=>'Modified by',
	'LBL_MODULE_NAME' => 'Meetings',
	'LBL_MODULE_TITLE' => 'Meetings: Home',
	'LBL_NAME' => 'Name',
	'LBL_NEW_FORM_TITLE' => 'Create Appointment',
	'LBL_OUTLOOK_ID' => 'Outlook ID',
	'LBL_PHONE' => 'Phone Office:',
	'LBL_REMINDER_TIME'=>'Reminder Time',
	'LBL_REMINDER' => 'Reminder:',
	'LBL_SCHEDULING_FORM_TITLE' => 'Scheduling',
	'LBL_SEARCH_BUTTON'=> 'Search',
	'LBL_SEARCH_FORM_TITLE' => 'Meeting Search',
	'LBL_SEND_BUTTON_KEY'=>'I',
	'LBL_SEND_BUTTON_LABEL'=>'Send Invites',
	'LBL_SEND_BUTTON_TITLE'=>'Send Invites [Alt+I]',
	'LBL_STATUS' => 'Status:',
	'LBL_SUBJECT' => 'Subject:',
	'LBL_TIME' => 'Start Time:',
	'LBL_USERS_SUBPANEL_TITLE' => 'Users',
	
	'LNK_CALL_LIST'=>'Calls',
	'LNK_EMAIL_LIST'=>'Emails',
	'LNK_MEETING_LIST'=>'Meetings',
	'LNK_NEW_APPOINTMENT' => 'Create Appointment',
	'LNK_NEW_CALL'=>'Schedule Call',
	'LNK_NEW_EMAIL'=>'Archive Email',
	'LNK_NEW_MEETING'=>'Schedule Meeting',
	'LNK_NEW_NOTE'=>'Create Note or Attachment',
	'LNK_NEW_TASK'=>'Create Task',
	'LNK_NOTE_LIST'=>'Notes',
	'LNK_TASK_LIST'=>'Tasks',
	'LNK_VIEW_CALENDAR' => 'Today',
	
	'NTC_REMOVE_INVITEE' => 'Are you sure you want to remove this invitee from the meeting?',
);
?>
