{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}

<table class='relTable' id='relTable' >
	<tr><td colspan='9'><input type='button' name='addrelbtn' value='{$mod_strings.LBL_BTN_ADD_RELATIONSHIP}' class='button' onclick='ModuleBuilder.moduleLoadRelationship("");'></td></tr>
	<tr><td colspan='9'><hr> <h1>{$mod_strings.LBL_RELATIONSHIPS}</h1></td></tr>
	<tr>
	{if empty($module->mbrelationship->relationships)}
		<td class='mbLBLL'>{$mod_strings.LBL_NONE}</td>
	{/if}
	{foreach from=$module->mbrelationship->relationships item='rel' key='name'}

	{if $counter % 3 == 0 && $counter != 0}
	</tr><tr>
	{/if}
	<td align='center' class='button' onmouseout='ModuleBuilder.buttonOut(this)' onmouseover='ModuleBuilder.buttonOver(this, "{$name}", "rel")'  onclick='ModuleBuilder.buttonDown(this, "{$name}", "rel");ModuleBuilder.moduleLoadRelationship("{$name}");'>{sugar_image name=$rel.relate height=40 width=40}</td><td><table><tr><td class='mbLBLL'>{$mod_strings.LBL_LABEL}</td><td><a href='javascript:void(0)' onclick='ModuleBuilder.moduleLoadRelationship("{$name}");'>{$rel.label}</a></td></tr><tr><td class='mbLBLL'>{$mod_strings.LBL_NAME}:</td><td>{$name}</td></tr><tr><td class='mbLBLL'>{$mod_strings.LBL_SUBPANEL}:</td><td>{$rel.rsub}</td></tr></table></td>
	{counter var='counter' assign='counter'}
	{/foreach}
	<tr>
	
</table>


<script>
ModuleBuilder.module = '{$module->name}';
ModuleBuilder.MBpackage = '{$module->package}';
ModuleBuilder.helpRegisterByID('relTable');
ModuleBuilder.helpSetup('studioWizard','relationshipsHelp');
</script>
{include file='modules/ModuleBuilder/tpls/assistantJavascript.tpl'}
