{*

/**
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 */


*}
<form name='edittabs' id='edittabs' method='POST' action='index.php'>
{literal}
<script>
studiotabs.reset();
</script>
{/literal}
<input type='hidden' name='action' value={$action}>
<input type='hidden' name='view' value={$view}>
<input type='hidden' name='module' value='ModuleBuilder'> 
<input type='hidden' name='subpanel' value='{$submodule}'>
<input type='hidden' name='local' value='{$local}'> 
<input type='hidden' name='editModule' value='{$editModule}'>
{if $fromPortal}
	<input type='hidden' name='PORTAL' value='1'>
{/if}
{if $MB}
<input type='hidden' name='MB' value='{$MB}'>
{/if}
{if !empty($searchlayout)}
<input type='hidden' name='searchlayout' value={$searchlayout}>
{/if}
<input type='hidden' name='package' value='{$package}'> 
<input type='hidden' name='to_pdf' value='1'>       
<link rel="stylesheet" type="text/css" href="modules/ModuleBuilder/tpls/ListEditor.css" />

<table id="content">
<tr><td colspan='100'>{$buttons}</td></tr><tr>
<td>

{counter start=0 name="groupCounter" print=false assign="groupCounter"}
{foreach from=$groups key='label' item='list'}
	{counter name="groupCounter"}
{/foreach}
{math assign="groupWidth" equation="100/$groupCounter-5"}

{counter start=0 name="slotCounter" print=false assign="slotCounter"}
{counter start=0 name="modCounter" print=false assign="modCounter"}

{foreach from=$groups key='label' item='list'}

<div id={$label} style="float: left; border: 1px gray solid; padding:4px; margin-right:4px; margin-top: 8px; width:{$groupWidth}%;">
<h3 >{$label}</h3>
<ul id='ul{$slotCounter}'>

{foreach from=$list key='key' item='value'}

<li name="width={$value.width}%" id='subslot{$modCounter}' class='draggable' >
    <table width='100%'>
    	<tr>
    		<td id='subslot{$modCounter}label' style="font-weight: bold;">{if !empty($value.label)}{sugar_translate label=$value.label module=$language}{else}{$key}{/if}</td>
    		<td></td>
    		<td align="right">
    			<img src="themes/Sugar/images/edit_inline.gif" style="cursor: pointer;"
    			onclick="var value_label = document.getElementById('subslot{$modCounter}label').innerHTML; var value_width = document.getElementById('subslot{$modCounter}width').innerHTML; ModuleBuilder.getContent('module=ModuleBuilder&action=editProperty&editModule={$editModule}{if isset($subpanel)}&{$subpanel}{/if}{if $MB}&MB={$MB}&package={$package}{/if}&id_label=subslot{$modCounter}label&name_label=label_{$value.label}&title_label={$MOD.LBL_LABEL_TITLE}&value_label=' + value_label + '&id_width=subslot{$modCounter}width&name_width={$MOD.LBL_WIDTH}&value_width=' + value_width );">   		
    		</td>  		
    		</tr>
    		<tr class='fieldValue'>
    			{if empty($hideKeys)}<td>[{$key}]</td>{/if}
    			<td align="right" colspan="2"><span id='subslot{$modCounter}width'>{$value.width}</span><span>%</span></td>
    	</tr>
    </table>
</li>

<script>
studiotabs.tabLabelToValue['{$value.label}|{$key}'] = '{$key}';
if(typeof(studiotabs.subtabModules['subslot{$modCounter}']) == 'undefined')studiotabs.subtabModules['subslot{$modCounter}'] = '{$value.label}|{$key}';
</script>

{counter name="modCounter"}
{/foreach}

<li id='topslot{$slotCounter}' class='noBullet'>&nbsp;</li>

</ul>
</div>

{counter name="slotCounter"}
{/foreach}
</td>
</tr></table>


<span class='error'>{$error}</span>
{literal}
<script>
function dragDropInit(){
    studiotabs.fields = {};
    studiotabs.slotCount = {/literal}{$slotCounter}{literal};
    studiotabs.modCount = {/literal}{$modCounter}{literal};
    Ext.dd.DragDropMgr.mode = Ext.dd.DragDropMgr.POINT;
    
    
    for(msi = 0; msi < studiotabs.slotCount ; msi++){
        studiotabs.fields["topslot"+ msi] = new Studio2.ListDD("topslot" + msi, "subTabs", true);
    }
    for(msi = 0; msi < studiotabs.modCount ; msi++){
            studiotabs.fields["subslot"+ msi] = new Studio2.ListDD("subslot" + msi, "subTabs", false);
    }
    
    studiotabs.fields["subslot"+ (msi - 1) ].updateTabs();
      // initPointMode();
      
}
Ext.dd.DragDropMgr.mode = Ext.dd.DragDropMgr.INTERSECT; 
dragDropInit();
ModuleBuilder.helpRegister('edittabs');
ModuleBuilder.helpRegisterByID('content', 'div');
ModuleBuilder.helpSetup({/literal}'{$helpName}', '{$helpDefault}'{literal});

            
</script>   
{/literal}


<div id='logDiv' style='display:none'> 
</div>

{$additionalFormData}
    
</form>

