<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'ERR_DELETE_RECORD' => 'A record number must be specified to delete the product.',
  'LBL_ACCOUNT_NAME' => 'Account Name:',
  'LBL_ASSIGNED_TO' => 'Assigned To:',
  'LBL_ASSIGNED_TO_ID' => 'Assigned To ID:',
  'LBL_CATEGORY_NAME'=>'Category Name:',
  'LBL_CATEGORY' => 'Category:',
  'LBL_CONTACT_NAME' => 'Contact Name:',
  'LBL_COST_PRICE' => 'Cost:',
  'LBL_COST_USDOLLAR' => 'Cost USD:',
  'LBL_CURRENCY' => 'Currency:',
  'LBL_CURRENCY_SYMBOL_NAME' => 'Currency Symbol:',
  'LBL_DATE_AVAILABLE' => 'Date Available:',
  'LBL_DATE_COST_PRICE' => 'Date-Cost-Price:',
  'LBL_DESCRIPTION' => 'Description:',
  'LBL_DISCOUNT_PRICE_DATE' => 'Discount Price Date:',
  'LBL_DISCOUNT_PRICE' => 'Discount Price:',
  'LBL_DISCOUNT_USDOLLAR' => 'Discount Price USD:',
  'LBL_LIST_CATEGORY' => 'Category:',
  'LBL_LIST_CATEGORY_ID' => 'Category ID:',
  'LBL_LIST_COST_PRICE' => 'Cost:',
  'LBL_LIST_DISCOUNT_PRICE' => 'Price:',
  'LBL_LIST_FORM_TITLE' => 'Product Catalog List',
  'LBL_LIST_LBL_MFT_PART_NUM' => 'Mft Num',
  'LBL_LIST_LIST_PRICE' => 'List',
  'LBL_LIST_MANUFACTURER' => 'Manufacturer',
  'LBL_LIST_MANUFACTURER_ID' => 'Manufacturer ID:',
  'LBL_LIST_NAME' => 'Name',
  'LBL_LIST_PRICE' => 'List Price:',
  'LBL_LIST_QTY_IN_STOCK' => 'Qty',
  'LBL_LIST_STATUS' => 'Availability',
  'LBL_LIST_TYPE' => 'Type:',
  'LBL_LIST_TYPE_ID' => 'Type ID:',
  'LBL_LIST_USDOLLAR' => 'List USD:',
  'LBL_MANUFACTURER_NAME'=>'Manufacturer Name:',
  'LBL_MANUFACTURER' => 'Manufacturer:',
  'LBL_MFT_PART_NUM' => 'Mft Part Number:',
  'LBL_MODULE_NAME' => 'Product Catalog',
  'LBL_MODULE_ID' => 'ProductTemplates',  
  'LBL_MODULE_TITLE' => 'Product Catalog: Home',
  'LBL_NAME' => 'Product Name:',
  'LBL_NEW_FORM_TITLE' => 'Create Item',
  'LBL_PERCENTAGE' => 'Percentage(%)',
  'LBL_POINTS' => 'Points',
  'LBL_PRICING_FORMULA' => 'Default Pricing Formula:',
  'LBL_PRICING_FACTOR' => 'Pricing Factor:',
  'LBL_PRODUCT' => 'Product:',
  'LBL_PRODUCT_ID' => 'Product ID:',
  'LBL_QUANTITY' => 'Quantity in Stock:',
  'LBL_RELATED_PRODUCTS' => 'Related Product',
  'LBL_SEARCH_FORM_TITLE' => 'Product Catalog Search',
  'LBL_STATUS' => 'Availability:',
  'LBL_SUPPORT_CONTACT' => 'Support Contact:',
  'LBL_SUPPORT_DESCRIPTION' => 'Support Desc:',
  'LBL_SUPPORT_NAME' => 'Support Name:',
  'LBL_SUPPORT_TERM' => 'Support Term:',
  'LBL_TAX_CLASS' => 'Tax Class:',
  'LBL_TYPE_NAME'=>'Type Name',
  'LBL_TYPE' => 'Type:',
  'LBL_URL' => 'Product URL:',
  'LBL_VENDOR_PART_NUM' => 'Vendor Part Number:',
  'LBL_WEIGHT' => 'Weight:',
  'LNK_IMPORT_PRODUCTS'=>'Import Products',
  'LNK_NEW_MANUFACTURER' => 'Manufacturers',
  'LNK_NEW_PRODUCT_CATEGORY' => 'Product Categories',
  'LNK_NEW_PRODUCT_TYPE' => 'Product Types',
  'LNK_NEW_PRODUCT' => 'Create Product for Catalog',
  'LNK_NEW_SHIPPER' => 'Shipping Providers',
  'LNK_PRODUCT_LIST' => 'Product Catalog',
  'NTC_DELETE_CONFIRMATION' => 'Are you sure you want to delete this record?',
);


?>
