<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Products',
  'LBL_MODULE_TITLE' => 'Products: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Product Search',
  'LBL_LIST_FORM_TITLE' => 'Product List',
  'LBL_NEW_FORM_TITLE' => 'Create Product',
  'LBL_PRODUCT' => 'Product:',
  'LBL_RELATED_PRODUCTS' => 'Related Products',
  'LBL_LIST_NAME' => 'Product',
  'LBL_LIST_MANUFACTURER' => 'Manufacturer',
  'LBL_LIST_LBL_MFT_PART_NUM' => 'Mft Num',
  'LBL_LIST_QUANTITY' => 'Quantity',
  'LBL_LIST_COST_PRICE' => 'Cost',
  'LBL_LIST_DISCOUNT_PRICE' => 'Price',
  'LBL_LIST_LIST_PRICE' => 'List',
  'LBL_LIST_STATUS' => 'Status',
  'LBL_LIST_ACCOUNT_NAME' => 'Account Name',
  'LBL_LIST_CONTACT_NAME' => 'Contact Name',
  'LBL_LIST_QUOTE_NAME' => 'Quote Name',
  'LBL_LIST_DATE_PURCHASED' => 'Purchased',
  'LBL_LIST_SUPPORT_EXPIRES' => 'Expires',
  'LBL_NAME' => 'Product:',
  'LBL_URL' => 'Product URL:',
  'LBL_QUOTE_NAME' => 'Quote Name:',
  'LBL_CONTACT_NAME' => 'Contact Name:',
  'LBL_DATE_PURCHASED' => 'Purchased:',
  'LBL_DATE_SUPPORT_EXPIRES' => 'Support Expires:',
  'LBL_DATE_SUPPORT_STARTS' => 'Support Starts:',
  'LBL_COST_PRICE' => 'Cost:',
  'LBL_DISCOUNT_PRICE' => 'Unit Price:',
  'LBL_LIST_PRICE' => 'List Price:',
  'LBL_VENDOR_PART_NUM' => 'Vendor Part Number:',
  'LBL_MFT_PART_NUM' => 'Mft Part Number:',
  'LBL_DISCOUNT_PRICE_DATE' => 'Discount Price Date:',
  'LBL_WEIGHT' => 'Weight:',
  'LBL_DESCRIPTION' => 'Description:',
  'LBL_TYPE' => 'Type:',
  'LBL_CATEGORY' => 'Category:',
  'LBL_QUANTITY' => 'Quantity:',
  'LBL_STATUS' => 'Status:',
  'LBL_TAX_CLASS' => 'Tax Class:',
  'LBL_MANUFACTURER' => 'Manufacturer:',
  'LBL_SUPPORT_DESCRIPTION' => 'Support Desc:',
  'LBL_SUPPORT_TERM' => 'Support Term:',
  'LBL_SUPPORT_NAME' => 'Support Title:',
  'LBL_SUPPORT_CONTACT' => 'Support Contact:',
  'LBL_PRICING_FORMULA' => 'Pricing Formula:',
  'LBL_ACCOUNT_NAME' => 'Account Name:',
  'LNK_PRODUCT_LIST' => 'Products',
  'LNK_NEW_PRODUCT' => 'Create Product',
  'NTC_DELETE_CONFIRMATION' => 'Are you sure you want to delete this record?',
  'NTC_REMOVE_CONFIRMATION' => 'Are you sure you want to remove this product relationship?',
  'ERR_DELETE_RECORD' => 'A record number must be specified to delete the product.',
  'LBL_CURRENCY' => 'Currency:',
  'LBL_ASSET_NUMBER' => 'Asset Number:',
  'LBL_SERIAL_NUMBER' => 'Serial Number:',
  'LBL_BOOK_VALUE' => 'Book Value:',
  'LBL_BOOK_VALUE_DATE' => 'Book Value Date:',
  'LBL_DEFAULT_SUBPANEL_TITLE' => 'Products',
  'LBL_RELATED_PRODUCTS_TITLE'=>'Related Products',
  'LBL_WEBSITE'=>'Website',
  'LBL_COST_USDOLLAR'=>'Cost (US Dollar)',
  'LBL_DISCOUNT_USDOLLAR'=>'Discount (US Dollar)',
  'LBL_LIST_USDOLLAR'=>'List Price (US Dollar)',
  'LBL_PRICING_FACTOR'=>'Pricing Factor',
  'LBL_ACCOUNT_ID' => 'Account ID',
  'LBL_CONTACT_ID' => 'Contact ID',
  'LBL_CATEGORY_NAME'=>'Category Name:',
  'LBL_NOTES_SUBPANEL_TITLE' => 'Notes',
  'LBL_MEMBER_OF' => 'Member of:',
  'LBL_PROJECTS_SUBPANEL_TITLE' => 'Projects',   

  'LBL_CONTRACTS_SUBPANEL_TITLE' => 'Contracts',
  'LBL_CONTRACTS' => 'Contracts',
  
  'LBL_PRODUCT_CATEGORIES' => 'Product Categories',
  'LBL_PRODUCT_TYPES' => 'Product Types',
  'LBL_ASSIGNED_TO_NAME'=>'Assigned to:',
);


?>
