<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/**
 * Default English language strings
 *
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 */



$mod_strings = array (
	'LBL_MODULE_NAME' => 'Project Tasks',
	'LBL_MODULE_TITLE' => 'Project Task: Home',
	'LBL_SEARCH_FORM_TITLE' => 'Project Task Search',
	'LBL_LIST_FORM_TITLE'=> 'Project Task List',
    'LBL_EDIT_TASK_IN_GRID_TITLE'=> 'Edit Task In Grid',    
	
	'LBL_ID' => 'Id:',
    'LBL_PROJECT_TASK_ID' => 'Project Task Id:',
    'LBL_PROJECT_ID' => 'Project Id:',
	'LBL_DATE_ENTERED' => 'Date Entered:',
	'LBL_DATE_MODIFIED' => 'Date Modified:',
	'LBL_ASSIGNED_USER_ID' => 'Assigned To:',
	'LBL_MODIFIED_USER_ID' => 'Modified User Id:',
	'LBL_CREATED_BY' => 'Created By:',
	'LBL_TEAM_ID' => 'Team:',
	'LBL_NAME' => 'Name:',
	'LBL_STATUS' => 'Status:',
	'LBL_DATE_DUE' => 'Due Date:',
	'LBL_TIME_DUE' => 'Due Time:',
    'LBL_RESOURCE' => 'Resource:',
    'LBL_PREDECESSORS' => 'Predecessors:',
	'LBL_DATE_START' => 'Start Date:',
    'LBL_DATE_FINISH' => 'Finish Date:',    
	'LBL_TIME_START' => 'Start Time:',
    'LBL_TIME_FINISH' => 'Finish Time:',
    'LBL_DURATION' => 'Duration:',
    'LBL_DURATION_UNIT' => 'Duration Unit:',
    'LBL_ACTUAL_DURATION' => 'Actual Duration:',
	'LBL_PARENT_ID' => 'Project:',
    'LBL_PARENT_TASK_ID' => 'Parent Task Id:',    
    'LBL_PERCENT_COMPLETE' => 'Percent Complete (%):',
	'LBL_PRIORITY' => 'Priority:',
	'LBL_DESCRIPTION' => 'Description:',
	'LBL_ORDER_NUMBER' => 'Order:',
	'LBL_TASK_NUMBER' => 'Task Number:',
    'LBL_TASK_ID' => 'Task ID:',
	'LBL_DEPENDS_ON_ID' => 'Depends On:',
	'LBL_MILESTONE_FLAG' => 'Milestone:',
	'LBL_ESTIMATED_EFFORT' => 'Estimated Effort (hrs):',
	'LBL_ACTUAL_EFFORT' => 'Actual Effort (hrs):',
	'LBL_UTILIZATION' => 'Utilization (%):',
	'LBL_DELETED' => 'Deleted:',

	'LBL_LIST_ORDER_NUMBER' => 'Order',
	'LBL_LIST_NAME' => 'Name',
    'LBL_LIST_DAYS' => 'days',
	'LBL_LIST_PARENT_NAME' => 'Project',
	'LBL_LIST_PERCENT_COMPLETE' => 'Percent Complete (%)',
	'LBL_LIST_STATUS' => 'Status',
    'LBL_LIST_DURATION' => 'Duration',
    'LBL_LIST_ACTUAL_DURATION' => 'Actual Duration',
	'LBL_LIST_ASSIGNED_USER_ID' => 'Assigned To',
	'LBL_LIST_DATE_DUE' => 'Date Due',
	'LBL_LIST_DATE_START' => 'Start Date',
    'LBL_LIST_DATE_FINISH' => 'Finish Date',    
	'LBL_LIST_PRIORITY' => 'Priority',
	'LBL_LIST_CLOSE' => 'Close',
	'LBL_PROJECT_NAME' => 'Project Name',

	'LNK_NEW_PROJECT'	=> 'Create Project',
	'LNK_PROJECT_LIST'	=> 'Project List',
	'LNK_NEW_PROJECT_TASK'	=> 'Create Project Task',
	'LNK_PROJECT_TASK_LIST'	=> 'Project Tasks',
	
	'LBL_LIST_MY_PROJECT_TASKS' => 'My Project Tasks',
	'LBL_DEFAULT_SUBPANEL_TITLE' => 'Project Tasks',
	'LBL_NEW_FORM_TITLE' => 'New Project Task',

	'LBL_ACTIVITIES_TITLE'=>'Activities',
	'LBL_HISTORY_TITLE'=>'History',
	'LBL_ACTIVITIES_SUBPANEL_TITLE'=>'Activities',
	'LBL_HISTORY_SUBPANEL_TITLE'=>'History', 
	'DATE_JS_ERROR' => 'Please enter a date corresponding to the time entered',

    'LBL_ASSIGNED_USER_NAME' => 'Assigned To',
    'LBL_PARENT_NAME' => 'Project Name',
);
?>
