<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Quotas',
  'LBL_MODULE_TITLE' => 'Quotas: Home',
  'LBL_LIST_FORM_TITLE' => 'Quota List',
  'LBL_QUOTA' => 'Quota:',
  
  'LBL_DIRECT_REPORT' => 'Direct Report',
  'LBL_QUOTA_AMOUNT' => 'Quota Amount',
  'LBL_LAST_MODIFIED' => 'Last Modified',
  'LBL_COMMIT_STATUS' => 'Commit Status',

  'LBL_COMMITTED' => 'Assigned',
  'LBL_NOT_COMMITTED' => 'Pending',

  'LNK_FORECAST_LIST'=>'Forecast',
  'LNK_FORECAST_HISTORY'=>'Forecast History',
  'LNK_UPD_FORECAST'=>'Forecast Worksheet',
  'LNK_QUOTA'=>'Quotas',

  'LBL_NAME' => 'Name:',
  'LBL_TIME_PERIOD' => 'Time Period:',
  'LBL_SELECT_TIME_PERIOD' => 'Select Time Period...',
  'LBL_AMOUNT' => 'Amount:',
  'LBL_CURRENCY' => 'Currency:',
  'LBL_COMMIT' => 'Commit:',
  'LBL_SELECT_USER' => 'Select User...',
  
  'LBL_NO_QUOTAS_TIMEPERIOD' => 'No quotas for your direct reports have been entered for this time period.',
  'LBL_CURRENT_USER_QUOTA' => 'Your assigned quota for this time period is: ',
  'LBL_CURRENT_USER_NO_QUOTA' => 'You have not been assigned a quota for this time period.',
  
  
  'LBL_USER_ID' => 'User ID'
);


?>
