<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
	'LBL_MODULE_TITLE' => 'My Saved Searches',
	'LBL_MODULE_TITLE' => 'My Saved Searches',
	'LBL_SEARCH_FORM_TITLE' => 'My Saved Searches : Search',
	'LBL_LIST_FORM_TITLE' => 'My Saved Searches List', 
	'LBL_DELETE_CONFIRM' => 'Are you sure you want to delete the selected Saved Search?',
	'LBL_UPDATE_BUTTON_TITLE' => 'Update this Saved Search',
	'LBL_DELETE_BUTTON_TITLE' => 'Delete this Saved Search',
	'LBL_SAVE_BUTTON_TITLE' => 'Save the current search',
	'LBL_LIST_NAME' => 'Name',
	'LBL_LIST_MODULE' => 'Module',
    'LBL_ORDER_BY_COLUMNS' => 'Order by column:',
    'LBL_DIRECTION' => 'Direction:',
    'LBL_SAVE_SEARCH_AS' => 'Save this search as:',
    'LBL_SAVE_SEARCH_AS_HELP' => 'This saves your view settings and any filters on the Advanced Search tab.',
    'LBL_PREVIOUS_SAVED_SEARCH' => 'Previous Saved Searches:',
    'LBL_PREVIOUS_SAVED_SEARCH_HELP' => 'Edit or Delete and existing Saved Search.',
    'LBL_ASCENDING' => 'Ascending', 
    'LBL_DESCENDING' => 'Descending',
    'LBL_MODIFY_CURRENT_SEARCH'=> 'Modify current search',

);


?>
