<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
$viewdefs['Tasks']['EditView'] = array(
    'templateMeta' => array('form' => array('hidden'=>array('<input type="hidden" name="isSaveAndNew" value="false">'),
											'buttons' =>array('SAVE', 'CANCEL', 
											                  array('customCode'=>'{if $fields.status.value != "Completed"}' .
                                             						'<input title="{$APP.LBL_CLOSE_AND_CREATE_BUTTON_TITLE}" ' .
                                             						'accessKey="{$APP.LBL_CLOSE_AND_CREATE_BUTTON_KEY}" ' .
                                             						'class="button" ' .
                                             						'onclick="document.getElementById(\'status\').value=\'Completed\'; this.form.action.value=\'Save\'; this.form.return_module.value=\'Tasks\'; this.form.isDuplicate.value=true; this.form.isSaveAndNew.value=true; this.form.return_action.value=\'EditView\'; this.form.return_id.value=\'{$fields.id.value}\'; return check_form(\'EditView\');" ' .
                                             						'type="submit" name="button" ' .
                                             						'value="{$APP.LBL_CLOSE_AND_CREATE_BUTTON_LABEL}">{/if}')),
                            ),
                            'maxColumns' => '2', 
                            'widths' => array(
                                            array('label' => '10', 'field' => '30'), 
                                            array('label' => '10', 'field' => '30')
                                            ),
),
 'panels' =>array (
  'default' => 
  array (
    
    array (
      array('name'=>'name', 'displayParams'=>array('required'=>true)),
      array('name'=>'status', 'displayParams'=>array('required'=>true)),
    ),
    
    array (
      array('name'=>'date_due',
            'type'=>'datetimecombo',
            'displayParams'=>array('showNoneCheckbox'=>true, 'showFormats'=>true)
      ),
      'parent_name',
    ),
    
    array (
      array('name'=>'date_start',
            'type'=>'datetimecombo',
            'displayParams'=>array('showNoneCheckbox'=>true, 'showFormats'=>true)
      ),
      'contact_name',
    ),
    
    array (
      array('name'=>'priority', 'displayParams'=>array('required'=>true)),
    ),

    array (
       array('name'=>'team_name','displayParams'=>array('required'=>true)),
       ''
    ),

    array (
      'assigned_user_name',
    ),
    
    array (
      array('name'=>'description', 'displayParams'=>array('rows'=>8, 'cols'=>60)),
    ),
    
  ),
)


);
?>
