<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Tax Rates',
  'LBL_MODULE_TITLE' => 'Tax Rate: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Tax Rate Search',
  'LBL_LIST_FORM_TITLE' => 'Tax Rate List',
  'LBL_NEW_FORM_TITLE' => 'New Tax Rate',
  'LBL_TAXRATE' => 'Tax Rate:',
  'LBL_LIST_NAME' => 'Tax Rate Name',
  'LBL_NAME' => 'Tax Rate Name:',
  'LBL_LIST_LIST_ORDER' => 'Order',
  'LBL_LIST_ORDER' => 'Order:',
  'LBL_LIST_STATUS' => 'Status',
  'LBL_STATUS' => 'Status:',
  'LBL_LIST_VALUE' => 'Percentage',
  'LBL_VALUE' => 'Percentage(%):',
  'LNK_NEW_SHIPPER' => 'Shipping Provider List',
  'LNK_NEW_TAXRATE' => 'Tax Rate List',
  'NTC_DELETE_CONFIRMATION' => 'Are you sure you want to delete this record?',
  'ERR_DELETE_RECORD' => 'You must specify a record number to delete the tax rate.',
  'NTC_STATUS' => 'Set status to Inactive to remove this tax rate from the Tax Rate dropdown lists',
  'NTC_LIST_ORDER' => 'Set the order in which this tax rate will display in the Tax Rate dropdown lists',
  'taxrate_status_dom' => 
  array (
    'Active' => 'Active',
    'Inactive' => 'Inactive',
  ),
);


?>
