<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description: TODO:  To be written.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/





require_once('data/SugarBean.php');
require_once('modules/Teams/Team.php');
require_once('modules/Users/User.php');

class TeamMembership extends SugarBean {
	// Stored fields
	var $id;
	var $team_id;
	var $user_id;
	var $explicit_assign;
	var $implicit_assign;
	var $deleted;
	var $date_modified;
	
	var $table_name = "team_memberships";
	var $object_name = "TeamMembership";
	var $module_dir = 'Teams';

	var $encodeFields = Array("name", "description");

	
	
	// todo sort by username.
	
	var $new_schema = true;

	function TeamMembership() {
		parent::SugarBean();
		$this->disable_row_level_security =true;
	}

	function get_list_view_data() {
		$team_fields = $this->get_list_view_array();
		return $team_fields;
	}

	function list_view_parse_additional_sections(&$list_form, $xTemplateSection) {
		return $list_form;
	}
	
	function delete()
	{
		$query = "UPDATE $this->table_name set deleted = 1 where id='$this->id'";
		$result = $this->db->query($query, TRUE, "Error deleting team membership ($this->id): ");
	}
	
	/** This method retrieves the membership for a given user_id and team_id.
	 * @returns true if found, false if not found.
	 * The membership taht this is called on is destroyed if a membership is found matching user_id and team_id
	 */
	function retrieve_by_user_and_team($user_id, $team_id)
	{
		// determine whether the user is already on the team
		$query = "SELECT id FROM team_memberships WHERE user_id='$user_id' AND team_id='$team_id' AND deleted = 0";
		$result = $this->db->query($query, TRUE, "Error finding team memberships: ");

		$row = $this->db->fetchByAssoc($result);

		if ($row!= null) {
			$this->retrieve($row['id']);
			
			return true;
		}

		return false;
	}
}

?>
