<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
	'ERR_ADD_RECORD' => 'You must specify a record number to add a user to this team.',
	'ERR_DELETE_RECORD' => 'You must specify a record number to delete this team.',

	'LBL_DESCRIPTION' => 'Description:',
	'LBL_GLOBAL_TEAM_DESC' => 'Globally Visible',
	'LBL_INVITEE' => 'Team Members',
	'LBL_LIST_DEPARTMENT' => 'Department',
	'LBL_LIST_DESCRIPTION' => 'Description',
	'LBL_LIST_FORM_TITLE' => 'Team List',
	'LBL_LIST_NAME' => 'Name',
	'LBL_LIST_REPORTS_TO' => 'Reports To',
	'LBL_LIST_TITLE' => 'Title',
	'LBL_MODULE_NAME' => 'Teams',
	'LBL_MODULE_TITLE' => 'Teams: Home',
	'LBL_NAME' => 'Team Name:',
	'LBL_NEW_FORM_TITLE' => 'New Team',
	'LBL_PRIVATE' => 'Private',
	'LBL_PRIVATE_TEAM_FOR' => 'Private team for: ',
	'LBL_SEARCH_FORM_TITLE' => 'Team Search',
	'LBL_TEAM_MEMBERS' => 'Team Members',
	'LBL_TEAM' => 'Teams:',
	'LBL_USERS_SUBPANEL_TITLE' => 'Users',
	'LBL_USERS'=>'Users',

	'LNK_LIST_TEAM' => 'Teams',
	'LNK_LIST_TEAMNOTICE' => 'Team Notices',
	'LNK_NEW_TEAM' => 'Create Team',

	'NTC_REMOVE_TEAM_MEMBER_CONFIRMATION' => 'Are you sure you want to remove this user\\\'s membership?',
);


?>
