<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc. All Rights
 * Reserved. Contributor(s): ______________________________________..
 * *******************************************************************************/
logThis('[At end.php]');
global $unzip_dir;
global $path;
if($unzip_dir == null ) {
	$unzip_dir = $_SESSION['unzip_dir'];
}

if($_SESSION['current_db_version'] != $_SESSION['target_db_version']){

	logThis("Adding Saved Report Chart Types", $path);
	require_once("$unzip_dir/scripts/upgrade_homepage.php");
	add_report_chart_types();


	// flag drop schema script run method
	if(isset($_REQUEST['schema_drop']) && $_REQUEST['schema_drop'] =='sugar'){
		  //Drop old schema with upgrade
	    require_once("$unzip_dir/scripts/drop_451schema_after_upgrade5.php");
	    logThis('Start dropping the old schema', $path);
	    	ob_start();
			@drop_preUpgardeSchema();
			ob_end_clean();
	    logThis('End dropping the old schema', $path);
	}
	//$done="<input type='button' value='{$mod_strings['LBL_BUTTON_DONE']}' onclick='window.location.href='$cleanUrl?module=Home&action=About'>";
	//$logout="<a href='index.php?module=Users&action=Logout'>{$mod_strings['LBL_UW_END_LOGOUT2']}</a>";
}


if($_SESSION['current_db_version'] == $_SESSION['target_db_version']){
    $_REQUEST['upgradeWizard'] = true;
    ob_start();
    	include('modules/Administration/upgradeTeams.php');
		include('modules/ACL/install_actions.php');
		include('include/Smarty/internals/core.write_file.php');
	ob_end_clean();
 	$db =& PearDatabase::getInstance();
	if(isset($_SESSION['upgrade_from_flavor']) && ($_SESSION['upgrade_from_flavor'] == 'SugarCE to SugarPro' || $_SESSION['upgrade_from_flavor'] == 'SugarCE to SugarEnt')){
		 $category = 'license';
		 $db->query("INSERT INTO config (value, category, name) VALUES ('0','$category', 'users')");
		 $db->query("INSERT INTO config (value, category, name) VALUES ('','$category', 'expire_date')");
		 $db->query("INSERT INTO config (value, category, name) VALUES ('','$category', 'key')");
		 $db->query("INSERT INTO config (value, category, name) VALUES ('','$category', 'num_lic_oc')");
	}
}
//Update the license
logThis('Start Updating the license ', $path);
ob_start();
   require_once('modules/Administration/updater_utils.php');
   check_now(get_sugarbeat());
ob_end_clean();
logThis('End Updating the license ', $path);

logThis('Cleaning up the session.  Goodbye.');
unlinkTempFiles();
logThis('Cleaning up the session.  Goodbye.');
resetUwSession();
// flag to say upgrade has completed
$_SESSION['upgrade_complete'] = true;

$stop = false;


$httpHost		= $_SERVER['HTTP_HOST'];  // cn: 8472 - HTTP_HOST includes port in some cases
if($colon = strpos($httpHost, ':')) {
	$httpHost	= substr($httpHost, 0, $colon);
}
$parsedSiteUrl	= parse_url($sugar_config['site_url']);
$host			= ($parsedSiteUrl['host'] != $httpHost) ? $httpHost : $parsedSiteUrl['host'];

// aw: 9747 - use SERVER_PORT for users who don't plug in the site_url at install correctly
if ($_SERVER['SERVER_PORT'] != 80){
	$port = ":".$_SERVER['SERVER_PORT'];
}
else if (isset($parsedSiteUrl['port']) && $parsedSiteUrl['port'] != 80){
	$port = ":".$parsedSiteUrl['port'];
}
else{
	$port = '';
}
$path			= $parsedSiteUrl['path'];
$cleanUrl		= "{$parsedSiteUrl['scheme']}://{$host}{$port}{$path}/index.php";

$uwMain =<<<eoq
<table cellpadding="3" cellspacing="0" border="0">
	<tr>
		<th align="left">
			{$mod_strings['LBL_UW_TITLE_END']}
		</th>
	</tr>
	<tr>
		<td align="left">
			<p>
			{$mod_strings['LBL_UW_END_DESC']}
			</p>
			<p>
			{$mod_strings['LBL_UW_END_DESC2']}
			</p>
		</td>
	</tr>
	<tr>
		<td align="left">
			<p>
				<b class="error">{$mod_strings['LBL_UW_END_LOGOUT']}</b>
			</p>
			<p>
				<a href="index.php?module=Users&action=Logout">{$mod_strings['LBL_UW_END_LOGOUT2']}</a>
			</p>
		</td>
	</tr>

	<tr>
		<td align="left">
			<input type="button" value="{$mod_strings['LBL_BUTTON_DONE']}" onclick="window.location.href='$cleanUrl?module=Home&action=About'">
		</td>
	</tr>
</table>
eoq;

$showBack		= false;
$showCancel		= false;
$showRecheck	= false;
$showNext		= false;

$stepBack		= 0;
$stepNext		= 0;
$stepCancel	= 0;
$stepRecheck	= 0;

$_SESSION['step'][$steps['files'][$_REQUEST['step']]] = ($stop) ? 'failed' : 'success';

?>
