<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc. All Rights
 * Reserved. Contributor(s): ______________________________________..
 * *******************************************************************************/
logThis('At License_fiveO.php');
$stop = true; // flag to show "next"
$run = isset($_REQUEST['run']) ? $_REQUEST['run'] : '';
$out = '';
$ready = '';

if(file_exists('ModuleInstall/PackageManager/PackageManagerDisplay.php')) {
	require_once('ModuleInstall/PackageManager/PackageManagerDisplay.php');
}
$ready = '';
	global $sugar_config;

 // Do the prelicense check. Also set the session vars if unzipping files.
  preLicenseCheck();
  if(substr($sugar_version,0,1) < 5){
  	$_SESSION['license_shown'] = true;
  }
//grab the license file contents
$license_file = $_SESSION['unzip_dir'].'/'.$_SESSION['zip_from_dir'].'/LICENSE.txt';
$require_license = false;
if(file_exists($license_file)){
	$require_license = true;
	$stop = false;
	$fh = fopen($license_file, 'r');
    $license_contents = fread($fh, filesize($license_file));
    fclose($fh);
}
$license_OS_CE = '';





///////////////////////////////////////////////////////////////////////////////
////	LICENSE FORM
$form =<<<eoq
<form name="the_form" id='the_form' enctype="multipart/form-data" action="index.php" method="post">
	<input type="hidden" name="module" value="UpgradeWizard">
	<input type="hidden" name="action" value="index">
	<input type="hidden" name="step" value="{$_REQUEST['step']}">
	<input type="hidden" name="run" value="upload">
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabForm">
<tr><td>
	<table width="450" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td colspan='2'>
				 <b>{$license_OS_CE}</b>
			</td>
		</tr>
		<tr>
			<td colspan='2'>
				 <textarea cols="100" rows="8" readonly>{$license_contents}</textarea>
			</td>
		</tr>
		<tr>
			<td align="left" valign="top" colspan=2>
			<input type='radio' id='radio_license_agreement_accept' onclick = "license();" name='radio_license_agreement' value='accept'>{$mod_strings['LBL_ACCEPT']}&nbsp;
			<input type='radio' id='radio_license_agreement_reject' onclick = "license();" name='radio_license_agreement' value='reject'>{$mod_strings['LBL_DENY']}
			</td>
       </tr>
	</table>
</td></tr>
</table>
</form>
eoq;
$form5 =<<<eoq5
<br>
<div id="upgradeDiv" style="display:none" class="tabForm">
    <table cellspacing="0" cellpadding="0" border="0">
        <tr><td>
           <p><img src='modules/UpgradeWizard/processing.gif'> <br>{$mod_strings['LBL_UPGRADE_TAKES_TIME_HAVE_PATIENCE']}</p>
        </td></tr>
     </table>
 </div>

eoq5;
echo '<script>' .
      'function validateForm(process){'.
					'return (handleCommit(process));'.
         		'}'.
                'function handleCommit(process){
        if(process == 1) {
            if(document.getElementById("radio_license_agreement_reject") != null && document.getElementById("radio_license_agreement_accept") != null){
                var accept = false;
                if(document.getElementById("radio_license_agreement_accept").checked){
                    accept = true
                }
                if(!accept){
                    //do not allow the form to submit
                    alert("'.$mod_strings['ERR_UW_ACCEPT_LICENSE'].'");
                    return false;
                }
            }
        }
        return true;
    }</script>';

echo '<script>' .
       'function license(){
            if(document.getElementById("radio_license_agreement_reject") != null && document.getElementById("radio_license_agreement_accept") != null){
                var accept = false;
                if(!document.getElementById("radio_license_agreement_accept").checked
                    && !document.getElementById("radio_license_agreement_reject").checked){
                    accept = false
                 }
                if(document.getElementById("radio_license_agreement_accept").checked){
                    accept = true;
                    document.getElementById("next_button").disabled = false;
                }
                if(!accept){
                    document.getElementById("next_button").disabled = true;
                }
        }
    }</script>';


$hidden_fields = "<input type=\"hidden\" name=\"module\" value=\"UpgradeWizard\">";
$hidden_fields .= "<input type=\"hidden\" name=\"action\" value=\"index\">";
$hidden_fields .= "<input type=\"hidden\" name=\"step\" value=\"{$_REQUEST['step']}\">";
$hidden_fields .= "<input type=\"hidden\" name=\"run\" value=\"upload\">";
$form2 = '';
if(class_exists("PackageManagerDisplay")) {
	$form2 = PackageManagerDisplay::buildPatchDisplay($form, $hidden_fields, 'index.php', array('patch', 'module'));
}
$form3 =<<<eoq2
<br>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabForm">
<tr><td>

	<table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td>
				{$mod_strings['LBL_UW_FILES_QUEUED']}<br>
				{$ready}
			</td>
		</tr>
	</table>
</td></tr>
</table>
eoq2;

$uwMain = $form.$form5;
////	END UPLOAD FORM
///////////////////////////////////////////////////////////////////////////////


$showBack		= false;
$showCancel		= true;
$showRecheck	= true;
$showNext		= ($stop) ? false : true;

$stepBack		= $_REQUEST['step'] - 1;
$stepNext		= $_REQUEST['step'] + 1;
$stepCancel		= -1;
$stepRecheck	= $_REQUEST['step'];


$_SESSION['step'][$steps['files'][$_REQUEST['step']]] = ($stop) ? 'failed' : 'success';

?>
