<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Workflow Definitions:',
  'LBL_MODULE_ID' => 'WorkFlow',  
  'LBL_MODULE_TITLE' => 'Workflow: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Workflow Search',
  'LBL_LIST_FORM_TITLE' => 'Workflow List',
  'LBL_NEW_FORM_TITLE' => 'Create Workflow Definition',
  'LBL_LIST_NAME' => 'Name',
  'LBL_LIST_TYPE' => 'Execution Occurs:',
  'LBL_LIST_BASE_MODULE' => 'Target Module:',
  'LBL_LIST_STATUS' => 'Status',
  'LBL_NAME' => 'Name:',
  'LBL_DESCRIPTION' => 'Description:',
  'LBL_TYPE' => 'Execution Occurs:',
  'LBL_STATUS' => 'Status:',
  'LBL_BASE_MODULE' => 'Target Module:',
  'LBL_LIST_ORDER' => 'Process Order:',
  'LBL_FROM_NAME' => 'From Name:',
  'LBL_FROM_ADDRESS' => 'From Address:',  
  'LNK_NEW_WORKFLOW' => 'Create Workflow Definition',
  'LNK_WORKFLOW' => 'List Workflow Definitions', 
  
  
  'LBL_ALERT_TEMPLATES' => 'Alert Templates',
  'LBL_CREATE_ALERT_TEMPLATE' => 'Create an alert template:',
  'LBL_SUBJECT' => 'Subject:',
  
  'LBL_RECORD_TYPE' => 'Applies to:',
 'LBL_RELATED_MODULE'=> 'Related Module:',
  
  
  'LBL_PROCESS_LIST' => 'Workflow Sequence',
	'LNK_ALERT_TEMPLATES' => 'Alert Email Templates',
	'LNK_PROCESS_VIEW' => 'Workflow Sequence',
  'LBL_PROCESS_SELECT' => 'Please select a module:',
  'LBL_LACK_OF_TRIGGER_ALERT'=> 'Notice: You must create a trigger for this workflow object to function',
  'LBL_LACK_OF_NOTIFICATIONS_ON'=> 'Notice: To send alerts, you must turn on notifications in Admin > Email Settings.',
  'LBL_FIRE_ORDER' => 'Processing Order:',
  'LBL_RECIPIENTS' => 'Recipients',
  'LBL_INVITEES' => 'Invitees',
  'LBL_INVITEE_NOTICE' => 'Attention, you must select at least one invitee in order to create this. ',
  'NTC_REMOVE_ALERT' => 'Are you sure you want to remove this workflow?',
  'LBL_EDIT_ALT_TEXT' => 'Alt Text',
  'LBL_INSERT' => 'Insert',
  'LBL_SELECT_OPTION' => 'Please select an option.',
  'LBL_SELECT_VALUE' => 'You must select a value.',
  'LBL_SELECT_MODULE' => 'Please select a related module.',
  'LBL_SELECT_FILTER' => 'You must select a field with which to filter the related module.',
  'LBL_LIST_UP' => 'up',
  'LBL_LIST_DN' => 'dn',
  'LBL_SET' => 'Set',
  'LBL_AS' => 'as',
  'LBL_SHOW' => 'Show',
  'LBL_HIDE' => 'Hide',
  'LBL_SPECIFIC_FIELD' => 'specific field',
  'LBL_ANY_FIELD' => 'any field',
  'LBL_LINK_RECORD'=>'Link to Record',
  'LBL_INVITE_LINK'=>'Meeting/Call Invite Link',
  'LBL_PLEASE_SELECT'=>'Please Select',
  'LBL_BODY'=>'Body:',
);


?>
