{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
 *}
{$scripts}
{$TREEHEADER}
{literal}
	<link rel="stylesheet" type="text/css" href="include/javascript/yui/assets/container.css"/>
	<link rel="stylesheet" type="text/css" href="include/javascript/yui/ext/resources/css/grid.css?1027"/>
	<link rel="stylesheet" type="text/css" href="include/javascript/yui/ext/resources/css/toolbar.css"/>
	<link rel="stylesheet" type="text/css" href="include/javascript/yui/ext/resources/css/tabs.css?1030"/>
	<link rel="stylesheet" type="text/css" href="include/javascript/yui/assets/tabview/css/tabs.css">
<link rel="stylesheet" type="text/css" href="include/javascript/yui/assets/tabview/css/round_tabs.css">
<style type="text/css">
#demo { width:100%; }
#demo .yui-content {
    padding:1em; /* pad content container */
}
.list {list-style:square;width:500px;padding-left:16px;}
.list li{padding:2px;font-size:8pt;}

/* hide the tab content while loading */
.tab-content{display:none;}

pre {
   font-size:11px; 
}

#tabs1 {width:100%;}
#tabs1 .yui-ext-tabbody {border:1px solid #999;border-top:none;}
#tabs1 .yui-ext-tabitembody {display:none;padding:10px;}

/* default loading indicator for ajax calls */
.loading-indicator {
	font-size:8pt;
	background-image:url('../../resources/images/grid/loading.gif');
	background-repeat: no-repeat;
	background-position: left;
	padding-left:20px;
}
</style>
{/literal}
{$INSTALLED_PACKAGES_HOLDER}
<br>
{if $installation != 'true'}
<ul class="tablist">

<li class="active" id="local_upload_li"><a id="local_upload_link" class="current" href="javascript:PackageManager.selectTabCSS('local_upload');">{$MOD.ML_LBL_INSTALL_FROM_LOCAL}</a></li> 
<li id="server_upload_li" class="active"><a id="server_upload_link"  href="javascript:PackageManager.selectTabCSS('server_upload');">{$MOD.ML_LBL_INSTALL_FROM_SERVER}</a></li>  
</ul>
{/if}
<form action='{$form_action}' method="post" name="installForm">
<input type=hidden name="release_id">
{$hidden_fields}
<div id='server_upload_div' style='display: none;'>
{$FORM_2_PLACE_HOLDER}
{$MODULE_SELECTOR}
<div id='search_results_div'></div>
</div>
</form>
<div id='local_upload_div'>
{$FORM_1_PLACE_HOLDER}
</div>
<div id='upload_table'>
<table width='100%' class='moduleTitle' border=1><tr><td class='leftColumn'><div id='patch_downloads' class='ygrid-mso' style='height:205px;'></div></td></tr></table>
</div>

{if $module_load == 'true'}
{literal}<script>
//PackageManager.toggleView('browse');
</script>
{/literal}
{/if}



