<?php
// created: 2008-02-26 12:33:50
$GLOBALS["dictionary"]["ProjectResource"] = array (
  'table' => 'project_resources',
  'fields' => 
  array (
    'id' => 
    array (
      'name' => 'id',
      'vname' => 'LBL_ID',
      'required' => true,
      'type' => 'id',
      'reportable' => false,
      'comment' => 'Unique identifier',
    ),
    'date_modified' => 
    array (
      'name' => 'date_modified',
      'vname' => 'LBL_DATE_MODIFIED',
      'type' => 'datetime',
      'required' => true,
      'comment' => 'Date record last modified',
    ),
    'modified_user_id' => 
    array (
      'name' => 'modified_user_id',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_MODIFIED_USER_ID',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'dbType' => 'id',
      'reportable' => true,
      'comment' => 'User who last modified record',
    ),
    'created_by' => 
    array (
      'name' => 'created_by',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_CREATED_BY',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'dbType' => 'id',
      'comment' => 'User who created record',
    ),
    0 => 
    array (
      'name' => 'project_id',
      'vname' => 'LBL_PROJECT_ID',
      'reportable' => false,
      'dbtype' => 'id',
      'type' => 'id',
    ),
    1 => 
    array (
      'name' => 'resource_id',
      'vname' => 'LBL_RESOURCE_ID',
      'reportable' => false,
      'dbtype' => 'id',
      'type' => 'id',
    ),
    2 => 
    array (
      'name' => 'resource_type',
      'vname' => 'LBL_RESOURCE_TYPE',
      'reportable' => false,
      'type' => 'varchar',
      'len' => '20',
    ),
    'deleted' => 
    array (
      'name' => 'deleted',
      'vname' => 'LBL_DELETED',
      'type' => 'bool',
      'required' => true,
      'default' => '0',
      'comment' => 'Record deletion indicator',
    ),
  ),
  'indices' => 
  array (
    0 => 
    array (
      'name' => 'project_resources_pk',
      'type' => 'primary',
      'fields' => 
      array (
        0 => 'id',
      ),
    ),
  ),
  'relationships' => 
  array (
    'projects_users_resources' => 
    array (
      'lhs_module' => 'Project',
      'lhs_table' => 'project',
      'lhs_key' => 'id',
      'rhs_module' => 'Users',
      'rhs_table' => 'users',
      'rhs_key' => 'id',
      'relationship_type' => 'many-to-many',
      'join_table' => 'project_resources',
      'join_key_lhs' => 'project_id',
      'join_key_rhs' => 'resource_id',
      'relationship_role_column' => 'resource_type',
      'relationship_role_column_value' => 'Users',
    ),
    'projects_contacts_resources' => 
    array (
      'lhs_module' => 'Project',
      'lhs_table' => 'project',
      'lhs_key' => 'id',
      'rhs_module' => 'Contacts',
      'rhs_table' => 'contacts',
      'rhs_key' => 'id',
      'relationship_type' => 'many-to-many',
      'join_table' => 'project_resources',
      'join_key_lhs' => 'project_id',
      'join_key_rhs' => 'resource_id',
      'relationship_role_column' => 'resource_type',
      'relationship_role_column_value' => 'Contacts',
    ),
  ),
);
?>
