<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
   

       $installer_defaults = array(
            'language' => 'en_us',
            'oc_install' => '',
            'setup_license_accept' => false,
            'test_session' => 'sessions are available',
            'license_submitted' => false,
            'setup_license_key_users' => '0',
            'setup_license_key_expire_date' => '',
            'setup_license_key' => '',
            'setup_num_lic_oc' => '0',
            'install_type' => 'typical',
            'setup_db_type' => 'mysql',
            'setup_db_host_name' => '',
            'setup_db_host_instance' => 'SQLEXPRESS',
            'setup_db_database_name' => 'sugarcrm',
            'setup_db_sugarsales_user' => '',
            'setup_db_sugarsales_password' => '',
            'setup_db_sugarsales_password_retype' => '',
            'setup_db_use_mb_demo_data' => false,
            'setup_db_create_database' => true,
            'setup_db_drop_tables' => false,
            'setup_db_pop_demo_data' => false,
            'setup_db_username_is_privileged' => true,
            'setup_db_admin_user_name' => '',
            'setup_db_admin_password' => '',
            'setup_db_provide_own_user' => false,
            'dbConfig_submitted' => false,
            'demoData' => 'no',
            'setup_site_url' => '',
            'setup_system_name' => 'SugarCRM',
            'setup_site_sugarbeet' => true,
            'setup_site_defaults' => true,
            'setup_site_custom_session_path' => false,
            'setup_site_session_path' => false,
            'setup_site_custom_log_dir' => false,
            'setup_site_log_dir' => false,
            'setup_site_specify_guid' => false,
            'setup_site_guid' => '',
            'setup_site_admin_password' => '',
            'setup_site_admin_password_retype' => '',
            'site_default_theme' => 'Sugar',
            'disable_persistent_connections' => 'false',
            'default_language' => 'en_us',
            'default_charset' => 'UTF-8',
            'default_currency_name' => 'US Dollars',
            'default_currency_symbol' => '$',
            'default_currency_iso4217' => 'USD',
            'default_locale_name_format' => 's f l',
            'default_email_charset' => 'UTF-8',
            'default_export_charset' => 'UTF-8',
            'export_delimiter' => ',',
            'rss_cache_time' => '10800',
            'language_keys' => 'en_us',
            'language_values' => 'US+English',
            'setup_site_sugarbeet_automatic_checks' => true,
            'setup_site_sugarbeet_anonymous_stats' => true,
            'siteConfig_submitted' => false,
            'dbUSRData' => 'same',

        );
        
?>
