{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}

<form>
	<h3>{$MOD.LBL_QUICK_REPAIR_TITLE}</h3><br/>
	<input type="hidden" name="action" value="QuickRepairAndRebuild"/>
	<input type="hidden" name="subaction" value="repairAndClearAll"/> <!--Switch based on $_REQUEST type!-->
	<input type="hidden" name="module" value="Administration"/>
	{html_options multiple ="1" size="10" class="dataField" name=repair_module[] values=$values output=$output selected=$MOD.LBL_ALL_MODULES}
	<br/><br/>
	{html_checkboxes name="selected_actions" values = $checkbox_values 
        output = $checkbox_output separator="<br />" selected=$checkbox_values 
        onclick="toggle_selected_actions_checkbox();"}
	<br/>
	<input class="button" type="submit" value="{$MOD.LBL_REPAIR}"/>
</form>
{literal}
<script>
function toggle_selected_actions_checkbox()
{
    var checkedclearall = false;
    items = document.getElementsByName("selected_actions[]");
    for ( i = 0; i < items.length; i++ ) {
        switch ( items[i].value ) {
            case 'clearTpls':
			case 'clearJsFiles':
			case 'clearVardefs':
			case 'clearJsLangFiles':
			case 'clearDashlets':
                items[i].disabled = checkedclearall;   
                if ( items[i].disabled ) {
                    items[i].checked = false;
                }
                break;
            case 'clearAll':
                checkedclearall = items[i].checked;
                break;
        }
    }
}
toggle_selected_actions_checkbox();
</script>
{/literal}
