<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
    'ERR_NO_OPPS' => 'Please create some Opportunities to see Opportunity graphs.',
    'LBL_ALL_OPPORTUNITIES' => 'Total amount of all opportunities is ',
    'LBL_CHART_TYPE' => 'Chart Type:',
    'LBL_CREATED_ON' => 'Last run on ',
    'LBL_DATE_END' => 'End Date:',
    'LBL_DATE_RANGE_TO' => 'to',
    'LBL_DATE_RANGE' => 'Date range is',
    'LBL_DATE_START' => 'Begin Date:',
    'LBL_EDIT' => 'Edit',
    'LBL_LEAD_SOURCE_BY_OUTCOME_DESC' => 'Shows cumulative opportunity amounts by selected lead source by outcome for selected users.  Outcome is based on whether the sales stage is Closed Won, Closed Lost, or any other value.',
    'LBL_LEAD_SOURCE_BY_OUTCOME' => 'All Opportunities By Lead Source By Outcome',
    'LBL_LEAD_SOURCE_FORM_DESC' => 'Shows cumulative opportunity amounts by selected lead source for selected users.',
    'LBL_LEAD_SOURCE_FORM_TITLE' => 'All Opportunities By Lead Source',
    'LBL_LEAD_SOURCE_OTHER' => 'Other',
    'LBL_LEAD_SOURCES' => 'Lead Sources:',
    'LBL_MODULE_NAME' => 'Dashboard',
    'LBL_MODULE_TITLE' => 'Dashboard: Home',
    'LBL_MONTH_BY_OUTCOME_DESC' => 'Shows cumulative opportunity amounts by month by outcome for selected users where the expected closed date is within the specified date range.  Outcome is based on whether the sales stage is Closed Won, Closed Lost, or any other value.',
    'LBL_OPP_SIZE' => 'Opportunity size in',
    'LBL_OPP_THOUSANDS'=> 'K',
    'LBL_OPPS_IN_LEAD_SOURCE' => 'opportunities where lead source is',
    'LBL_OPPS_IN_STAGE' => ' where sales stage is',
    'LBL_OPPS_OUTCOME' => ' where outcome is',
    'LBL_OPPS_WORTH' => 'opportunities worth',
    'LBL_PIPELINE_FORM_TITLE_DESC' => 'Shows cumulative amounts by selected sales stages for your opportunities where the expected closed date is within the specified date range.',
    'LBL_CAMPAIGN_ROI_TITLE_DESC' => 'Shows campaign response by return on investment.',
    'LBL_REFRESH' => 'Refresh',
    'LBL_ROLLOVER_DETAILS' => 'Rollover a bar for details.',
    'LBL_ROLLOVER_WEDGE_DETAILS' => 'Rollover a wedge for details.',
    'LBL_SALES_STAGE_FORM_DESC' => 'Shows cumulative opportunity amounts by selected sales stages for selected users where the expected closed date is within the specified date range.',
    'LBL_SALES_STAGE_FORM_TITLE' => 'Pipeline By Sales Stage',
    'LBL_SALES_STAGES' => 'Sales Stages:',
    'LBL_TOTAL_PIPELINE' => 'Pipeline total is ',
    'LBL_USERS' => 'Users:',
    'LBL_YEAR_BY_OUTCOME' => 'Pipeline By Month By Outcome',
    'LBL_YEAR' => 'Year:',
    'LNK_NEW_ACCOUNT' => 'Create Account',
    'LNK_NEW_CALL' => 'Schedule Call',
    'LNK_NEW_CASE' => 'Create Case',
    'LNK_NEW_CONTACT' => 'Create Contact',
    'LNK_NEW_ISSUE' => 'Report Bug',
    'LNK_NEW_LEAD' => 'Create Lead',
    'LNK_NEW_MEETING' => 'Schedule Meeting',
    'LNK_NEW_NOTE' => 'Create Note or Attachment',
    'LNK_NEW_OPPORTUNITY' => 'Create Opportunity',
    'LNK_NEW_QUOTE' => 'Create Quote',
    'LNK_NEW_TASK' => 'Create Task',
    'NTC_NO_LEGENDS' => 'None',
    
    'LBL_TITLE' => 'Title: ',
);


?>
