<?php
 if(!defined('sugarEntry'))define('sugarEntry', true);
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/

require_once('include/JSON.php');
require_once('include/entryPoint.php');
require_once('include/utils.php');

$json = getJSONobj();
$file_name = $json->decode(html_entity_decode($_REQUEST['file_name']));
if(isset($file_name['jsonObject']) && $file_name['jsonObject'] != null){
    $file_name = $file_name['jsonObject'];
}
else{
	echo 'empty';
	exit();
}
$forQuotes = $json->decode(html_entity_decode($_REQUEST['forQuotes']));
if($forQuotes){
	$add="_quotes";
}else{
	$add="";
}
$img_size = getimagesize($file_name);
$filetype = $img_size['mime'];
if(($filetype != 'image/jpeg' && $filetype != 'image/png') ||  ($filetype != 'image/jpeg' && $forQuotes)){
	$filetype='other';
}
else{
	$test=$img_size[0]/$img_size[1];

	if (($test>10 || $test<1) && !$forQuotes){
		$filetype='size';
	}
	if (($test>20 || $test<3)&& $forQuotes){
		$filetype='size';
	}
		
}
if (!empty($filetype)) {
    echo $filetype.$add;
}
sugar_cleanup();
exit();
?>
