<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
    'LBL_MODULE_NAME' => 'Dashboard',
    'LBL_MODULE_TITLE' => 'Dashboard: Home',
    'LNK_NEW_ACCOUNT' => 'Create Account',
    'LNK_NEW_CALL' => 'Schedule Call',
    'LNK_NEW_CASE' => 'Create Case',
    'LNK_NEW_CONTACT' => 'Create Contact',
    'LNK_NEW_ISSUE' => 'Report Bug',
    'LNK_NEW_LEAD' => 'Create Lead',
    'LNK_NEW_MEETING' => 'Schedule Meeting',
    'LNK_NEW_NOTE' => 'Create Note or Attachment',
    'LNK_NEW_OPPORTUNITY' => 'Create Opportunity',
    'LNK_NEW_QUOTE' => 'Create Quote',
    'LNK_NEW_TASK' => 'Create Task',

	'LBL_ADD_A_CHART' => 'Add a Chart',
	'LBL_DELETE_FROM_DASHBOARD' => 'Delete from Dashboard',
	'LBL_MOVE_DOWN' => 'Move Up',
	'LBL_MOVE_UP' => 'Move Down',
	'LBL_BASIC_CHARTS' => '-- Basic Charts --',
	'LBL_PUBLISHED_REPORTS' => '-- Global Team Reports --',
	'LBL_MY_REPORTS' => '-- My Saved Reports --',
	'LBL_TEAM_REPORTS' => '-- My Team\'s Reports --',
  	'LBL_REPORT_NO_CHART' => 'This report does not have a chart',
  	'LBL_MOVE_CHARTS' => '(Click on a chart name to move to another location)',
  	
  	'LBL_DASHBOARD_PAGE_1' => 'Dashboard Home',
  	'LBL_DASHBOARD_PAGE_2' => 'Sales Dashboard',
);


?>
