<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
require_once('modules/DynamicFields/templates/Fields/TemplateField.php');
require_once('modules/DynamicFields/templates/Fields/TemplateAddressCountry.php');
class TemplateAddress extends TemplateField{
	var $type='varchar';
	
	function save($df){
		$name = $this->name;
		$this->type = 'varchar';
		
		/*
		$street2 = new TemplateField();
		$street2->len = 150;
		$street2->name = $name.'_2';
		$street2->vname = $this->label.'_2';
		$street2->save($df);
		$df->setLabel('en_us', $street2->vname, $this->label_value.' 2');
		
		$street3 = new TemplateField();
		$street3->len = 150;
		$street3->name = $name.'_3';
		$street3->vname =$this->label.'_3';
		$street3->save($df);
		$df->setLabel('en_us', $street3->vname, $this->label_value.' 3');
		*/
		
		$city = new TemplateField();
		$city->len = 100;
		$city->name = $name.'_city';
		$city->vname = $this->label.'_ADDRESS_CITY';
		$city->label = $city->vname;
		$city->save($df);
		$df->setLabel('en_us', $city->vname, $this->label_value.' City');
		
		$state = new TemplateField();
		$state->len = 100;
		$state->name = $name.'_state';
		$state->vname = $this->label.'_ADDRESS_STATE';
		$state->label = $state->vname;
		$state->save($df); 
		$df->setLabel('en_us', $state->vname, $this->label_value.' State');
		
		$postalcode = new TemplateField();
		$postalcode->len = 20;
		$postalcode->name = $name.'_postalcode';
		$postalcode->vname = $this->label.'_ADDRESS_POSTALCODE';
		$postalcode->label = $postalcode->vname;
		$postalcode->save($df);
		$df->setLabel('en_us', $postalcode->vname, $this->label_value.' PostalCode');
		
		$country = new TemplateField();
		$country->len = 100;
		$country->name = $name.'_country';
		$country->vname = $this->label.'_ADDRESS_COUNTRY';
		$country->label = $country->vname;
		$country->save($df);
		$df->setLabel('en_us', $country->vname, $this->label_value.' Country');
		parent::save($df);		
	}
}


?>
