<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_REPLY_ADDR' => '"Reply-to" Address: ',
  'LBL_REPLY_NAME' => '"Reply-to" Name: ',

  'LBL_MODULE_NAME' => 'Email Marketing',
  'LBL_MODULE_TITLE' => 'Email Marketing: Home',
  'LBL_LIST_FORM_TITLE' => 'Email Marketing Campaigns',
  'LBL_NAME' => 'Name: ',
  'LBL_LIST_NAME' => 'Name',
  'LBL_LIST_FROM_ADDR' => 'From Email',
  'LBL_LIST_DATE_START' => 'Start Date',
  'LBL_LIST_TEMPLATE_NAME' => 'Email Template',
  'LBL_LIST_STATUS' => 'Status',
  'LBL_STATUS'	=>	'Status',
  'LBL_STATUS_TEXT'	=>	'Status:' ,
  'LBL_TEMPLATE_NAME'=>'Template Name',
  'LBL_DATE_ENTERED' => 'Date Entered',
  'LBL_DATE_MODIFIED' => 'Date Modified',
  'LBL_MODIFIED' => 'Modified by: ',
  'LBL_CREATED' => 'Created by: ',
  'LBL_MESSAGE_FOR'	=> 'Send This Message To:',
  'LBL_MESSAGE_FOR_ID'	=> 'Message For',

  'LBL_FROM_NAME' => 'From Name: ',
  'LBL_FROM_ADDR' => 'From Email Address: ',
  'LBL_DATE_START' => 'Start Date',
  'LBL_TIME_START' => 'Start Time',
  'LBL_START_DATE_TIME' => 'Start Date & Time: ',
  'LBL_TEMPLATE' => 'Email Template: ',

  'LBL_MODIFIED_BY' => 'Modified by: ',
  'LBL_CREATED_BY' => 'Created by: ',
  'LBL_DATE_CREATED' => 'Created date: ',
  'LBL_DATE_LAST_MODIFIED' => 'Modified date: ',

  'LNK_NEW_CAMPAIGN' => 'Create Campaign',
  'LNK_CAMPAIGN_LIST' => 'Campaigns',
  'LNK_NEW_PROSPECT_LIST' => 'Create Target List',
  'LNK_PROSPECT_LIST_LIST' => 'Target Lists',
  'LNK_NEW_PROSPECT' => 'Create Target',
  'LNK_PROSPECT_LIST' => 'Targets',
  'LBL_DEFAULT_SUBPANEL_TITLE'=>'Email Marketing',
  'LBL_CREATE_EMAIL_TEMPLATE'=>	'Create',
  'LBL_EDIT_EMAIL_TEMPLATE'=>	'Edit',
  'LBL_FROM_MAILBOX'=>'From Mailbox',
  'LBL_FROM_MAILBOX_NAME'=>'Use Mailbox:',
  'LBL_PROSPECT_LIST_SUBPANEL_TITLE'=>'Target Lists',
  'LBL_ALL_PROSPECT_LISTS'=>'Select to choose all Target Lists in the Campaign.',
  'LBL_RELATED_PROSPECT_LISTS'=>'All Target Lists related to this message.',
  'LBL_PROSPECT_LIST_NAME'=>'Target List Name',
  'LBL_LIST_PROSPECT_LIST_NAME'=>'Targeted Lists',
  'LBL_MODULE_SEND_TEST'=>'Campaign: Send Test',
  'LBL_MODULE_SEND_EMAILS'=>'Campaign: Send Emails',
  'LBL_SCHEDULE_MESSAGE_TEST'=>'Please select the campaign messages that you would like to test:',
  'LBL_SCHEDULE_MESSAGE_EMAILS'=>'Please select the campaign messages that you would like to schedule for distribution on the specified start date and time:',
  'LBL_SCHEDULE_BUTTON_TITLE'=>'Send',
  'LBL_SCHEDULE_BUTTON_LABEL'=>'Send',
  'LBL_SCHEDULE_BUTTON_KEY'=>'T',



);
?>
