{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}
<table cellpadding="4" cellspacing="0" border="0" width="100%">
	<tr>
		{if $is_admin == 1}
		<th colspan="3">
		{else}
		<th colspan="2">
		{/if}
			<div class="sectionTitle">{$app_strings.LBL_EMAIL_FOLDERS_TITLE}</div>
		</th>
	</tr>

	<tr>
		<td NOWRAP style="padding: 8px;" valign="top">
			<div>
				<b>{$app_strings.LBL_EMAIL_SETTINGS_USER_FOLDERS}:</b>
			</div>
			<br />

			<div>
				<select multiple size="8" name="userFolders[]" id="userFolders" onchange="SUGAR.email2.folders.updateSubscriptions();"></select>
			</div>
			<br />
			<i>{$app_strings.LBL_EMAIL_MULTISELECT}</i>
		</td>
		<td NOWRAP style="padding: 8px;" valign="top">
			<div>
				<b>{$app_strings.LBL_EMAIL_SETTINGS_GROUP_FOLDERS}:</b>
			</div>
			<br />

			<div>
				<select multiple size="8" name="groupFolders[]" id="groupFolders" onchange="SUGAR.email2.folders.updateSubscriptions();"></select>
			</div>
			<br />
			<i>{$app_strings.LBL_EMAIL_MULTISELECT}</i>
		</td>
		{if $is_admin == 1}
		<td NOWRAP style="padding: 8px;" valign="top">
			<div>			
				<b>{$app_strings.LBL_EMAIL_SETTINGS_GROUP_FOLDERS_EDIT}:</b>
				<select name="editGroupFolderList" id="editGroupFolderList" onchange="SUGAR.email2.folders.editGroupFolder(this.value);">
					
				</select>
			</div>
			<br />

			<div>
				{$app_strings.LBL_EMAIL_FOLDERS_NEW_FOLDER}:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="text" name="groupFolderAddName" id="groupFolderAddName">
			</div>
			<br />

			<div>
				{$app_strings.LBL_EMAIL_FOLDERS_ADD_THIS_TO}:
				<select name="groupFoldersAdd" id="groupFoldersAdd"></select>
			</div>
			<br />

			<div>
				{$app_strings.LBL_EMAIL_FOLDERS_USING_TEAM}:&nbsp;&nbsp;&nbsp;
				<select name="groupFoldersTeam" id="groupFoldersTeam">{$teamOptions}</select>
			</div>
			<br />

			<input type="button" style="display:''" id="addNewFolders" name="addNewFolders" class="button" value="   {$app_strings.LBL_EMAIL_FOLDERS_ADD_NEW_FOLDER}   " onclick="SUGAR.email2.folders.addNewGroupFolder();">
			<input type="button" style="display:none" id="saveGroupFolder" name="saveGroupFolder" class="button" value="   {$app_strings.LBL_SAVE_BUTTON_LABEL}   " onclick="SUGAR.email2.folders.saveGroupFolder();">
			<input type="button" style="display:none" id="cancelEditGroupFolder" name="cancelEditGroupFolder" class="button" value="   {$app_strings.LBL_CANCEL_BUTTON_LABEL}   " onclick="SUGAR.email2.folders.editGroupFolder('');">
		</td>
		{/if}
	</tr>
</table>
