{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}
<div id="outboundServers" class="ylayout-inactive-content">
	<form id="outboundEmailForm">
		<input type="hidden" id="mail_id" name="mail_id">
		<input type="hidden" id="mail_sendtype" name="mail_sendtype" value="SMTP">
	
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabForm">
			<tr>
				<td class="dataLabel" colspan="2" NOWRAP>
					<input type="button" class="button" value="   {$app_strings.LBL_EMAIL_ACCOUNTS_GMAIL_DEFAULTS}   " onclick="javascript:SUGAR.email2.accounts.fillGmailDefaults();">&nbsp;
				</td>
			</tr>

			<tr>
				<td class="dataLabel" width="15%" NOWRAP>
					{$app_strings.LBL_EMAIL_ACCOUNTS_NAME}&nbsp; 
				</td>
				<td class="dataField" width="35%">
					<input type="text" class="input" id="mail_name" name="mail_name" size="25" maxlength="64">
				</td>
			</tr>
		
			<tr>
				<td class="dataLabel">
					{$app_strings.LBL_EMAIL_ACCOUNTS_SMTPSERVER} 
					<span class="required">
						{$app_strings.LBL_REQUIRED_SYMBOL}
					</span>
				</td>
				<td class="dataField">
					<input type="text" id="mail_smtpserver" name="mail_smtpserver" size="25" maxlength="64" value="">
				</td>
			</tr>
			
			<tr>
				<td class="dataLabel">
					{$app_strings.LBL_EMAIL_ACCOUNTS_SMTPPORT} 
					<span class="required">
						{$app_strings.LBL_REQUIRED_SYMBOL}
					</span>
				</td>
				<td class="dataField">
					<input type="text" id="mail_smtpport" name="mail_smtpport" size="5" maxlength="5" value="25">
				</td>
			</tr>

			<tr>
				<td class="dataLabel">
					{$app_strings.LBL_EMAIL_ACCOUNTS_SMTPSSL} 
				</td>
				<td class="dataField">
					<input id='mail_smtpssl' name='mail_smtpssl' type="checkbox" class="checkbox" value="1">
				</td>
			</tr>

			<tr>
				<td class="dataLabel">
					{$app_strings.LBL_EMAIL_ACCOUNTS_SMTPAUTH_REQ} 
				</td>
				<td class="dataField">
					<input id='mail_smtpauth_req' name='mail_smtpauth_req' type="checkbox" class="checkbox" value="1">
				</td>
			</tr>
			<tr>
				<td class="dataLabel">
					{$app_strings.LBL_EMAIL_ACCOUNTS_SMTPUSER} 
				</td>
				<td class="dataField"">
					<input type="text" id="mail_smtpuser" name="mail_smtpuser" size="25" maxlength="64">
				</td>
			</tr>
			<tr>
				<td class="dataLabel">
					{$app_strings.LBL_EMAIL_ACCOUNTS_SMTPPASS} 
				</td>
				<td class="dataField">
					<input type="password" id="mail_smtppass" name="mail_smtppass" size="25" maxlength="64">
				</td>
			</tr>
			<tr>
				<td class="dataLabel" colspan="2">
					<input type="button" class="button" value="   {$app_strings.LBL_CANCEL_BUTTON_LABEL}   " onclick="javascript:SUGAR.email2.accounts.outboundDialog.hide();">&nbsp;
					<input type="button" class="button" value="   {$app_strings.LBL_SAVE_BUTTON_LABEL}   " onclick="javascript:SUGAR.email2.accounts.saveOutboundSettings();">&nbsp;
				</td>
			</tr>



		</table>
	</form>
</div>
