<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Expressions',
  'LBL_MODULE_TITLE' => 'Work Flow Triggers: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Work Flow Trigger Search',
  'LBL_LIST_FORM_TITLE' => 'Action List',
  'LBL_NEW_FORM_TITLE' => 'Create Trigger',
  'LBL_LIST_NAME' => 'Trigger Name:',
  'LBL_LIST_TYPE' => 'Type:',
  'LBL_LIST_EVAL' => 'Eval:',
  'LBL_LIST_FIELD' => 'Field:',
  'LBL_NAME' => 'Trigger Name:',
  'LBL_FIELD' => 'Field:',
  'LBL_TYPE' => 'Type:',
  'LBL_EVAL' => 'Trigger Evaluation:',
  'LBL_SHOW_PAST' => 'Modify Past Value:',

  'LNK_NEW_TRIGGER' => 'Create Trigger',
  'LNK_TRIGGER' => 'Work Flow Triggers',

  'LBL_TIME_PAST' => 'ago',
  'LBL_TIME_FUTURE' => 'from now',


  'LBL_ACTION_UPDATE' => 'Update fields in the triggered ',
  'LBL_ACTION_UPDATE_REL' => 'Update fields in a related ',
  'LBL_ACTION_NEW' => 'Create a new ',
  'LBL_RECORD' => 'Record',


  'LBL_NEXT_BUTTON' => 'Next',
  'LBL_PREVIOUS_BUTTON' => 'Previous',

  'LBL_LIST_ACTION_DESCRIPTION' => 'Actions to be performed:',


  'LBL_PLEASE_SELECT' => 'Please Select',

  'LBL_TIME_INT' => 'for at least',

    'LBL_REL1' => 'Related Module: ',
  'LBL_REL2' => 'Related Module\'s module: ',
    'LBL_PLEASE_SEL_TARGET'=>'Please select a target module',
    'LBL_ASSOCIATED_WITH'=>' associated with a related ',

);


?>
