{*

/**
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 */



*}

<script>

   jsonObjs = new Array();
   {if $pageData.urls.startPage}
       jsonObjs[0] = {$pageData.urls.startPage};
   {/if}

   {if $pageData.urls.prevPage}
       jsonObjs[1] = {$pageData.urls.prevPage};
   {/if}
   
   {if $pageData.urls.nextPage}
       jsonObjs[2] = {$pageData.urls.nextPage};
   {/if}   

   {if $pageData.urls.endPage}

       jsonObjs[3] = {$pageData.urls.endPage};

   {/if}

   {literal}
   function goToNav(index) {
   	list_nav(jsonObjs[index], 'CommitEditView');
   }

   {/literal}
</script>

{if $overlib}
	<script type='text/javascript' src='include/javascript/sugar_grp_overlib.js'></script>
	<div id='overDiv' style='position:absolute; visibility:hidden; z-index:1000;'></div>
	<script>var image_path="{$IMAGE_PATH}";
		{literal} 
		function unformat_currency(amt) {
		{/literal} 
			var csymbol="{$CURRENCY_SYMBOL}";
			var num_grp_sep="{$NUM_GRP_SEP}";
			var dec_sep="{$DEC_SEP}";
			return unformatNumber(amt.replace(csymbol,''),num_grp_sep,dec_sep);
		{literal} 
		}
		{/literal} 
	</script>
{/if}



<form name="CommitEditView" id="CommitEditView" method="POST" action="index.php" >
	<input type="hidden" name="module" value="Forecasts">
	<input type="hidden" name="action" value="index">
	<input type="hidden" name="user_id" value="{$USER_ID}">
	<input type="hidden" name="timeperiod_id" value="{$TIMEPERIOD_ID}">
	<input type="hidden" name="forecast_type" value="{$FORECASTTYPE}">
	<input type="hidden" name="commit_forecast" value="0">
	<input type="hidden" name="opp_count" value="{$CURRENTOPPORTUNITYCOUNT}">
	<input type="hidden" name="opp_weigh_value" value="{$CURRENTWEIGHTEDVALUENUMBER}">
	<input type="hidden" name="call_back_function" value="commit_forecast">
	<input type="hidden" name="sel_user_id" value="{$SEL_USER_ID}">
	<input type="hidden" name="sel_timeperiod_id" value="{$SEL_TIMEPERIOD_ID}">
	<input type="hidden" name="sel_forecast_type" value="{$SEL_FORECASTTYPE}">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0" >
	    <tr>			
			<td>
				<span><strong>{$LBL_FORECAST_FOR}</strong>&nbsp;{$USER_FORECAST_TYPE}&nbsp;<strong>{$LBL_TP_QUOTA}</strong>&nbsp;{$QUOTA_VALUE}</span>
			</td>
			<td align="right">	
				<input title="{$LBL_SAVE_WOKSHEET}" class="button"  type = "button" onclick="this.form.call_back_function.value='save_worksheet';formsubmit(this.form);" name="saveworksheet" value="  {$LBL_SAVE_WOKSHEET} ">
				<input title="{$LBL_RESET_WOKSHEET}" class="button"  type = "button" onclick="if (!confirm('{$LBL_RESET_CHECK}')) return false;this.form.call_back_function.value='reset_worksheet';formsubmit(this.form); " name="resetworksheet" value="  {$LBL_RESET_WOKSHEET} ">
				<input title="{$LBL_SHOW_CHART}" class="button"  type = "button" onclick="this.form.call_back_function.value='get_chart';get_chart(this.form)" name="getchart" value="  {$LBL_SHOW_CHART} ">
			</td>
		</tr>
	</table>
{if $prerow}
	{$multiSelectData}
{/if}
<table cellpadding='0' cellspacing='0' width='100%' border='0' >
	{* Processing the header row with list naigation*}
	<tr width="100%">
		<td colspan='{$colCount}' width="100%" align='right'>
			<table border='0' cellpadding='0' cellspacing='0' width='100%'>
				<tr>
					<td align='left' class='listViewPaginationTdS1'>{$exportLink}{$mergeLink}{$selectedObjectsSpan}&nbsp;</td>
					<td class='listViewPaginationTdS1' align='right' >
					
						{if $pageData.urls.startPage}
							<a href="javascript:goToNav(0)" {if $prerow}onclick="javascript:return sListView.save_checks(0, '{$moduleString}2')"{/if} class='listViewPaginationLinkS1'><img src='{$imagePath}start.gif' alt='{$navStrings.start}' align='absmiddle' border='0' width='13' height='11'>&nbsp;{$navStrings.start}</a>&nbsp;
						{else}
							<img src='{$imagePath}start_off.gif' alt='{$navStrings.start}' align='absmiddle' border='0' width='13' height='11'>&nbsp;{$navStrings.start}&nbsp;&nbsp;
						{/if}
						{if $pageData.urls.prevPage} 
						    <a href="javascript:goToNav(1)" {if $prerow}onclick="javascript:return sListView.save_checks({$pageData.offsets.prev}, '{$moduleString}2')"{/if} class='listViewPaginationLinkS1'><img src='{$imagePath}previous.gif' alt='{$navStrings.previous}' align='absmiddle' border='0' width='8' height='11'>&nbsp;{$navStrings.previous}</a>&nbsp;
						{else}
							<img src='{$imagePath}previous_off.gif' alt='{$navStrings.previous}' align='absmiddle' border='0' width='8' height='11'>&nbsp;{$navStrings.previous}&nbsp;
						{/if}
							<span class='pageNumbers'>({if $pageData.offsets.lastOffsetOnPage == 0}0{else}{$pageData.offsets.current+1}{/if} - {$pageData.offsets.lastOffsetOnPage} {$navStrings.of} {if $pageData.offsets.totalCounted}{$pageData.offsets.total}{else}{$pageData.offsets.total}{if $pageData.offsets.lastOffsetOnPage != $pageData.offsets.total}+{/if}{/if})</span>
						{if $pageData.urls.nextPage}
						    &nbsp;<a href="javascript:goToNav(2)" {if $prerow}onclick="javascript:return sListView.save_checks({$pageData.offsets.next}, '{$moduleString}2')"{/if} class='listViewPaginationLinkS1'>{$navStrings.next}&nbsp;<img src='{$imagePath}next.gif' alt='{$navStrings.next}' align='absmiddle' border='0' width='8' height='11'></a>&nbsp;						    
						{else}
							&nbsp;{$navStrings.next}&nbsp;<img src='{$imagePath}next_off.gif' alt='{$navStrings.next}' align='absmiddle' border='0' width='8' height='11'>
						{/if}
						{if $pageData.urls.endPage  && $pageData.offsets.total != $pageData.offsets.lastOffsetOnPage}
						    <a href="javascript:goToNav(3)" {if $prerow}onclick="javascript:return sListView.save_checks({$pageData.offsets.end}, '{$moduleString}2')"{/if} class='listViewPaginationLinkS1'>{$navStrings.end}&nbsp;<img src='{$imagePath}end.gif' alt='{$navStrings.end}' align='absmiddle' border='0' width='13' height='11'></a></td>
						{elseif !$pageData.offsets.totalCounted || $pageData.offsets.total == $pageData.offsets.lastOffsetOnPage}
							&nbsp;{$navStrings.end}&nbsp;<img src='{$imagePath}end_off.gif' alt='{$navStrings.end}' align='absmiddle' border='0' width='13' height='11'>
						{/if}

					</td>
				</tr>
			</table>
		</td>
	</tr>

	{* processing header row with column labels *}
	<tr height='20'>
		{if $prerow}
			<td scope='col' class='listViewThS1' >
				<input type='checkbox' class='checkbox' name='massall' value='' onclick='sListView.check_all(document.MassUpdate, "mass[]", this.checked);' />
			</td>
		{/if}
		{foreach from=$displayColumns key=colHeader item=params}
		    {if !$params.hidden}
				<td scope='col' width='{$params.width}' align='{$params.align}' class='listViewThS1' >
					<slot>
					{if $params.sortable|default:true}
						<a href='javascript:list_nav({$params.order_by_object},"CommitEditView")' class='listViewThLinkS1'>{sugar_translate label=$params.label module=$pageData.bean.moduleDir}
						{assign var=default_order value=$params.tablename|default:''}
						{if $default_order|count_characters > 0 } 
							{assign var=default_order value=$default_order|cat:"."}
						{/if}
						{assign var=default_order value=$default_order|cat:$colHeader|lower}
						{if $params.orderBy|default:$default_order|lower == $pageData.ordering.orderBy}
							{if $pageData.ordering.sortOrder == 'ASC'}
								<img border='0' src='{$imagePath}arrow_down.{$arrowExt}' width='{$arrowWidth}' height='{$arrowHeight}' align='absmiddle' alt='{$arrowAlt}'>
							{else}
								<img border='0' src='{$imagePath}arrow_up.{$arrowExt}' width='{$arrowWidth}' height='{$arrowHeight}' align='absmiddle' alt='{$arrowAlt}'>
							{/if}
						{else}
							<img border='0' src='{$imagePath}arrow.{$arrowExt}' width='{$arrowWidth}' height='{$arrowHeight}' align='absmiddle' alt='{$arrowAlt}'>
						{/if}
						</a>
					{else}
						{sugar_translate label=$params.label module=$pageData.bean.moduleDir}
					{/if}
					</slot>
				</td>
			{/if}
		{/foreach}
	</tr>
	
	{* processing data rows *}		
	{foreach name=rowIteration from=$data key=id item=rowData}
		{if $smarty.foreach.rowIteration.iteration is odd}
			{assign var='_bgColor' value=$bgColor[0]}
			{assign var='_rowColor' value=$rowColor[0]}
		{else}
			{assign var='_bgColor' value=$bgColor[1]}
			{assign var='_rowColor' value=$rowColor[1]}
		{/if}
		<tr height='20' onmouseover="setPointer(this, '{$id}', 'over', '{$_bgColor}', '{$bgHilite}', '{$bgClick}');" onmouseout="setPointer(this, '{$id}', 'out', '{$_bgColor}', '{$bgHilite}', '{$bgClick}');" onmousedown="setPointer(this, '{$id}', 'click', '{$_bgColor}', '{$bgHilite}', '{$bgClick}');">
			{if $prerow}
				<td class='{$_rowColor}S1' bgcolor='{$_bgColor}'><input onclick='sListView.check_item(this, document.MassUpdate)' type='checkbox' class='checkbox' name='mass[]' value='{$id}'></td>
			{/if}
			{foreach from=$displayColumns key=col item=params name=colIteration}
				{if $params.hidden}	
                   	<input type="hidden" name="{$col}_{$rowData[$params.id]|default:$rowData.ID}" id="{$col}_{$rowData[$params.id]|default:$rowData.ID}" value={$rowData.$col}>				
				{else}
					<td scope='row' align='{$params.align|default:'left'}' valign=top class='{$_rowColor}S1' bgcolor='{$_bgColor}'><slot>
						{if $smarty.foreach.colIteration.index == 0}
							{$pageData.additionalDetails.$id}
						{/if}
	                    {if $params.edit}	
	                    	<input type="text"  maxlength=15 onchange="update_adj_amount(this,'{$col}_TOTAL')" name="{$col}_{$rowData[$params.id]|default:$rowData.ID}" id="{$col}_{$rowData[$params.id]|default:$rowData.ID}" old_value={$rowData.$col} value={$rowData.$col}>
	                    {else}			
							{if $params.link}
								{if $params.customCode}
									{sugar_evalcolumn_old var=$params.customCode rowData=$rowData}
								{else}
									<{$pageData.tag.$id.MAIN} href='index.php?action={$params.action|default:'DetailView'}&module={$params.module|default:$pageData.bean.moduleDir}&record={$rowData[$params.id]|default:$rowData.ID}&offset={$pageData.offsets.current}&stamp={$pageData.stamp}' class='listViewTdLinkS1'>{$rowData.$col}</{$pageData.tag.$id.MAIN}>
								{/if}
							{else}
								{$rowData.$col}
							{/if}
						{/if}
					</td>
				{/if}
			{/foreach}
	    	</tr>
	{/foreach}
	{* Add totals row , makes assumption about number of field in the list*}
	{* this will work only for a direct forecast *}
<tr>
		{if $prerow}
			<td>&nbsp;</td>
		{/if}
		{foreach from=$displayColumns key=col item=params}
			{if !$params.hidden}
				<td align='{$params.align|default:'left'}' valign=top  class='tabDetailViewDF'><slot><span id="{$col}_TOTAL_DISPLAY">{$totals.$col}</span><input type=hidden id="{$col}_TOTAL" value={$totals.$col}></slot></td>		
			
			{/if}
		{/foreach}
	</tr>	
</table>
<BR/>
{if $prerow}
<a class='listViewCheckLink' href='javascript:sListView.check_all(document.MassUpdate, "mass[]", false);'>{$clearAll}</a>
{/if}
	<table width="100%" border="0" cellspacing="0" cellpadding="0" >
	    <tr>
			<td  width="40%" class="dataLabel">{$LBL_DV_LAST_COMMIT_DATE}&nbsp;{$PREV_COMMIT_DATE}</td>
			<td  width="20%" class="dataLabel">{$LBL_BEST_CASE}&nbsp;{$PREV_BEST_CASE}</td>
			<td  width="20%" class="dataLabel">{$LBL_LIKELY_CASE}&nbsp;{$PREV_LIKELY_CASE}</td>
			<td  width="20%" class="dataLabel">{$LBL_WORST_CASE}&nbsp;{$PREV_WORST_CASE}</td>
		</tr>
{if $commit_allowed}
		<tr><td colspan=5 class="listViewHRS1"></td></tr>
    	<tr>
			<td class="dataLabel" >{$LBL_COMMIT_NOTE}</td>
			<td class="dataLabel" >{$LBL_BEST_CASE}&nbsp;<input id='commit_best_case' name='best_case'  maxlength='10' size=10  type="text" value="{$COMMITVALUEBEST}"></td>
			<td class="dataLabel" >{$LBL_LIKELY_CASE}&nbsp;<input id='commit_likely_case' name='likely_case'   maxlength='10' size=10 type="text" value="{$COMMITVALUELIKELY}"></td>
			<td class="dataLabel" >{$LBL_WORST_CASE}&nbsp;<input id='commit_worst_case' name='worst_case'   maxlength='10' size=10 type="text" value="{$COMMITVALUEWORST}"></td>
		</tr>
    	<tr>	
    		<td colspan=3 class="dataLabel">&nbsp;</td>	
			<td align="right" class="dataLabel">{$COPY_LINK}&nbsp;<input title="{$LBL_QC_COMMIT_BUTTON}" class="button"  type = "button" onclick="if (commitverify(this.form,'{$ERR_FORECAST_AMOUNT}','{$LBL_COMMIT_MESSAGE}'))  formsubmit(this.form);" name="rollupcommit" value="  {$LBL_QC_COMMIT_BUTTON} "></td>
		</tr>		
{/if}

	</table>
</form>
