<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Home',
  'LBL_NEW_FORM_TITLE' => 'New Contact',
  'LBL_FIRST_NAME' => 'First Name:',
  'LBL_LAST_NAME' => 'Last Name:',
  'LBL_LIST_LAST_NAME' => 'Last Name',
  'LBL_PHONE' => 'Phone:',
  'LBL_EMAIL_ADDRESS' => 'Email:',
  'LBL_MY_PIPELINE_FORM_TITLE' => 'My Pipeline',
  'LBL_PIPELINE_FORM_TITLE' => 'Pipeline By Sales Stage',
  'LBL_CAMPAIGN_ROI_FORM_TITLE' => 'Campaign ROI',
  'LBL_MY_CLOSED_OPPORTUNITIES_GAUGE' => 'My Closed Opportunities Gauge',
  'LNK_NEW_CONTACT' => 'Create Contact',
  'LNK_NEW_ACCOUNT' => 'Create Account',
  'LNK_NEW_OPPORTUNITY' => 'Create Opportunity',

  'LNK_NEW_QUOTE' => 'Create Quote',

  'LNK_NEW_LEAD' => 'Create Lead',
  'LNK_NEW_CASE' => 'Create Case',
  'LNK_NEW_NOTE' => 'Create Note or Attachment',
  'LNK_NEW_CALL' => 'Schedule Call',
  'LNK_NEW_EMAIL' => 'Archive Email',
  'LNK_COMPOSE_EMAIL' => 'Compose Email',
  'LNK_NEW_MEETING' => 'Schedule Meeting',
  'LNK_NEW_TASK' => 'Create Task',
  'LNK_NEW_BUG' => 'Report Bug',
  'LBL_ADD_BUSINESSCARD' => 'Enter Business Card',
  'ERR_ONE_CHAR' => 'Please enter at least one letter or number for your search ...',
  'LBL_OPEN_TASKS' => 'My Open Tasks',
  'LBL_SEARCH_RESULTS' => 'Search Results',
  'LBL_SEARCH_RESULTS_IN' => 'in', 
  'LNK_NEW_SEND_EMAIL' => 'Compose Email',
  'LBL_NO_RESULTS_IN_MODULE' => '-- No Results --',
  'LBL_NO_RESULTS' => '<h2>There were no results found. Please search again.</h2><br>',
  'LBL_NO_RESULTS_TIPS' => '<h3>Search Tips:</h3><ul><li>Make sure you have the proper categories selected above.</li><li>Broaden your search criteria.</li><li>If you still cannot find any results try the advanced search option.</li></ul>',
  
  'LBL_RELOAD_PAGE' => 'Please <a href="javascript: window.location.reload()">reload the window</a> to use this dashlet.',
  'LBL_ADD_DASHLETS' => 'Add Dashlets',
  'LBL_ADD_PAGE' => 'Add Page',
  'LBL_DELETE_PAGE' => 'Delete Page',
  'LBL_CHANGE_LAYOUT' => 'Change Layout',
  'LBL_RENAME_PAGE' => 'Rename Page',
  'LBL_CLOSE_DASHLETS' => 'Close',
  'LBL_CLOSE_SITEMAP' => 'Close',
  'LBL_OPTIONS' => 'Options', 
  // dashlet search fields
  'LBL_TODAY'=>'Today',
  'LBL_YESTERDAY' => 'Yesterday', 
  'LBL_TOMORROW'=>'Tomorrow',
  'LBL_LAST_WEEK'=>'Last Week',
  'LBL_NEXT_WEEK'=>'Next Week',
  'LBL_LAST_7_DAYS'=>'Last 7 Days',
  'LBL_NEXT_7_DAYS'=>'Next 7 Days',
  'LBL_LAST_MONTH'=>'Last Month',
  'LBL_NEXT_MONTH'=>'Next Month',
  'LBL_LAST_QUARTER'=>'Last Quarter',
  'LBL_THIS_QUARTER'=>'This Quarter',
  'LBL_LAST_YEAR'=>'Last Year',
  'LBL_NEXT_YEAR'=>'Next Year',
  'LBL_THIS_MONTH' => 'This Month',
  'LBL_THIS_YEAR' => 'This Year',
  'LBL_LAST_30_DAYS' => 'Last 30 Days',
  'LBL_NEXT_30_DAYS' => 'Next 30 Days',
  'LBL_THIS_MONTH' => 'This Month',
  'LBL_THIS_YEAR' => 'This Year',
  'LBL_LAST_30_DAYS' => 'Last 30 Days',
  'LBL_NEXT_30_DAYS' => 'Next 30 Days',
  'LBL_MODULES' => 'Modules',
  'LBL_CHARTS' => 'Charts',
  'LBL_TOOLS' => 'Tools',
  'LBL_SEARCH_RESULTS' => 'Search Result',
  
  // Dashlet Categories
  'dashlet_categories_dom' => array(
      'Module Views' => 'Module Views',
      'Portal' => 'Portal',
      'Charts' => 'Charts',
      'Tools' => 'Tools',
      'Miscellaneous' => 'Miscellaneous'),
  'LBL_MAX_DASHLETS_REACHED' => 'You have reached the maximum number of dashlets your administrator has set. Please remove a dashlet to add a new one.',
  'LBL_ADDING_DASHLET' => 'Adding Dashlet ...',
  'LBL_ADDED_DASHLET' => 'Dashlet Added',
  'LBL_REMOVE_DASHLET_CONFIRM' => 'Are you sure you want to remove the Dashlet?',
  'LBL_REMOVING_DASHLET' => 'Removing Dashlet ...',
  'LBL_REMOVED_DASHLET' => 'Dashlet Removed',
  'LBL_DASHLET_CONFIGURE_GENERAL' => 'General',
  'LBL_DASHLET_CONFIGURE_FILTERS' => 'Filters',
  'LBL_DASHLET_CONFIGURE_MY_ITEMS_ONLY' => 'My Items Only',
  'LBL_DASHLET_CONFIGURE_TITLE' => 'Title',
  'LBL_DASHLET_CONFIGURE_DISPLAY_ROWS' => 'Display Rows',
//  'LBL_DASHLET_CONFIGURE_MY_ITEMS_ONLY' => 'My Items Only',

  'LBL_DASHLET_DELETE' => 'Delete Dashlet',
  'LBL_DASHLET_REFRESH' => 'Refresh Dashlet',
  'LBL_DASHLET_EDIT' => 'Edit Dashlet', 

  'LBL_TRAINING_TITLE' => 'Training',

  'LBL_CREATING_NEW_PAGE' => 'Creating New Page...',
  'LBL_NEW_PAGE_FEEDBACK' => 'You have created a new page. You can add new content with the Add Dashlets option.',
  'LBL_DELETE_PAGE_CONFIRM' => 'Are you sure you want to delete this page?',
  'LBL_SAVING_PAGE_TITLE' => 'Saving Page Title...',  
  'LBL_RETRIEVING_PAGE' => 'Retrieving Page...',
  
  // Default out-of-box names for tabs
  'LBL_HOME_PAGE_1_NAME' => 'My Sugar',
  'LBL_HOME_PAGE_2_NAME' => 'Sales Page',
  'LBL_HOME_PAGE_3_NAME' => 'Marketing & Support Page',
  
  'LBL_CLOSE_SITEMAP' =>'Close',
  
  'LBL_SEARCH' => 'Search',
  'LBL_CLEAR' => 'Clear', 
  
  'LBL_BASIC_CHARTS' => 'Basic Charts',
  'LBL_REPORT_CHARTS' => 'Report Charts',
  
  'LBL_MY_FAVORITE_REPORT_CHARTS' => 'My Favorite Reports',
  'LBL_GLOBAL_REPORT_CHARTS' => 'Global Team Reports',
  'LBL_MY_TEAM_REPORT_CHARTS' => 'My Team Reports',
  'LBL_MY_SAVED_REPORT_CHARTS' => 'My Saved Reports',
  
  'LBL_DASHLET_SEARCH' => 'Find Dashlet',

//ABOUT page
  'LBL_VERSION' => 'Version',
  'LBL_BUILD' => 'Build',
  'LBL_VIEWLICENSE_COM' => '<P>This program is free software; you can redistribute it and/or modify it under the terms of the <a href="LICENSE.txt" target="_blank" class="body"> GNU General Public License version 3</a> as published by the Free Software Foundation including the additional permission set forth in the source code header.</P>',
  'LBL_ADD_TERM_COM' => '<P>The interactive user interfaces in modified source and object code versions of this program must display Appropriate Legal Notices, as required under Section 5 of the GNU General Public License version 3. In accordance with Section 7(b) of the GNU General Public License version 3, these Appropriate Legal Notices must retain the display of the &quot;Powered by SugarCRM&quot; logo. If the display of the logo is not reasonably feasible for technical reasons, the Appropriate Legal Notices must display the words &quot;Powered by SugarCRM&quot;.</P>',
  'LBL_SUGAR_COMMUNITY_EDITION' => 'Sugar Community Edition',
  'LBL_SUGAR_PROFESSIONAL' => "Sugar Professional",
  'LBL_SUGAR_ENTERPRISE' => "Sugar Enterprise",
  'LBL_AND' => "and",
  'LBL_ARE' => "are",
  'LBL_TRADEMARKS' => 'trademarks',
  'LBL_OF' => 'of',
  'LBL_FOUNDERS' => 'Founders',
  'LBL_JOIN_SUGAR_COMMUNITY' => 'Join the Sugar Community',
  'LBL_SUBSCRIBE_SUGARBUZZ' => 'Subscribe to SugarBuzz newsletter',
  'LBL_DETAILS_SUGARFORGE' => 'Collaborate and develop Sugar extensions',
  'LBL_DETAILS_SUGAREXCHANGE' => 'Buy and sell certified Sugar extensions',
  'LBL_TRAINING' => 'Training',
  'LBL_DETAILS_TRAINING' => 'Learn about Sugar using online and interactive learning content',
  'LBL_FORUMS' => 'Forums',
  'LBL_DETAILS_FORUMS' => 'Discuss Sugar with expert community users and developers',
  'LBL_WIKI' => 'Wiki',
  'LBL_DETAILS_WIKI' => 'Search the knowledge base of user and developer topics',
  'LBL_DEVSITE' => 'Developer Site',
  'LBL_DETAILS_DEVSITE' => 'Discover resources, tutorials, and helpful links to get you up to speed on Sugar development',
  'LBL_GET_SUGARCRM_RSS' => 'Get SugarCRM RSS',
  'LBL_SUGARCRM_NEWS' => 'SugarCRM News',
  'LBL_SUGARCRM_TRAINING_NEWS' => 'SugarCRM Training News',
  'LBL_SUGARCRM_FORUMS' => 'SugarCRM Forums',
  'LBL_SUGARFORGE_NEWS' => 'SugarForge News',
  'LBL_ALL_NEWS' => 'All News',
  'LBL_LINK_CURRENT_CONTRIBUTORS' => 'Click this link for a current list of Sugar contributors!',
  'LBL_SOURCE_CODE' => 'Source Code',
  'LBL_SOURCE_SUGAR' => 'Sugar - The world\'s most popular sales force automation application created by SugarCRM Inc.',
  'LBL_SOURCE_XTEMPLATE' => 'XTemplate - A template engine for PHP created by Barnabás Debreceni',
  'LBL_SOURCE_LOG4PHP' => 'Log4php - A PHP port of Log4j, the most popular Java logging framework, created by Ceki Gülcü',
  'LBL_SOURCE_NUSOAP' => 'NuSOAP - A set of PHP classes that allow developers to create and consume web services created by NuSphere Corporation and Dietrich Ayala',
  'LBL_SOURCE_JSCALENDAR' => 'JS Calendar - A calendar for entering dates created by Mihai Bazon',
  'LBL_SOURCE_PHPPDF' => 'PHP PDF - A library for creating PDF documents created by Wayne Munro',
  'LBL_SOURCE_DOMIT' => 'DOMIT! - An xml parser for PHP based on the Document Object Model (DOM) Level 2 Spec.',
  'LBL_SOURCE_DOMITRSS' => 'DOMIT RSS - An RSS feed parser based on the DOMIT pure PHP XML parser.',
  'LBL_SOURCE_PNGBEHAVIOR' => 'PNG Behavior - Adds support for PNG graphic format to Internet Explorer.',
  'LBL_SOURCE_JSONPHP' => 'JSON.php - A PHP script to convert to and from JSON data format by Michal Migurski.',
  'LBL_SOURCE_JSON' => 'JSON.js - A JSON parser and JSON stringifier in JavaScript.',
  'LBL_SOURCE_HTTP_WEBDAV_SERVER' => 'HTTP_WebDAV_Server - A WebDAV Server Implementation in PHP.',
  'LBL_SOURCE_JS_O_LAIT' => 'JavaScript O Lait - A library of reusable modules and components to enhance JavaScript by Jan-Klaas Kollhof.',
  'LBL_SOURCE_PCLZIP' => 'PclZip - library offers compression and extraction functions for Zip formatted archives by Vincent Blavet',
  'LBL_SOURCE_SMARTY' => 'Smarty - A template engine for PHP.',
  'LBL_SOURCE_OVERLIBMWS' => 'Overlibmws - JavaScript library for client-side windowing.',
  'LBL_SOURCE_WICK' => 'WICK: Web Input Completion Kit - JavaScript type ahead control',
  'LBL_SOURCE_YAHOO_UI_LIB' => 'Yahoo! User Interface Library - The UI Library Utilities facilitate the implementation of rich client-side features.',
  'LBL_SOURCE_PHPMAILER' => 'PHPMailer - A full featured email transfer class for PHP',
  'LBL_SOURCE_CRYPT_BLOWFISH' => 'Crypt_Blowfish - Allows for quick two-way blowfish encryption without requiring the MCrypt PHP extension.',
  'LBL_SOURCE_PHP_COMPAT' => 'PHP_Compat - Provides missing functionality for older versions of PHP.',
  'LBL_SOURCE_HTML_SAFE' => 'HTML_Safe - A parser that strips down all potentially dangerous content within HTML',
  'LBL_SOURCE_XML_HTMLSAX3' => 'XML_HTMLSax3 - A SAX parser for HTML and other badly formed XML documents',
  'LBL_SOURCE_YAHOO_UI_LIB_EXT' => 'Yahoo! UI Extensions Library - Extensions to the Yahoo! User Interface Library by Jack Slocum',
  'LBL_SOURCE_JSMIN' => 'JSMin - filter which removes comments and unnecessary whitespace from JavaScript files.',
  'LBL_SOURCE_SWFOBJECT' => 'SWFObject - Javascript Flash Player detection and embed script.',
  'LBL_SOURCE_TINYMCE' => 'TinyMCE - A WYSIWYG editor control for web browsers that enables the user to edit HTML contents',
  'LBL_SOURCE_EXT' => 'Ext - A client-side JavaScript framework for building web applications.',
);


?>
