<?php
 if(!defined('sugarEntry'))define('sugarEntry', true);
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/

 //Request object must have these property values:
 //		Module: module name, this module should have a file called TreeData.php
 //		Function: name of the function to be called in TreeData.php, the function will be called statically.
 //		PARAM prefixed properties: array of these property/values will be passed to the function as parameter.
require_once('include/utils/file_utils.php');
require_once('data/SugarBean.php');
require_once('include/JSON.php');
require_once('include/entryPoint.php');
require_once('include/upload_file.php');
require_once('include/ytree/Tree.php');
require_once('include/ytree/Node.php');
require_once('modules/KBTags/TreeData.php');



$nodes=array();
global $sugar_config;

$json = getJSONobj();
$tagdata = $json->decode(html_entity_decode($_REQUEST['newTagName']));
if(isset($tagdata['jsonObject']) && $tagdata['jsonObject'] != null){
	$tagdata = $tagdata['jsonObject'];
 }	
//save the tag
if( $tagdata[0] !=null) $new_tag_name= $tagdata[0];
if( $tagdata[1] !=null) $tag_id = $tagdata[1];
if( $tagdata[2] !=null) $parent_tag_id = $tagdata[2];

$found = false;

if(!empty($new_tag_name)){
	require_once('modules/KBTags/KBTag.php');       
    //retrieve all the children of the parent tag. if parent tag is null then retrieve all 
    //tags whose parent is null. compare with the new tag name. 
    if($parent_tag_id == 'All_Tags'){
      	$parent_tag_id = '';
    }    
    $query="select id,tag_name from kbtags where deleted = 0 and";
    if (empty($parent_tag_id)) {
    	$query.=" parent_tag_id is null order by tag_name";	
    } else {
    	$query.=" parent_tag_id = '$parent_tag_id' order by tag_name";	    
    }  
    $result=$GLOBALS['db']->query($query);
    
	while (($row=$GLOBALS['db']->fetchByAssoc($result))!= null) {
      
      if (!empty($row['id']) && !empty($row['tag_name'])) {                            
         if(from_html($row['tag_name'])==$new_tag_name){
         	$found = true;         	
         	break;
         }
      }
	}  		        
}

 if(!$found){ 
    require_once('modules/KBTags/KBTag.php');       
    $kbtag = new KBTag();    
    $kbtag->retrieve($tag_id);    
    $kbtag->tag_name  = $new_tag_name;    		         
    $kbtag->save();
     //refresh tree
    $tagstree=new Tree('tagstree');
    $tagstree->set_param('module','KBTags');            
    $tagstree->set_param('moduleview','admin');
    $nodes=get_tags_nodes(false,true,null);
    $root_node = new Node('All_Tags', $mod_strings['LBL_TAGS_ROOT_LABEL']);
    foreach ($nodes as $node) {                                         
    	$root_node->add_node($node);                       
    }
    $href_string = "javascript:handler:SUGAR.kb.adminClick()";
	if ($root_node) {
		$root_node->set_property("href",$href_string);   	
	}       
	 $root_node->expanded = true;    
	 $tagstree->add_node($root_node);                
	 $response = $tagstree->generate_nodes_array();
 }
 else{
 	$response = 1;
 }                  
 
if (!empty($response)) {	
    echo $response;
	//$json = getJSONobj();
	//print $json->encode($response);	
}
sugar_cleanup();
exit();
?>
