<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
	//module
	'LBL_MODULE_NAME' => 'Article Tags',
	'LBL_MODULE_TITLE' => 'Article Tags',
	'LNK_NEW_TAG' => 'Create Article Tag',
	'LNK_KBTAG_LIST'=> 'Article Tag List',
	'LBL_SEARCH_FORM_TITLE'=> 'Article Tag Search',
    'LBL_LIST_FORM_TITLE' => 'Article Tag List',
	//vardef labels	
	'LBL_KBTAGS_ID' => 'Tag Id:',
	'LBL_PARENT_TAG_ID' => 'Parent Id:',
	'LBL_ROOT_TAG' => 'Root:',
	'LBL_TAG_NAME' => 'Tag Name',
	'LBL_CREATED_BY'=> 'Created by',
	'LBL_DATE_ENTERED'=> 'Date Entered',
	'LBL_DATE_MODIFIED'=> 'Date Modified',
	'LBL_DELETED' => 'Deleted',
	'LBL_MODIFIED'=> 'Modified by id',
	'LBL_MODIFIED_USER' => 'Modified by',
	'LBL_CREATED'=> 'Created by',
        
    //for hovering over tree
    'LBL_CHILD_TAG_IN_TREE_HOVER' => 'Child Tag',
    'LBL_CHILD_TAGS_IN_TREE_HOVER' => 'Child Tags',
    'LBL_ARTICLE_IN_TREE_HOVER' => 'Article',
    'LBL_ARTICLES_IN_TREE_HOVER' => 'Articles',
    'LBL_THIS_TAG_CONTAINS_TREE_HOVER' => 'This tag contains',
    //Root tag label
    'LBL_TAGS_ROOT_LABEL' => 'Tags',
    'LBL_ROOT_TAG_CAN_NOT_BE_RENAMED' => 'Root tag can not be renamed',
    'LBL_SOURCE_AND_TARGET_TAGS_ARE_SAME' => 'Source and Target tags are same',
    'LBL_NO_MATHING_TAG_FOUND'=>'No matching tag found',
    'LBL_TYPE_TAG_NAME_TO_SEARCH' => 'Type the tag name to search',
    'LBL_TAGS_CHILD_TAGS_WITH_ARTICLE_CAN_NOT_BE_DELETED' => 'Tags or children tags with Articles can not be deleted',
    'LBL_FAQ_TAG_CAN_NOT_BE_DELETED' => ' tag and can not be deleted',
    'LBL_TYPE_TAG_NAME_TO_SEARCH' => 'Type tag name to be searched',
);
?>
