<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_STEP_1' => 'Step 1: Select Module and Template',
  'LBL_MAILMERGE_MODULE' => 'Select Module: ',
  'LBL_MAILMERGE_SELECTED_MODULE' => 'Selected Module: ',
  'LBL_MAILMERGE_TEMPLATES' => 'Select Template: ',
  'LBL_STEP_2' => 'Step 2: Select Objects to Merge',
  'LBL_MAILMERGE_OBJECTS' => 'Select Objects: ',
  'LBL_STEP_3' => 'Set Contact Association',
  'LBL_STEP_4' => 'Review and Complete',
  'LBL_SELECTED_MODULE' => 'Selected Module: ',
  'LBL_SELECTED_TEMPLATE' => 'Selected Template: ',
  'LBL_SELECTED_ITEMS' => 'Selected Items: ',
  'LBL_STEP_5' => 'Mail Merge Complete',
  'LBL_MERGED_FILE' => 'Merged File: ',
  'LNK_NEW_MAILMERGE' => 'Begin Mail Merge',
  'LNK_UPLOAD_TEMPLATE' => 'Upload Template',
  'LBL_DOC_NAME' => 'Document Name:',
  'LBL_FILENAME' => 'File Name:',
  'LBL_DOC_VERSION' => 'Revision:',
  'LBL_DOC_DESCRIPTION'=>'Description:',
  'LBL_LIST_NAME' => 'Name',
  'LBL_LIST_RELATIONSHIP' => 'Set Contact Relationship',
  'LBL_FINISH' => 'Begin Merge',
  'LBL_NEXT' => 'Next >',
  'LBL_BACK' => '< Back',
  'LBL_START' => 'Start Again',
  'LBL_TEMPLATE_NOTICE' => 'Templates are Microsoft Word documents containing merge fields that have been uploaded and stored in the Documents module.',
  'LBL_CONTAINS_CONTACT_INFO' => 'Selected template contains related ',
  'LBL_ADDIN_NOTICE' => 'This requires the installation of Sugar Mail Merge add-in to Microsoft Word.',
  'LBL_BROWSER_NOTICE' => 'You must be running IE 6.0 or greater to perform the actual merge.',
);


?>
