<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************
 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Merge Records',
  'LBL_MODULE_TITLE' => 'Merge Records: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Merge Search',
  'LBL_LIST_FORM_TITLE' => 'Merge List',

  'LBL_LBL_MERGRE_RECORDS_STEP_1' => 'Step 1: Find Search Records to Merge With',
  'LBL_AVAIL_FIELDS' => 'Available Fields',
  'LBL_FILTER_COND' => 'Filter Condition',
  'LBL_SELECTED_FIELDS' => 'Selected Fields',
  'LBL_MERGE_RECORDS_WITH' => 'Merge Records With',
  'LBL_MERGE_VALUE_OVER' => 'Merge value over',

  'LBL_NEXT_STEP_TITLE' => 'Move to Next Step[Ctrl+N]',
  'LBL_NEXT_STEP_BUTTON_KEY' => 'N',
  'LBL_NEXT_STEP_BUTTON_LABEL' => 'Next Step >',

  'LBL_PERFORM_MERGE_BUTTON_TITLE' => 'Perform Merge[Ctrl+P]',
  'LBL_PERFORM_MERGE_BUTTON_KEY' => 'P',
  'LBL_PERFORM_MERGE_BUTTON_LABEL' => 'Perform Merge',

  'LBL_SAVE_MERGED_RECORD_BUTTON_TITLE' => 'Save Merge[Ctrl+S]',
  'LBL_SAVE_MERGED_RECORD_BUTTON_KEY' => 'S',
  'LBL_SAVE_MERGED_RECORD_BUTTON_LABEL' => 'Save Merge',

  'LBL_STEP2_FORM_TITLE' => 'Records Found To Merge With:',
  'LBL_SELECT_ERROR'=>'You must make a selection before you can proceed.',
  'LBL_SELECT_PRIMARY'=>'Select primary record for the merge.',
  'LBL_CHANGE_PARENT'=>'Set as primary',
  'LBL_REMOVE_FROM_MERGE'=>'Remove',
  'LBL_DIFF_COL_VALUES'=>'Columns whose value in primary row differs from value in merging rows:',
  'LBL_SAME_COL_VALUES'=>'Columns whose value is similar across all rows:',
  'ERR_EXCEEDS_MAX'=>'You are only allowed to merge a maximum of 5 records. Records exceeding the limit were ignored.',
  'LBL_DELETE_MESSAGE'=>'This action will delete following record(s):',
  'LBL_PROCEED'=>'Proceed ?',
);


?>
