{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}

<form name='relform' onsubmit='return false;'>
<input type='hidden' name='to_pdf' value='1'>
<input type='hidden' name='module' value='ModuleBuilder'>
<input type='hidden' name='action' value='SaveRelationship'>
<input type='hidden' name='view_package' value='{$module->package}'>
<input type='hidden' name='view_module' value='{$module->name}'>
<input type='hidden' name='name' value='{$rel.name}'>
<table >
	<tr>
		<td colspan='2'>
			<input type='button' name='saverelbtn' value='{$mod_strings.LBL_BTN_SAVE}' onclick='if(check_form("relform"))ModuleBuilder.submitForm("relform");' class='button'>

			{literal}
			&nbsp;
			<input type='button' name='deleterelbtn' value='{/literal}{$mod_strings.LBL_BTN_DELETE}{literal}' onclick='if(confirm("{/literal}{$mod_strings.LBL_CONFIRM_RELATIONSHIP_DELETE}{literal}")){this.form.action.value="DeleteRelationship";ModuleBuilder.submitForm("relform");}' class='button'>
			{/literal}

		</td>
	</tr>
	<tr>
		<td colspan='2'>
			<hr/>
		</td>
	</tr>

	<tr>
		<td class='mbLBL'>
			{$mod_strings.LBL_RELATE_TO}:
		</td>
		<td>
			{html_options name="relate" id="relate"  output=$relatable values=$relatable selected=$rel.relate onchange='ModuleBuilder.moduleLoadRelationship(document.relform.name.value, this.options[this.selectedIndex].value);'}
		</td>
	</tr>
			<tr>
		<td class='mbLBL'>
			{$mod_strings.LBL_LABEL}
		</td>
		<td>
			<input type='text' name='label' value='{$rel.label}'>
		</td>
	</tr>
	
	{if !empty($rel.relate)}
		<tr>
			<td class='mbLBL'>
				{$module->name} {$mod_strings.LBL_SUBPANEL}:
			</td>
			<td>
				{html_options name="rsub" id="rsub"  output=$relatablePanels values=$relatablePanels selected=$rel.rsub alt=$mod_strings.LBL_RSUB}
			</td>
		</tr>
		<tr>
			<td class='mbLBL'>
				{$rel.relate} {$mod_strings.LBL_SUBPANEL}:
			</td>
			<td>
				{html_options name="msub" id="msub"  output=$availablePanels values=$availablePanels selected=$rel.msub alt=$mod_strings.LBL_MSUB}
			</td>
		</tr>
	{/if}
</table>
<script>
addForm('relform');
addToValidate('relform', 'name', 'DBName', true, '{$mod_strings.LBL_JS_VALIDATE_REL_NAME}');
addToValidate('relform', 'label', 'varchar', true, '{$mod_strings.LBL_JS_VALIDATE_REL_LABEL}');
</script>
