{*

/**
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 */



*}

{literal}
<script>
var populatePreview = function(response){
	var div = document.getElementById('preview'+ response.argument);
	
	if(response.status = 0){
		div.innerHTML = 'Server Connection Failed';
	}else{
		div.innerHTML = response.responseText; 
	}
	
	if(response.argument == 1){
		document.getElementById('preview2').innerHTML = '&nbsp';
		if(document.getElementById('comparespan').style.display='none'){
			document.getElementById('comparespan').style.display='inline';
		}
	}
	
	
};
var previewCallback = {
	success: populatePreview ,
  	failure: populatePreview,
  	argument: 1
};
var COBJ = false;
function previewFile(file, id){
	document.getElementById('preview'+ id).innerHTML = '<h2>Loading...</h2>';
	previewCallback['argument'] = id;
	COBJ = Ext.Ajax.request({
		params: 'module=Studio&action=previewfile&to_pdf=true&preview_file=' + file,
		method: 'GET',
		sucess: previewCallback
	});
}
</script>
{/literal}

<form name='StudioWizard'>
<input type='hidden' name='action' value='wizard'>
<input type='hidden' name='module' value='Studio'>
<input type='hidden' name='wizard' value='{$wizard}'>
<table class='tabform' width='100%'>
<tr><td>{$status}</td></tr>
<tr><td colspan='2'>{$welcome}</td></tr>
<tr><td width='1%'><select name='option' size=10 id='option'>{html_options  options=$options}</select></td>
<td>
<input type='button' class='button' name='preview' value='{$MOD.LBL_MB_PREVIEW}' onclick='previewFile(document.getElementById("option").value, 1)'>
<span id='comparespan' style='display:none'>
<br><br>
<input type='button' class='button' name='compare' value='{$MOD.LBL_MB_COMPARE}' onclick='previewFile(document.getElementById("option").value, 2)'>
</span>
<br><br>
<input type='submit' class='button' name='restore' value='{$MOD.LBL_MB_RESTORE}'>
<br><br>
<input type='submit' class='button' name='delete' value='{$MOD.LBL_MB_DELETE}'>
</td></tr>
</table>
</form>

<table width='100%'><tr><td>
<span id='preview1'>&nbsp;</span>
</td>
<td>
<span id='preview2'>&nbsp;</span>
</td>
</tr></table>
