{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}
<br/>
<form name = 'editlabels' id = 'editlabels' onsubmit='return false;'>
<input type='hidden' name='module' value='ModuleBuilder'>
<input type='hidden' name='action' value='saveLabels'>
<input type='hidden' name='editModule' value='{$editModule}'>
{if $mb}
	<input type='hidden' name='MB' value='1'>
{/if}
{if $view_module && $view_package} {* For Module builder *}
<input type='hidden' name='view_module' value='{$view_module}'>
<input type='hidden' name='view_package' value='{$view_package}'>
{/if}
{if $inPropertiesTab}
<input type='hidden' name='editLayout' value='{$editLayout}'>
{else}
<input class='button' id = "saveBtn" type='button' value='{$APP.LBL_SAVE_BUTTON_LABEL}' onclick='ModuleBuilder.submitForm("editlabels" );'>
{/if}
<hr >
<input type='hidden' name='to_pdf' value='1'>

<table class='mbLBL'>
	<tr>
		<td align="right">
			{$mod_strings.LBL_LANGUAGE}&nbsp&nbsp
		</td>
		<td align='left'>
			{html_options name='selected_lang' options=$available_languages selected=$selected_lang onchange='this.form.action.value="EditLabels";ModuleBuilder.handleSave("editlabels")'}
		</td>
	{foreach from=$MOD item='label' key='key'}
	<tr>
		<td align="right">{$key}:&nbsp&nbsp</td>
		<td><input type='hidden' name='label_{$key}' id='label_{$key}' value='no_change'><input onchange='document.getElementById("label_{$key}").value = this.value; ModuleBuilder.state.isDirty=true;' value='{$label}' size='60'></td>
	</tr>

	{/foreach}

</table>
{if $inPropertiesTab}
	<input class='button' type='button' value='{$APP.LBL_CANCEL_BUTTON_LABEL}' onclick="ModuleBuilder.hidePropertiesTab();">
{/if}
</form>
<script>
	ModuleBuilder.helpRegisterByID('editlabels', 'a');
	ModuleBuilder.helpSetup('studioWizard','labelsHelp');
</script>
{include file='modules/ModuleBuilder/tpls/assistantJavascript.tpl'}
