{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/

*}

<h2>{$mod.LBL_SUGARPORTAL}</h2>

<form id='StudioWizard' name='StudioWizard' >
<input type='hidden' name='module' value='ModuleBuilder'>
<input type='hidden' name='action' value='portalsyncsync'>
<table class='tabform' width='100%' cellpadding=4>
<tr><td colspan=16>{$welcome}</td></tr>
<tr>
<td>
	{$mod.LBL_PORTALSITE}<input name='portalURL' value='{$options}' size=60>
</td>
	<td valign='center' class='button' style='cursor:default' onmousedown='this.className="buttonOn";return false;' onmouseup='this.className="button"' onmouseout='this.className="button"' onclick='ModuleBuilder.getContent("module=ModuleBuilder&action=portalsyncsync&portalURL=" + document.StudioWizard.portalURL.value)' >{$mod.LBL_PORTAL_GO}</td>
</tr>
<tr>
	<td colspan='16'>
	    {if strcmp($options, 'https://') != 0 || strcmp($options, 'http://') != 0 && $options != 'https://'}
			<iframe style='border:0' id='portal_iframe' height='250' scrolling='auto'></iframe>
		{/if}
	</td>
</tr>

</table>
</form> 

{if strcmp($options, 'https://') != 0 || strcmp($options, 'http://') != 0 && $options != 'https://'}
<script language='javascript'>
function load_portal_url(){ldelim}
		var url = '{$options}/portal_sync.php';
		var iframe = document.getElementById('portal_iframe');
		iframe.src=url;
{rdelim}
ModuleBuilder.helpRegisterByID('StudioWizard', 'td');
ModuleBuilder.helpSetup('portalSync','default');
load_portal_url();
</script>
{/if}
