<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
	'ERR_DELETE_RECORD' => 'You must specify a record number to delete the account.',
	'LBL_ACCOUNT_ID' => 'Account ID:',
	'LBL_CASE_ID' => 'Case ID:',
	'LBL_CLOSE' => 'Close:',
	'LBL_COLON' => ':',
	'LBL_CONTACT_ID' => 'Contact ID:',
	'LBL_CONTACT_NAME' => 'Contact:',
	'LBL_DEFAULT_SUBPANEL_TITLE' => 'Notes',
	'LBL_DESCRIPTION' => 'Description',
	'LBL_EMAIL_ADDRESS' => 'Email Address:',
    'LBL_EMAIL_ATTACHMENT' => 'Email Attachment',
	'LBL_FILE_MIME_TYPE' => 'Mime Type',
	'LBL_FILE_URL' => 'File URL',
	'LBL_FILENAME' => 'Attachment:',
	'LBL_LEAD_ID' => 'Lead ID:',
	'LBL_LIST_CONTACT_NAME' => 'Contact',
	'LBL_LIST_DATE_MODIFIED' => 'Last Modified',
	'LBL_LIST_FILENAME' => 'Attachment',
	'LBL_LIST_FORM_TITLE' => 'Note List',
	'LBL_LIST_RELATED_TO' => 'Related To',
	'LBL_LIST_SUBJECT' => 'Subject',
	'LBL_LIST_STATUS' => 'Status',
	'LBL_LIST_CONTACT' => 'Contact',
	'LBL_MODULE_NAME' => 'Notes',
	'LBL_MODULE_TITLE' => 'Notes: Home',
	'LBL_NEW_FORM_TITLE' => 'Create Note or Attachment',
	'LBL_NOTE_STATUS' => 'Note',
	'LBL_NOTE_SUBJECT' => 'Note Subject:',
	'LBL_NOTES_SUBPANEL_TITLE' => 'Attachments',
	'LBL_NOTE' => 'Note:',
	'LBL_OPPORTUNITY_ID' => 'Opportunity ID:',
	'LBL_PARENT_ID' => 'Parent ID:',
	'LBL_PARENT_TYPE' => 'Parent Type',
	'LBL_PHONE' => 'Phone:',
	'LBL_PORTAL_FLAG' => 'Display in Portal?',
	'LBL_EMBED_FLAG' => 'Embed in email?',
	'LBL_PRODUCT_ID' => 'Product ID:',
	'LBL_QUOTE_ID' => 'Quote ID:',
	'LBL_RELATED_TO' => 'Related To:',
	'LBL_SEARCH_FORM_TITLE' => 'Note Search',
	'LBL_STATUS' => 'Status',
	'LBL_SUBJECT' => 'Subject:',
	'LNK_CALL_LIST' => 'Calls',
	'LNK_EMAIL_LIST' => 'Emails',
	'LNK_IMPORT_NOTES' => 'Import Notes',
	'LNK_MEETING_LIST' => 'Meetings',
	'LNK_NEW_CALL' => 'Schedule Call',
	'LNK_NEW_EMAIL' => 'Archive Email',
	'LNK_NEW_MEETING' => 'Schedule Meeting',
	'LNK_NEW_NOTE' => 'Create Note or Attachment',
	'LNK_NEW_TASK' => 'Create Task',
	'LNK_NOTE_LIST' => 'Notes',
	'LNK_TASK_LIST' => 'Tasks',
	'LNK_VIEW_CALENDAR' => 'Today',
	'LBL_MEMBER_OF' => 'Member of:',
	'LBL_LIST_ASSIGNED_TO_NAME' => 'Assigned User',

    'LBL_OC_FILE_NOTICE' => 'Please login to server to view file',

    'LBL_REMOVING_ATTACHMENT'=>'Removing attachment...',
    'ERR_REMOVING_ATTACHMENT'=>'Failed to remove attachment...',
    'LBL_CREATED_BY'=>'Created By',
    'LBL_MODIFIED_BY'=>'Modified By',
    'LBL_SEND_ANYWAYS'=> 'This email has no subject.  Send/save anyway?',
);

?>
