<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
$viewdefs['Notes']['DetailView'] = array(
'templateMeta' => array('maxColumns' => '2', 
                        'widths' => array(
                                        array('label' => '10', 'field' => '30'), 
                                        array('label' => '10', 'field' => '30')
                                        ),
                        ),
	'panels' =>array (
						array (
                            'contact_name',
						    array (
						      'name' => 'parent_name',
						      'label' => '{$fields.parent_type.value}',
						    ),
                        ),
		    			array (
		    				array('name' => 'contact_phone', 'type'=>'phone', 'label' => 'LBL_PHONE'), 
							array('name'=>'date_modified', 'customCode'=>'{$fields.date_modified.value} {$APP.LBL_BY} {$fields.modified_by_name.value}'),
						),
		    			array (
		    				array('name' => 'contact_email', 'label' => 'LBL_EMAIL_ADDRESS'), 
							array('name'=>'date_entered', 'customCode'=>'{$fields.date_entered.value} {$APP.LBL_BY} {$fields.created_by_name.value}'),
						),
						
							array (

						'team_name', 

					),
						array (
                            array('name' => 'name', 'label' => 'LBL_SUBJECT'),
                        ),
		    			array(
						    array('name'=>'filename', 'type'=>'file', 'displayParams'=>array('id'=>'id', 'link'=>'filename')),

						    array('name'=>'portal_flag',
						          'displayParams'=>array('required'=>false),
						          'customLabel'=>'{if ($PORTAL_ENABLED)}{sugar_translate label="LBL_PORTAL_FLAG" module="Notes"}{/if}',
						          'customCode'=>' {if ($PORTAL_ENABLED)}
												  {if $fields.portal_flag.value == "1"}
												  {assign var="checked" value="CHECKED"}
												  {else}
												  {assign var="checked" value=""}
												  {/if}
												  <input type="hidden" name="{$fields.portal_flag.name}" value="0"> 
												  <input type="checkbox" name="{$fields.portal_flag.name}" value="1" tabindex="1" {$checked}>
						        		          {/if}',
						    ),

						),
						array (
                            array('name' => 'description', 'label' => 'LBL_NOTE_STATUS'),
                        ),
	  						
	)  
);
?>
