<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Prospect Lists',
  'LBL_MODULE_ID'   => 'Prospect Lists',
  'LBL_MODULE_TITLE' => 'Target Lists: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Target Lists Search',
  'LBL_LIST_FORM_TITLE' => 'Target Lists',
  'LBL_PROSPECT_LIST_NAME' => 'Name',
  'LBL_NAME' => 'Name',
  'LBL_ENTRIES' => 'Total Entries',
  'LBL_LIST_PROSPECT_LIST_NAME' => 'Target List',
  'LBL_LIST_ENTRIES' => 'Targets in List',
  'LBL_LIST_DESCRIPTION' => 'Description',
  'LBL_LIST_TYPE_NO' => 'Type',
  'LBL_LIST_END_DATE' => 'End Date',
  'LBL_DATE_ENTERED' => 'Date Entered',
  'LBL_DATE_MODIFIED' => 'Date Modified',
  'LBL_MODIFIED' => 'Modified by',
  'LBL_CREATED' => 'Created by',
  'LBL_TEAM' => 'Team',
  'LBL_ASSIGNED_TO' => 'Assigned to',
  'LBL_DESCRIPTION' => 'Description',
  'LNK_NEW_CAMPAIGN' => 'Create Campaign',
  'LNK_CAMPAIGN_LIST' => 'Campaigns',
  'LNK_NEW_PROSPECT_LIST' => 'Create Target List',
  'LNK_PROSPECT_LIST_LIST' => 'Target Lists',
  'LBL_MODIFIED_BY' => 'Modified by',
  'LBL_CREATED_BY' => 'Created by',
  'LBL_DATE_CREATED' => 'Created date',
  'LBL_DATE_LAST_MODIFIED' => 'Modified date',
  'LNK_NEW_PROSPECT' => 'Create Target',
  'LNK_PROSPECT_LIST' => 'Targets',

  'LBL_PROSPECT_LISTS_SUBPANEL_TITLE' => 'Target Lists',
  'LBL_CONTACTS_SUBPANEL_TITLE' => 'Contacts',
  'LBL_LEADS_SUBPANEL_TITLE' => 'Leads',
  'LBL_PROSPECTS_SUBPANEL_TITLE'=>'Targets',
  'LBL_COPY_PREFIX' =>'Copy of',
  'LBL_USERS_SUBPANEL_TITLE' =>'Users',
  'LBL_TYPE' => 'Type',
  'LBL_LIST_TYPE' => 'Type',
  'LBL_LIST_TYPE_LIST_NAME'=>'Type',
  'LBL_NEW_FORM_TITLE'=>'New Target List',
  'LBL_MARKETING_MESSAGE'=>'Email Marketing Message',
  'LBL_DOMAIN_NAME'=>'Domain Name',
  'LBL_DOMAIN'=>'No emails to Domain',
  'LBL_LIST_PROSPECTLIST_NAME'=>'Name',
);


?>
