<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
    //DON'T CONVERT THESE THEY ARE MAPPINGS
    'db_sales_stage' => 'LBL_LIST_SALES_STAGE',
    'db_name' => 'LBL_NAME',
    'db_amount' => 'LBL_LIST_AMOUNT',
    'db_date_closed' => 'LBL_LIST_DATE_CLOSED',
    //END DON'T CONVERT

    'LBL_CONTRACTS'=>'Contracts',
    'LBL_CONTRACTS_SUBPANEL_TITLE'=>'Contracts',

    'ERR_DELETE_RECORD' => 'A record number must be specified to delete the quote.',
    'LBL_ACCOUNT_ID'=>'Account Id',
    'LBL_ACCOUNT_NAME' => 'Account Name:',
    'LBL_ACTIVITIES_SUBPANEL_TITLE'=>'Activities',
    'LBL_ADD_COMMENT' => 'Add Comment',
    'LBL_ADD_GROUP' => 'Add Group',
    'LBL_ADD_ROW' => 'Add Row',
    'LBL_ADDRESS_INFORMATION' => 'Address Information',
    'LBL_AMOUNT'=>'Amount:',
    'LBL_ANY_ADDRESS' => 'Any Address:',
    'LBL_BILL_TO' => 'Bill to',
    'LBL_BILLING_ACCOUNT_NAME' => 'Billing Account Name:',
    'LBL_BILLING_ACCOUNT' => 'Account:',
    'LBL_BILLING_ADDRESS_CITY' => 'Billing City',
    'LBL_BILLING_ADDRESS_COUNTRY' => 'Billing Country',
    'LBL_BILLING_ADDRESS_POSTAL_CODE' => 'Billing Postal Code',
    'LBL_BILLING_ADDRESS_STATE' => 'Billing State',
    'LBL_BILLING_ADDRESS_STREET' => 'Billing Address',
    'LBL_BILLING_ADDRESS' => 'Address:',
    'LBL_BILLING_CONTACT_NAME' => 'Billing Contact Name:',
    'LBL_BILLING_CONTACT' => 'Contact:',
    'LBL_BUNDLE_NAME' => 'Group Name:',
    'LBL_BUNDLE_STAGE' => 'Group Stage:',
    'LBL_CALC_GRAND' => 'Display Grand&nbsp;Total:',
    'LBL_CHECK_DATA'=>"Invalid Data Input: please check your data and make sure you have valid numbers (0-9 or '.')",
    'LBL_CITY' => 'City:',
    'LBL_CONTACT_NAME' => 'Contact Name:',
    'LBL_CONTACT_QUOTE_FORM_TITLE' => 'Contact-Quote:',
    'LBL_CONTACT_ROLE' => 'Contact Role:',
    'LBL_COUNTRY' => 'Country:',
    'LBL_CREATED_BY'=>'Created By',
    'LBL_CURRENCY' => 'Currency:',
    'LBL_DATE_QUOTE_CLOSED' => 'Actual Close Date:',
    'LBL_DATE_QUOTE_EXPECTED_CLOSED' => 'Valid Until:',
    'LBL_DEFAULT_SUBPANEL_TITLE' => 'Quotes',
    'LBL_DELETE_GROUP' => 'Delete Group',
    'LBL_DESCRIPTION_INFORMATION' => 'Description Information',
    'LBL_DESCRIPTION' => 'Description:',
    'LBL_DUPLICATE' => 'Possible Duplicate Quote',
    'LBL_EMAIL_QUOTE_FOR' => 'Quote for: ',
    'LBL_EMAIL_DEFAULT_DESCRIPTION' => 'Here is the quote you requested (You can change this text)',
    'LBL_EMAIL_ATTACHMENT' => 'Email Attachment : ',
    'LBL_HISOTRY_SUBPANEL_TITLE'=>'History',
    'LBL_INVITEE' => 'Contacts',
    'LBL_INVOICE'=>'Invoice',
    'LBL_LEAD_SOURCE'=>'Lead Source:',
    'LBL_LINE_ITEM_INFORMATION' => 'Line Items',
    'LBL_LIST_ACCOUNT_NAME' => 'Account Name',
    'LBL_LIST_AMOUNT' => 'Amount',
    'LBL_LIST_ASSIGNED_TO_NAME' => 'Assigned User',
    'LBL_LIST_COST_PRICE' => 'Cost',
    'LBL_LIST_DATE_QUOTE_CLOSED' => 'Actual Close',
    'LBL_LIST_DATE_QUOTE_EXPECTED_CLOSED' => 'Valid Until',
    'LBL_LIST_DISCOUNT_PRICE' => 'Unit Price',
    'LBL_LIST_FORM_TITLE' => 'Quote List',
    'LBL_LIST_GRAND_TOTAL' => 'Grand Total',
    'LBL_LIST_LIST_PRICE' => 'List',
    'LBL_LIST_MANUFACTURER_PART_NUM' => 'Mft Num',
    'LBL_LIST_PRICING_FACTOR' => 'Factor',
    'LBL_LIST_PRICING_FORMULA' => 'Pricing Formula',
    'LBL_LIST_PRODUCT_NAME' => 'Product',
    'LBL_LIST_QUANTITY' => 'Quantity',
    'LBL_LIST_QUOTE_NAME' => 'Subject',
    'LBL_LIST_QUOTE_NUM' => 'Number',
    'LBL_LIST_QUOTE_STAGE' => 'Stage',
    'LBL_LIST_TAXCLASS' => 'Tax Class',
    'LBL_MODIFIED_BY'=>'Modified By',
    'LBL_MODULE_NAME' => 'Quotes',
    'LBL_MODULE_TITLE' => 'Quotes: Home',
    'LBL_NAME' => 'Quote Name',
    'LBL_NEW_FORM_TITLE' => 'Create Quote',
    'LBL_NEXT_STEP'=>'Next Step:',
    'LBL_OPPORTUNITY_NAME' => 'Opportunity Name:',
    'LBL_ORDER_STAGE'=>'Order Stage',
    'LBL_ORIGINAL_PO_DATE' =>  'Original P.O. Date:',
    'LBL_PAYMENT_TERMS' =>  'Payment Terms:',
    'LBL_PDF_BILLING_ADDRESS' => 'Bill To',
    'LBL_PDF_CURRENCY' => 'Currency:',
    'LBL_PDF_GRAND_TOTAL' => 'Grand Total',
    'LBL_PDF_INVOICE_NUMBER' => 'Invoice Number',
    'LBL_PDF_INVOICE_TITLE' => 'Invoice',
    'LBL_PDF_ITEM_EXT_PRICE' => 'Ext. Price',
    'LBL_PDF_ITEM_LIST_PRICE' => 'List Price',
    'LBL_PDF_ITEM_PRODUCT' => 'Product',
    'LBL_PDF_ITEM_QUANTITY' => 'Quantity',
    'LBL_PDF_ITEM_UNIT_PRICE' => 'Unit Price',
    'LBL_PDF_PART_NUMBER' => 'Part Number:',
    'LBL_PDF_QUOTE_CLOSE' => 'Valid Until:',
    'LBL_PDF_QUOTE_DATE' => 'Date:',
    'LBL_PDF_QUOTE_NUMBER' => 'Quote Number:',
    'LBL_PDF_QUOTE_TITLE' => 'Proposal',
    'LBL_PDF_SALES_PERSON' => 'Sales Person:',
    'LBL_PDF_SHIPPING_ADDRESS' => 'Ship To',
    'LBL_PDF_SHIPPING_COMPANY' => 'Shipping Provider:',
    'LBL_PDF_SHIPPING' => 'Shipping:',
    'LBL_PDF_SUBTOTAL' => 'Subtotal:',
    'LBL_PDF_TAX_RATE' => 'Tax Rate:',
    'LBL_PDF_TAX' => 'Tax:',
    'LBL_PDF_TOTAL' => 'Total:',
    'LBL_POSTAL_CODE' => 'Postal Code:',
    'LBL_PROJECTS_SUBPANEL_TITLE' => 'Projects',
    'LBL_PROPOSAL'=>'Proposal',
    'LBL_PURCHASE_ORDER_NUM' => 'Purchase Order Num:',
    'LBL_QUOTE_NAME' => 'Quote Subject:',
    'LBL_QUOTE_NUM' => 'Quote Number:',
    'LBL_QUOTE_STAGE' => 'Quote Stage:',
    'LBL_QUOTE_TYPE'=>'Quote Type',
    'LBL_QUOTE' => 'Quote:',
    'LBL_QUOTE_LAYOUT_DOES_NOT_EXIST_ERROR' => 'quote layout file does not exist: $layout',
    'LBL_QUOTE_LAYOUT_REGISTERED_ERROR' => 'quote layout is not registered in modules/Quotes/Layouts.php',
    'LBL_REMOVE_COMMENT' => 'Remove Comment',
    'LBL_REMOVE_ROW' => 'Remove Row',
    'LBL_RENAME_ERROR' => 'ERROR: can\'t move_pdf to $destination. You should try making the directory writable by the webserver',
    'LBL_SALES_STAGE'=>'Quote Stage:',
    'LBL_SEARCH_FORM_TITLE' => 'Quote Search',
    'LBL_SHIP_TO' => 'Ship to',
    'LBL_SHIPPING_ACCOUNT_NAME' => 'Shipping Account Name:',
    'LBL_SHIPPING_ACCOUNT' => 'Account:',
    'LBL_SHIPPING_ADDRESS_CITY' => 'Shipping City',
    'LBL_SHIPPING_ADDRESS_COUNTRY' => 'Shipping Country',
    'LBL_SHIPPING_ADDRESS_POSTAL_CODE' => 'Shipping Postal Code',
    'LBL_SHIPPING_ADDRESS_STATE' => 'Shipping State',
    'LBL_SHIPPING_ADDRESS_STREET' => 'Shipping Address',
    'LBL_SHIPPING_ADDRESS' => 'Address:',
    'LBL_SHIPPING_CONTACT_NAME' => 'Shipping Contact Name:',
    'LBL_SHIPPING_CONTACT' => 'Contact:',
    'LBL_SHIPPING_PROVIDER' => 'Shipping Provider:',
    'LBL_SHIPPING_USDOLLAR'=>'Shipping (US Dollar)',
    'LBL_SHIPPING' => 'Shipping:',
    'LBL_SHOW_LINE_NUMS' => 'Display Line&nbsp;Numbers:',
    'LBL_STATE' => 'State:',
    'LBL_SUBTOTAL_USDOLLAR'=>'Subtotal (US Dollar)',
    'LBL_SUBTOTAL' => 'Subtotal:',
    'LBL_SYSTEM_ID' => 'System ID',
    'LBL_TAX_USDOLLAR'=>'Tax (US Dollar)',
    'LBL_TAX' => 'Tax:',
    'LBL_TAXRATE' => 'Tax Rate:',
    'LBL_TOTAL_USDOLLAR'=>'Total (US Dollar)',
    'LBL_TOTAL' => 'Total:',
    'LBL_TYPE'=>'Type:',
    'LNK_NEW_QUOTE' => 'Create Quote',
    'LNK_QUOTE_LIST' => 'Quotes',
    'MSG_DUPLICATE' => 'You are creating a duplicate quote. You can either select an quote from the list below or you can click on Save to duplicate the quote.',
    'NTC_COPY_BILLING_ADDRESS' => 'Copy billing address to shipping address',
    'NTC_COPY_SHIPPING_ADDRESS' => 'Copy shipping address to billing address',
    'NTC_COPY_BILLING_ADDRESS2' => 'Copy to shipping',
    'NTC_COPY_SHIPPING_ADDRESS2' => 'Copy to billing',  
    'NTC_REMOVE_COMMENT_CONFIRMATION' => 'Are you sure you want to remove this comment from the quote?',  
    'NTC_REMOVE_PRODUCT_CONFIRMATION' => 'Are you sure you want to remove this line item from the quote?',
    'NTC_REMOVE_QUOTE_CONFIRMATION' => 'Are you sure you want to remove this contact from the quote?',
    'QUOTE_REMOVE_PROJECT_CONFIRM' => 'Are you sure you want to remove this quote from the project?',

	'LNK_QUOTE_REPORTS' => 'Quote Reports',

	'LBL_ASSIGNED_TO_NAME'=>'Assigned to:',
	'PDF_FORMAT'=>'PDF Format:',
	'LBL_ASSIGNED_TO_ID'=>'Assigned to ID',
);
?>
