{*
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
*}
<table width="100%" border="0" cellpadding="0" cellspacing="{$gridline}" class="tabDetailView">
<tr>
	<th align="left" class="tabDetailViewDL" colspan="7"><h4 class="tabDetailViewDL">{$MOD.LBL_LINE_ITEM_INFORMATION}</h4></th>
</tr>
	{foreach from=$ordered_bundle_list key=index item=product_bundle}
	
	{assign var=product_bundle_product_note_list value=$product_bundle->get_notes()}
	{assign var=bundle_list value=$product_bundle->get_product_bundle_line_items()}	
	{assign var=BUNDLE_NAME value=$product_bundle->name}
	{assign var=bundle_key value=$product_bundle->bundle_stage}
	{assign var=BUNDLE_STAGE value=$APP_LIST_STRINGS.quote_stage_dom.$bundle_key}
    
	<!-- BEGIN: product_bundle -->
	<tr>
	<td class="tabDetailViewDL" width="1%" valign="top" style="text-align: left;" colspan='3'>{$MOD.LBL_BUNDLE_NAME}&nbsp;<b>{$BUNDLE_NAME}</b></td>
	<td class="tabDetailViewDL" width="45%" valign="top" style="text-align: left;" colspan='3'>{$MOD.LBL_BUNDLE_STAGE}&nbsp;<b>{$BUNDLE_STAGE}</b></td>
	</tr>
	<!-- BEGIN: bundle_row -->
	<!-- BEGIN: product_row -->
	<tr>
	<td class="tabDetailViewDL" width="1%" valign="top" style="text-align: left;">&nbsp;</td>
	<td class="tabDetailViewDL" width="10%" valign="top" style="text-align: center;">{$MOD.LBL_LIST_QUANTITY}</td>
	<td class="tabDetailViewDL" width="45%" valign="top" style="text-align: left;">{$MOD.LBL_LIST_PRODUCT_NAME}</td>
	<td class="tabDetailViewDL" width="15%" valign="top" style="text-align: right;">{$MOD.LBL_LIST_COST_PRICE}</td>
	<td class="tabDetailViewDL" width="15%" valign="top" style="text-align: right;">{$MOD.LBL_LIST_LIST_PRICE}</td>
	<td class="tabDetailViewDL" width="15%" valign="top" style="text-align: right;">{$MOD.LBL_LIST_DISCOUNT_PRICE}</td>
	</tr>
    
    {if is_array($bundle_list)}
    {counter start=0 print=false}
    {foreach from=$bundle_list key=key item=line_item}
        {if $line_item->object_name == "Product"}

			<tr>
			
			<td class="tabDetailViewDF" width="1" valign="top"style="text-align: center;">{if $bean->show_line_nums == 1}{counter print=true}{/if}&nbsp;</td>
			<td class="tabDetailViewDF" valign="top" style="text-align: center;">{$line_item->quantity}</td>
		    <td class="tabDetailViewDF" valign="top"><a href="index.php?module=Products&action=DetailView&record={$line_item->id}" class="tabDetailViewDLLink">{$line_item->name}</a><BR>{$line_item->description}</td>
		
		    {if $line_item->currency_id == $bean->currency_id && $line_item->currency_id != "-99"}
		        {assign var="COST_PRICE" value=$line_item->cost_price}
		        {assign var="LIST_PRICE" value=$line_item->list_price}
		        {assign var="DISCOUNT_PRICE" value=$line_item->discount_price}
			{else}
		        {assign var="COST_PRICE" value=$line_item->cost_usdollar}
		        {assign var="LIST_PRICE" value=$line_item->list_usdollar}
		        {assign var="DISCOUNT_PRICE" value=$line_item->discount_usdollar}	
			{/if}
		
			<td class="tabDetailViewDF" valign="top" align="right">{sugar_currency_format var=$COST_PRICE currency_id=$CURRENCY_ID}</td>
			<td class="tabDetailViewDF" valign="top" align="right">{sugar_currency_format var=$LIST_PRICE currency_id=$CURRENCY_ID}</td>
			<td class="tabDetailViewDF" valign="top" align="right">{sugar_currency_format var=$DISCOUNT_PRICE currency_id=$CURRENCY_ID}</td>
			</tr>
			
        {elseif $line_item->object_name == "ProductBundleNote"}
			
			<tr valign="top">
			<td class="tabDetailViewDL" width='1' valign="top" style="text-align: center;">&nbsp;</td>
			<td class="tabDetailViewDL" valign="top" style="text-align: center;">&nbsp;</td>
			<td class="tabDetailViewDL" valign="top">{$line_item->description|nl2br|replace:'\\':''}</td>
			<td class="tabDetailViewDL" valign="top">&nbsp;</td>
			<td class="tabDetailViewDL" valign="top">&nbsp;</td>
			<td class="tabDetailViewDL" valign="top">&nbsp;</td>
			</tr>

        {/if} 
    {/foreach}
    
		<tr><td class="tabDetailViewDF" colspan='7' NOWRAP><HR><br></td></tr>
		<tr>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" style="text-align: right;">&nbsp;</td>
			<td class="tabDetailViewDF">&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP style="text-align: right;">{$MOD.LBL_SUBTOTAL}</td>
			<td class="tabDetailViewDF" NOWRAP align="right">{sugar_currency_format var=$product_bundle->subtotal currency_id=$CURRENCY_ID}</td>
		</tr><tr>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" style="text-align: right;">&nbsp;</td>
			<td class="tabDetailViewDF">&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP style="text-align: right;">{$MOD.LBL_TAX}</td>
			<td class="tabDetailViewDF" NOWRAP align="right">{sugar_currency_format var=$product_bundle->tax currency_id=$CURRENCY_ID}</td>
		</tr><tr>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" style="text-align: right;">&nbsp;</td>
			<td class="tabDetailViewDF">&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP style="text-align: right;">{$MOD.LBL_SHIPPING}</td>
			<td class="tabDetailViewDF" NOWRAP align="right">{sugar_currency_format var=$product_bundle->shipping currency_id=$CURRENCY_ID}</td>
		</tr><tr>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" colspan='3' NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP style="text-align: right;">{$MOD.LBL_TOTAL}</td>
			<td class="tabDetailViewDF" NOWRAP align="right">{sugar_currency_format var=$product_bundle->total currency_id=$CURRENCY_ID}</td>
	    </tr>
		<tr><td class="tabDetailViewDF" colspan='7' NOWRAP><br></td></tr>
		    
    {/if}
	{/foreach}

    {if !empty($bean->calc_grand_total) && $bean->calc_grand_total == 1}
	{* BEGIN: grand_total *}
	<tr><td class="tabDetailViewDL" colspan='7' valign="top" style="text-align: left;">{$MOD.LBL_LIST_GRAND_TOTAL}</td></tr>
	<tr>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" style="text-align: right;">{$MOD.LBL_CURRENCY}</td>
			<td class="tabDetailViewDF">{$CURRENCY}</td>
			<td class="tabDetailViewDF" NOWRAP style="text-align: right;">{$MOD.LBL_SUBTOTAL}</td>
			<td class="tabDetailViewDF" NOWRAP align="right">{$CURRENCY_SYMBOL}{$bean->subtotal}</td>
		</tr><tr>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" style="text-align: right;">{$MOD.LBL_TAXRATE}</td>
			<td class="tabDetailViewDF">{$bean->taxrate_value} {$APP.LBL_PERCENTAGE_SYMBOL}</td>
			<td class="tabDetailViewDF" NOWRAP style="text-align: right;">{$MOD.LBL_TAX}</td>
			<td class="tabDetailViewDF" NOWRAP align="right">{$CURRENCY_SYMBOL}{$bean->tax}</td>
		</tr><tr>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" style="text-align: right;">{$MOD.LBL_SHIPPING_PROVIDER}</td>
			<td class="tabDetailViewDF">{$bean->shipper_name}&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP style="text-align: right;">{$MOD.LBL_SHIPPING}</td>
			<td class="tabDetailViewDF" NOWRAP align="right">{$CURRENCY_SYMBOL}{$bean->shipping}</td>
		</tr><tr>
			<td class="tabDetailViewDF" colspan='4' NOWRAP>&nbsp;</td>
			<td class="tabDetailViewDF" NOWRAP style="text-align: right;">{$MOD.LBL_TOTAL}</td>
			<td class="tabDetailViewDF" NOWRAP align="right">{$CURRENCY_SYMBOL}{$bean->total}</td>
	</tr>
	{* END: grand_total *}
    {/if}

	
</table>
