<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
////////////////////////////////////////////// 
// TEMPLATE:
////////////////////////////////////////////// 
global $start_link_wrapper,$end_link_wrapper;

$start_link_wrapper = "javascript:set_sort('";
$end_link_wrapper =  "');";

function template_list_view(&$reporter,&$args)
{
 global $start_link_wrapper,$end_link_wrapper;

//echo "template_list_view";
 global $mod_strings;
 $reporter->run_query();

 $start_link_wrapper= "javascript:set_sort('";
 $end_link_wrapper =  "');";
 $header_row = $reporter->get_header_row(); 

$got_row = 0;

 $args['show_pagination'] = true;
 template_header_row($header_row,$args);
 while (( $row = $reporter->get_next_row() ) != 0 ) 
 {
$got_row = 1;
  template_list_row($row,true);
 }
	if (! $got_row)
	{
		template_no_results();
	}
 template_pagination_row($args);
 template_end_table($args);
  template_query_table($reporter); 

} 
function template_pagination(&$args)
{
$reporter = $args['reporter'];
global $mod_strings, $image_path;
?><table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td class="listViewPaginationTdS1"  nowrap>
<?php
// disable export if configured to
global $current_user, $sugar_config, $app_strings;

$is_owner =  true;
if (isset($args['reporter']->saved_report) && $args['reporter']->saved_report->assigned_user_id != $current_user->id) 
	$is_owner = false;
if(!ACLController::checkAccess('Reports', 'export', $is_owner) || $sugar_config['disable_export'] || (!empty($sugar_config['admin_export_only']) && !(is_admin($current_user) || (ACLController::moduleSupportsACL($reporter->module) && ACLAction::getUserAccessLevel($current_user->id,$reporter->module, 'access') == ACL_ALLOW_ENABLED && ACLAction::getUserAccessLevel($current_user->id, $reporter->module, 'admin') == ACL_ALLOW_ADMIN)))){
?>
&nbsp;
<?php } else { 
	
?>
<a onclick="do_export(); return false;" href="export_report.php" class="listViewPaginationLinkS1"><?php echo get_image($args['IMAGE_PATH'].'export',"alt='".translate('LBL_EXPORT')."'  border='0' align='absmiddle'");?>&nbsp;<?php echo $mod_strings['LBL_EXPORT']; ?></a><?php } ?></td>
 <?php
		$start_link = "<button type='button' title='{$app_strings['LNK_LIST_START']}' class='button' disabled>".get_image($image_path."start_off","alt='".$app_strings['LNK_LIST_START']."'  border='0' align='absmiddle'")."</button>";
		$prev_link = "<button type='button' title='{$app_strings['LNK_LIST_PREVIOUS']}' class='button' disabled>".get_image($image_path."previous_off","alt='".$app_strings['LNK_LIST_PREVIOUS']."'  border='0' align='absmiddle'")."</button>";
		$end_link = "<button type='button' title='{$app_strings['LNK_LIST_END']}' class='button' disabled>".get_image($image_path."end_off","alt='".$app_strings['LNK_LIST_END']."'  border='0' align='absmiddle'")."</button>";
		$next_link = "<button type='button' title='{$app_strings['LNK_LIST_NEXT']}' class='button' disabled>".get_image($image_path."next_off","alt='".$app_strings['LNK_LIST_NEXT']."'  border='0' align='absmiddle'")."</button>";
 	
 		//$start_link = get_image($image_path."start_off","alt='".$app_strings['LNK_LIST_START']."'  border='0' align='absmiddle'"). '&nbsp;'. $app_strings['LNK_LIST_START'];
		//$prev_link = get_image($image_path."previous_off","alt='".$app_strings['LNK_LIST_PREVIOUS']."'  border='0' align='absmiddle'")."&nbsp;". $app_strings['LNK_LIST_PREVIOUS'];
		//$end_link = $app_strings['LNK_LIST_END']."&nbsp;".get_image($image_path."end_off","alt='".$app_strings['LNK_LIST_END']."'  border='0' align='absmiddle'");
		//$next_link = $app_strings['LNK_LIST_NEXT']."&nbsp;".get_image($image_path."next_off","alt='".$app_strings['LNK_LIST_NEXT']."'  border='0' align='absmiddle'");
	$next = $reporter->row_end + $reporter->report_offset;
 	if($reporter->report_offset > 0){
 		$prev = $reporter->report_offset - $reporter->report_max;

	 	$start_link = "<button type='button' class='button' title='{$app_strings['LNK_LIST_START']}' onClick='javascript:set_offset(0);'>".get_image($image_path."start","alt='".$app_strings['LNK_LIST_START']."'  border='0' align='absmiddle'")."</button>";
		$prev_link = "<button type='button' class='button' title='{$app_strings['LNK_LIST_PREVIOUS']}' onClick='javascript:set_offset($prev);'>".get_image($image_path."previous","alt='".$app_strings['LNK_LIST_PREVIOUS']."'  border='0' align='absmiddle'")."</button>";
 		//$prev_link = "<a href=\"javascript:set_offset($prev);\" class=\"listViewPaginationLinkS1\">".get_image($image_path."previous","alt='".$app_strings['LNK_LIST_PREVIOUS']."'  border='0' align='absmiddle'"). '&nbsp;'. $app_strings['LNK_LIST_PREVIOUS']."</a>";
		//$start_link = "<a href=\"javascript:set_offset(0);\" class=\"listViewPaginationLinkS1\">".get_image($image_path."start","alt='".$app_strings['LNK_LIST_START']."'  border='0' align='absmiddle'").'&nbsp;'.$app_strings['LNK_LIST_START']. "</a>";
 	}
	if($next < $reporter->total_count){
 		$end = floor($reporter->total_count / $reporter->report_max) * $reporter->report_max - 1;
		$end_link = "<button type='button' class='button' title='{$app_strings['LNK_LIST_END']}' onClick='javascript:set_offset($end);'>".get_image($image_path."end","alt='".$app_strings['LNK_LIST_END']."'  border='0' align='absmiddle'")."</button>";
		$next_link = "<button type='button' class='button' title='{$app_strings['LNK_LIST_NEXT']}' onClick='javascript:set_offset($next);'>".get_image($image_path."next","alt='".$app_strings['LNK_LIST_NEXT']."'  border='0' align='absmiddle'")."</button>";

 		//$end_link = "<a href=\"javascript:set_offset($end);\" class=\"listViewPaginationLinkS1\">".$app_strings['LNK_LIST_END']."&nbsp;".get_image($image_path."end","alt='".$app_strings['LNK_LIST_END']."'  border='0' align='absmiddle'")."</a>";
		//$next_link = "<a href=\"javascript:set_offset($next);\" class=\"listViewPaginationLinkS1\">".$app_strings['LNK_LIST_NEXT']."&nbsp;".get_image($image_path."next","alt='".$app_strings['LNK_LIST_NEXT']."'  border='0' align='absmiddle'")."</a>";
 	}
 ?>                                                                                           
<td align="right"  class="listViewPaginationTdS1">&nbsp;&nbsp;<span class='pageNumbers'><?php echo $start_link . '&nbsp;'. $prev_link;?>&nbsp;(<?php echo   ($reporter->report_offset > 0)?$reporter->row_start + $reporter->report_offset: ($reporter->total_count==0?0:1); ?> - <?php echo $reporter->row_end + $reporter->report_offset; ?> <?php echo $mod_strings['LBL_OF']; ?> <?php echo $reporter->total_count .')&nbsp;' . $next_link."&nbsp;" .$end_link;?></span>&nbsp;&nbsp;&nbsp;</td></tr></table><?php
 }   

//////////////////////////////////////////////
// TEMPLATE:
//////////////////////////////////////////////
function template_detail_and_total_list_view(&$reporter,&$args)
{
                                                                                       
 global $mod_strings;
 $reporter->run_query();
                                                                                       
 $header_row = $reporter->get_header_row();
                                                                                       
// $reporter->layout_manager->setAttribute('no_sort',1);
 template_header_row($header_row,$args);
                                                                                       
$got_row = 0;
                                                                                       
   while (( $row = $reporter->get_next_row() ) != 0 )
   {
$got_row = 1;
    template_list_row($row,true);
   }
        if (! $got_row)
        {
                template_no_results();
        }
                                                                                       
   template_end_table($args);
                                                                                       
 if ($reporter->has_summary_columns())
 {
  $reporter->run_total_query();
	template_total_table($reporter);
 }
                                                                                       
                                                                                       
  template_query_table($reporter);
}



////////////////////////////////////////////// 
// TEMPLATE:
////////////////////////////////////////////// 
function template_summary_list_view(&$reporter,&$args)
{

 global $mod_strings,$start_link_wrapper,$end_link_wrapper;
 $reporter->run_summary_query();

 $start_link_wrapper= "javascript:set_sort('";
 $end_link_wrapper =  "','summary');";
 $header_row = $reporter->get_summary_header_row(); 

// $reporter->layout_manager->setAttribute('no_sort',1);
 template_header_row($header_row,$args);

$got_row = 0;

   while (( $row = $reporter->get_summary_next_row() ) != 0 ) 
   {
$got_row = 1;
    template_list_row($row,true);
   }
	if (! $got_row)
	{
		template_no_results();
	}

   template_end_table($args);

 if ($reporter->has_summary_columns())
 {
  $reporter->run_total_query();

  template_total_table($reporter);
 }

  template_query_table($reporter); 
} 

////////////////////////////////////////////// 
// TEMPLATE:
////////////////////////////////////////////// 
function template_summary_combo_view(&$reporter,&$args)
{
 global $mod_strings,$start_link_wrapper,$end_link_wrapper;
 $reporter->run_summary_combo_query();
 

// $reporter->layout_manager->setAttribute('no_sort',1);
 $columns_row = $reporter->get_header_row(); 
 $start_link_wrapper= "javascript:set_sort('";
 $end_link_wrapper =  "','summary');";
 $reporter->layout_manager->setAttribute('no_sort',1);
  $header_row = $reporter->get_summary_header_row(); 

$count = 0;
 while (( $row = $reporter->get_summary_next_row() ) != 0 ) 
 {
		template_header_row($header_row, $args, true);
  		$divId = "combo_summary_div_". $count;
		template_list_row($row, false, true, $divId);
		template_end_table($args);
		
		echo "<div id='". $divId ."' style='padding-left: 30px;display:none'>";
		template_header_row($columns_row, $args);
  if ($reporter->current_summary_row_count > 0)
  {
  for($i=0; $i < $reporter->current_summary_row_count; $i++ ) 
  {


   if (($column_row = $reporter->get_next_row() ) != 0 )
   {
	    	template_list_row($column_row);
	    	
   }
   else
   {
     break;
   }
  }

  }
  else {
	template_no_results();
  }
	  template_end_table($args);
	  echo "</div>";

	$count++;

}
/*
  if ( ! isset($header_row[0]['norows']))
  {
    echo get_form_header( $mod_strings['LBL_GRAND_TOTAL'],"", false); 
  }
*/
  if ( $reporter->has_summary_columns())
  {
	  template_total_table($reporter);
  }

  template_query_table($reporter); 
} 



function template_total_view(&$reporter)
{
	$reporter->run_total_query();
	template_total_table($reporter);
	template_query_table($reporter); 
}


function template_total_table(&$reporter)
{
	global $mod_strings;
	$total_header_row = $reporter->get_total_header_row(); 

	$total_row = $reporter->get_summary_total_row();

	if ( isset($total_row['group_pos']))
	{
		$args['group_pos'] = $total_row['group_pos'];
	}
	if ( isset($total_row['group_column_is_invisible']))
	{
		$args['group_column_is_invisible'] = $total_row['group_column_is_invisible'];
	}
 $reporter->layout_manager->setAttribute('no_sort',1);
  echo get_form_header( $mod_strings['LBL_GRAND_TOTAL'],"", false); 
  template_header_row($total_header_row,$args);
  if (! empty($total_row))
  {
     template_list_row($total_row);
  }
  else
  {
		template_no_results();
  }
	  template_end_table($args);

}

function template_no_results()
{
print "<tr><td>&nbsp;&nbsp;&nbsp;No results</td></tr>";
}

function template_pagination_row(&$args)
{
?>
<tr>
<td colspan="<?php echo count($args['reporter']->report_def['display_columns']); ?>" align="right"><?php echo template_pagination($args);?></td></tr>
<?php
}

function template_end_table(&$args)
{
?>
</table></p>
<?php
}




function template_header_row(&$header_row, &$args, $isSummaryCombo=false)
{
global $oddRow;
$count = 0;
?>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="listView">
<?php if ( !empty($args['show_pagination'])) { echo template_pagination_row($args);} ?>
<tr height="20">
<?php

if ($isSummaryCombo) {
	
?>
	<td scope="col" align='center' class="listViewThS1" valign=middle nowrap>&nbsp;</td>	
<?php }

foreach ($header_row as $header_cell) 
{ 
 if ( ! empty($args['group_column_is_invisible']) &&
            $args['group_pos'] == $count)
      {
        $count++;
        continue;
      }

?>
  <td scope="col" align='center' class="listViewThS1" valign=middle nowrap><?php echo $header_cell ?></td>
<?php
} 
?>
</tr>

<?php
$oddRow = true;

}



$oddRow = true;
$rownum = 0;

function template_list_row(&$column_row,$equal_width=false, $isSummaryComboHeader=false, $divId="")
{
	global $hilite_bg, $click_bg, $odd_bg, $even_bg,$oddRow,$rownum, $theme;
	$theme_path="themes/".$theme."/";
	$image_path=$theme_path."images/";	
	
	if($oddRow)
	{
		$bg_color = $odd_bg;
		$row_class = 'oddListRowS1';
	} else
	{
		$bg_color = $even_bg;
		$row_class = 'evenListRowS1';
	}

	$oddRow = !$oddRow;

	if ( $equal_width)
	{
		$width = round(100/count($column_row['cells'])); 
	}
	else
	{
		$width = '';
	}

   ?>

<tr height=20 class="<?php echo $row_class; ?>" onmouseover="setPointer(this, '<?php echo $rownum; ?>', 'over', '<?php echo $bg_color; ?>', '<?php echo $hilite_bg; ?>', '<?php echo $click_bg; ?>');" onmouseout="setPointer(this, '<?php echo $rownum; ?>', 'out', '<?php echo $bg_color; ?>', '<?php echo $hilite_bg; ?>', '<?php echo $click_bg; ?>');" onmousedown="setPointer(this, '<?php echo $rownum; ?>', 'click', '<?php echo $bg_color; ?>', '<?php echo $hilite_bg; ?>', '<?php echo $click_bg; ?>');">
	<?php 
    $count = 0;
		if ($isSummaryComboHeader) {
			echo '<td><span id="img_'.$divId.'"><a href="javascript:expandCollapseComboSummaryDiv(\''.$divId.'\')"><img width="8" height="8" border="0" absmiddle="" alt="Show" src="'.$image_path. 'advanced_search.gif"/></a></span></td>';
		}      
    
    foreach ($column_row['cells'] as $cell) { 
      if ( ! empty($column_row['group_column_is_invisible']) && in_array($count, $column_row['group_pos']))
      { 
        $count++;
        continue; 
      }
      ?>
		<td width="<?php echo $width; ?>%" valign=TOP class="<?php echo $row_class; ?>" bgcolor="<?php echo $bg_color; ?>" scope="row">
		<?php 

		echo $cell; ?></td>
	<?php
	$count++;
    } ?>
</tr>
<tr><td colspan="20" class="listViewHRS1"></td></tr>
<?php
$rownum++;
}


function template_total_row(&$reporter)
{
 $reporter->clear_results();
$total_row = $reporter->get_summary_total_row();
global $hilite_bg, $click_bg, $odd_bg, $even_bg,$oddRow,$rownum;

		$bg_color = $even_bg;
		$row_class = 'evenListRowS1';
	$width = round(100/count($total_row['cells'])); 
?>
<tr>
	<?php 
	foreach ($total_row['cells'] as $cell) { ?>
		<td width="<?Php echo $width;?>%" valign=TOP class="<?php echo $row_class; ?>" bgcolor="<?php echo $bg_color; ?>" scope="row"><b><?php echo  $cell; ?></b></td>
<?php
	} 
?>
</tr>
<?php
}


function template_query_table(&$reporter)
{
	global $mod_strings;
	?>
	</p>
	<table width="100%" id="query_table" class="contentBox">
<?php
	if (isset($_REQUEST['show_query']))
	{
		$count = 1;
		foreach ($reporter->query_list as $query) 
		{ 
?>
			<tr>
			<td align=left><b><?php echo $mod_strings['LBL_QUERY'] . " " .$count++; ?>:</b></td>
			</tr>
			<tr>
			<td align=left><pre><?php echo $query; ?></pre></td>
			</tr>
<?php
		} 
?>
<?php 
	} 
?>
	</table>
<?php
}
?>
