<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Sync',
  'LBL_MODULE_TITLE' => 'Sync: Home',
  'LBL_GO_ONLINE' => 'Go Online',
  'LBL_SYNC_AVAILABLE' => 'Check Server Availability',
  'LBL_CHECKING_SYNC_AVAILABLE' => 'Checking Server Availability...',
  'LBL_SERVER_AVAILABLE' => 'Server Available',
  'LBL_SERVER_UNAVAILABLE' => 'Server Unavailable - Please make sure you are connected to the internet',
  'LBL_START_SYNC'=>'Start Sync',
  'LBL_SYNC_SETUP'=>'Sync Setup',
  'LBL_PROMPT'=> 'Prompt',
  'LBL_ACCEPT_SERVER'=>'Server Wins',
  'LBL_ACCEPT_CLIENT'=>'Client Wins',
  'LBL_CLEAN_SYNC'=>'Clean Sync:',
  'LBL_CLEAN_ALERT'=>'Performing a Clean Sync will delete all records on this client machine',
  'LBL_INITIAL_SYNC_MESSAGE' => 'You have just installed the Offline Client.  Please click the button below in order to begin the sync process.'
);


?>
