<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/



$notices = array(

    array('name'=>'New Campaign Wizard',
	'description' => 'create complex email and non email campaigns in minutes using the new '
	.' UI wizard. The new wizard will walk the user through all the details'
	. ' involved in the creation of a campaign and even warn you if steps are'
	. ' missing. The built-in diagnostic tool will provide system checks and'
	. ' tools to fix all the system level problems.',
	'url'=>''),
	
    array('name'=>'Newsletter Campaigns',
	'description'=>'gives users all the tools to create a email newsletter in a flash.',
	'url'=>''),

    array('name'=>'Campaign ROI Reports',
	'description'=>'allows campaign managers to quickly view the ROI for a campaign.'
	. ' This report provides comparison for all the revenue and cost data points.'
	. ' Campaigns can be attached to opportunities now and hence provides a clear'
	. ' view of revenue generated.',
	'url'=>''),

    array('name'=>'Web-to-Lead Form Generator',
	'description'=>'allows users to quickly create a fully functional web-to-lead form'
	. ' which can be easily deployed on any website.'
	. ' The data, including the target campaign information and assigned user, will be'
	. ' captured in this form. It also supports custom fields that are added to'
	. ' the lead table through the Studio.',
	'url'=>''),

    array('name'=>'Reports Enhancements',
	'description'=>'allows creation of reports from multiple related records.'
		. ' This improvement increases the depth of the report created. Enhancements'
		. ' also include a new UI, multiple joins, outer joins and OR capability.',
	'url'=>''),

array('name'=>'Module loader enhancements',
	'description'=>'module loader is enhanced to browse through remote repositories,'
	. ' specifically SugarForge and SugarExchange. Now, users can search for language packs,'
	. ' dashlets, and other add-ons through these repositories.',
	'url'=>''),
);

require_once('modules/TeamNotices/TeamNotice.php');
foreach($notices as $notice){
	$teamNotice = new TeamNotice();
	$teamNotice->name = $notice['name'];
	$teamNotice->description = $notice['description'];
	if(!empty($notice['url'])){
		$teamNotice->url = $notice['url'];
		$teamNotice->url_title = 'View '.$notice['name'];
	}
	$teamNotice->date_start = $timedate->to_display_date(date('Y-m-d'));
	$teamNotice->date_end = $timedate->to_display_date(date('Y-m-d', time() + 86400 * 7));
	$teamNotice->status = 'Visible';
	$teamNotice->save(false);
}

?>
