<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  TODO: To be written.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

require_once('modules/Teams/Team.php');

global $current_user;
if($_POST['user_id']){
	include_once('modules/Teams/AddUserToTeam.php');
	
}

if (!is_admin($current_user)) sugar_die("Unauthorized access to administration.");

$focus = new Team();

if ($_POST['isDuplicate'] != 1) {
//	echo "not duplicate, retrieving record {$_POST['record']}";
	$focus->retrieve($_POST['record']);
}// else { echo "duplicate, not retrieving"; }

foreach ($focus->column_fields as $field) {
	if (isset($_POST[$field])) {
		$value = $_POST[$field];
		$focus->$field = $value;
	}
}

$focus->save();
$return_id = $focus->id;

//echo "<br>saved record, focus->id = {$focus->id}";

if ($_POST['isDuplicate'] == 1) {
//	echo "<br>duplicating users from old team ({$_REQUEST['record']}) into new team ({$focus->id})";
	$focus->complete_team_duplication($_REQUEST['record']);
}
else {
	//$focus->create_team();
}

//sugar_die();

$return_module = (!empty($_POST['return_module'])) ? $_POST['return_module'] : "Teams";
$return_action = (!empty($_POST['return_action'])) ? $_POST['return_action'] : "DetailView";

$GLOBALS['log']->debug("Saved record with id of {$return_id}");

header("Location: index.php?action={$return_action}&module={$return_module}&record={$return_id}");
?>
