<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_NAME' =>   'ID',
  'LBL_TP_NAME' => 'Time Period',
  'LBL_TP_START_DATE' => 'Start Date',
  'LBL_TP_END_DATE' => 'End Date',
  'LBL_TP_FISCAL_YEAR' => 'Fiscal Year',  
  'LBL_MODULE_NAME' => 'Time Periods',
  'LBL_MODULE_TITLE' => 'Time Periods: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Time Period Search',
  'LBL_LIST_FORM_TITLE' => 'Time Periods',
  'LBL_NEW_FORM_TITLE' => 'New Time Period',
  'LNK_NEW_TIMEPERIOD' => 'Create Time Period',
  'LNK_TIMEPERIOD_LIST' => 'Time Periods',
  'LBL_TP_IS_FISCAL_YEAR' => 'Is Fiscal  Year?',
  'LBL_PARENT_ID' =>  'Parent Id',
  'LBL_CREATED_BY' => 'Created by',
  'LBL_DATE_ENTERED' => 'Date Entered',
  'LBL_DATE_MODIFIED' => 'Date Modified',
  'LBL_DELETED' => 'Deleted',
  
  'LBL_SEARCH_TP_NAME' => 'Time Period',
  'LBL_SEARCH_TP_START_DATE' => 'Start Date',
  'LBL_SEARCH_TP_END_DATE' => 'End Date',
  'ERR_TIME_PERIOD_DATE_RANGE' => 'Time period end date should be later than start date.'

);


?>
