<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Actions',
  'LBL_MODULE_TITLE' => 'Workflow Triggers: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Workflow Trigger Search',
  'LBL_LIST_FORM_TITLE' => 'Action List',
  'LBL_NEW_FORM_TITLE' => 'Create Trigger',
  'LBL_LIST_NAME' => 'Trigger Name:',
  'LBL_LIST_TYPE' => 'Type:',
  'LBL_LIST_EVAL' => 'Eval:',
  'LBL_LIST_FIELD' => 'Field:',
  'LBL_NAME' => 'Trigger Name:',
  'LBL_FIELD' => 'Field:',
  'LBL_TYPE' => 'Type:',
  'LBL_EVAL' => 'Trigger Evaluation:',
  'LBL_SHOW_PAST' => 'Modify Past Value:',
  
  'LNK_NEW_TRIGGER' => 'Create Trigger',
  'LNK_TRIGGER' => 'Workflow Triggers', 
  'NTC_REMOVE_ACTION' => 'Are you sure you want to remove this action?',
  
  'LBL_ACTION_UPDATE_TITLE' => 'Update fields in the target module',
  'LBL_ACTION_UPDATE_REL_TITLE' => 'Update fields in a related module',
  'LBL_ACTION_NEW_TITLE' => 'Create a record in a module associated with target module',
   'LBL_LIST_STATEMENT' => 'Event Description:',
  
  
  
  'LBL_ACTION_UPDATE' => 'Update field(s) in the target ',
  'LBL_ACTION_UPDATE_REL' => 'Update field(s) in a related',
  'LBL_ACTION_UPDATE_REL_PART2' => 'all',
  'LBL_ACTION_UPDATE_REL_PART3' => 'related',
  'LBL_ACTION_NEW' => 'Create a new',
  'LBL_RECORD' => 'record',
  
  'LBL_ACTION_NEW_REL' => 'Create a new',
  'LBL_ACTION_NEW_REL_TITLE' => 'Create a record associated with a module related to the target module',
  'LBL_RELATED_RECORD' => 'record',
  
  'LBL_NEXT_BUTTON' => 'Next',
  'LBL_PREVIOUS_BUTTON' => 'Previous',
  
	'LBL_LIST_ACTION_DESCRIPTION' => 'Actions to be performed:',
	'LBL_INVITEES' => 'Invitees',

	'LBL_DETAILS' => 'Details',
 	'LBL_SELECT_VALUE' => 'You must select a valid value.',
 	'LBL_SELECT_MODULE' => 'You must select a module.',
	'LBL_SELECT_RELATED_MODULE' => 'You must select a related module.',
	'LBL_SET' => 'Set',
	'LBL_AS' => 'as',
	'LBL_SHOW' => 'Show',
    'LBL_TITLE_ADVANCED'=>'Advanced Related Module Options',
    'LBL_BY' => 'by',
    'LBL__S' => ' s',
    'LBL_FILTER_RELATED'=>'Filter Related',
    'LBL_ASSOCIATED_WITH'=>' associated with a related ',
);


?>
