<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Triggers',
  'LBL_MODULE_TITLE' => 'Workflow Triggers: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Workflow Trigger Search',
  'LBL_LIST_FORM_TITLE' => 'Trigger List',
  'LBL_NEW_FORM_TITLE' => 'Create Trigger',
  'LBL_LIST_NAME' => 'Trigger Name:',
  'LBL_LIST_TRIGGER_TYPE' => 'Type:',
  'LBL_LIST_LEFT_FIELD' => 'Field:',
  'LBL_LIST_OPERATOR' => 'Operator:',
  'LBL_LIST_RIGHT_VALUE' => 'Value:',
  'LBL_NAME' => 'Trigger Name:',
  'LBL_LEFT_FIELD' => 'Field:',
  'LBL_DESCRIPTION' => 'Description:',
  'LBL_TYPE' => 'Type:',
  'LBL_STATUS' => 'Status:',
  'LBL_BASE_MODULE' => 'Main Module:',

  'LNK_NEW_TRIGGER' => 'Create Trigger',
  'LNK_TRIGGER' => 'Workflow Triggers',
  'LBL_TIME_INT' => 'for at least ',
  'LBL_SET' => 'Set',
  'LBL_AS' => 'as',
  'LBL_TITLE' => 'Set value to:',
  'LBL_FROM' => 'from',
  'LBL_SHOW' => 'Show',
  'LBL_MODIFY_FIELD'=>'Modify the field:',











  ////////////Old stuff below, eventually move or rename or delete


  'LNK_LIST_REPORTMAKER' => 'Report List',
  'LNK_NEW_REPORTMAKER' => 'Create New Report',
  'LNK_LIST_DATASET' => 'Data Set List',
  'LNK_NEW_DATASET' => 'Create Data Set',

  'LNK_NEW_QUERYBUILDER' => 'Create Query',
  'LNK_QUERYBUILDER' => 'Query Builder',
  'LBL_ALL_REPORTS' => 'All Reports',

  'NTC_DELETE_CONFIRMATION' => 'Are you sure you want to delete this record?',
  'ERR_DELETE_RECORD' => 'A record number must be specified to delete the product.',

    //for subpanel under the workflow
  'LBL_ADD_COLUMN _BUTTON_TITLE' => 'Add [Alt+C]',
  'LBL_ADD_COLUMN_BUTTON_KEY' => 'C',
  'LBL_ADD_COLUMN_BUTTON_LABEL' => 'Add Column',
  'LBL_ADD_GROUPBY_BUTTON_LABEL' => 'Add Group By',
  'LBL_ADD_GROUPBY _BUTTON_TITLE' => 'Add [Alt+G]',
  'LBL_ADD_GROUPBY_BUTTON_KEY' => 'G',
  'LBL_NEW_BUTTON_TITLE' => 'Add [Alt+N]',
  'LBL_NEW_BUTTON_KEY' => 'N',
  'LBL_NEW_BUTTON_LABEL' => 'Create New',
  'LBL_DETAILS_BUTTON_TITLE' => 'Report Details [Alt+D]',
  'LBL_DETAILS_BUTTON_KEY' => 'D',
  'LBL_DETAILS_BUTTON_LABEL' => 'Report Details',
  'LBL_EDIT_BUTTON_TITLE' => 'Edit Report [Alt+E]',
  'LBL_EDIT_BUTTON_KEY' => 'N',
  'LBL_EDIT_BUTTON_LABEL' => 'Edit Report',
  'LBL_RUN_BUTTON_TITLE' => 'Run Report [Alt+R]',
  'LBL_RUN_BUTTON_KEY' => 'R',
  'LBL_RUN_BUTTON_LABEL' => 'Run Report',




);


?>
