<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Professional Subscription
 * Agreement ("License") which can be viewed at
 * http://www.sugarcrm.com/crm/products/sugar-professional-eula.html
 * By installing or using this file, You have unconditionally agreed to the
 * terms and conditions of the License, and You may not use this file except in
 * compliance with the License.  Under the terms of the license, You shall not,
 * among other things: 1) sublicense, resell, rent, lease, redistribute, assign
 * or otherwise transfer Your rights to the Software, and 2) use the Software
 * for timesharing or service bureau purposes such as hosting the Software for
 * commercial gain and/or for the benefit of a third party.  Use of the Software
 * may be subject to applicable fees and any use of the Software without first
 * paying applicable fees is strictly prohibited.  You do not have the right to
 * remove SugarCRM copyrights from the source code or user interface.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *  (i) the "Powered by SugarCRM" logo and
 *  (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * Your Warranty, Limitations of liability and Indemnity are expressly stated
 * in the License.  Please refer to the License for the specific language
 * governing these rights and limitations under the License.  Portions created
 * by SugarCRM are Copyright (C) 2004-2007 SugarCRM, Inc.; All Rights Reserved.
 ********************************************************************************/
/*********************************************************************************

 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Alerts',
  'LBL_MODULE_TITLE' => 'Alerts: Home',
  'LBL_MODULE_SECTION_TITLE' => 'These operations will be performed',
  'LBL_SEARCH_FORM_TITLE' => 'Workflow Alert Search',
  'LBL_LIST_FORM_TITLE' => 'Alert List',
  'LBL_NEW_FORM_TITLE' => 'Create Workflow Alert',
  'LBL_LIST_NAME' => 'Name',
  'LBL_LIST_ALERT_TYPE' => 'Alert Type',
  'LBL_LIST_ALERT_TEXT' => 'Alert Msg',
  'LBL_CUSTOM_TEMPLATE_NAME' => 'Custom Template',
  'LBL_NAME' => 'Name:',
  'LBL_ALERT_TEXT' => 'Alert Text:',
  'LBL_ALERT_TYPE' => 'Alert Type:',
  'LBL_SOURCE_TYPE' => 'Source Type:',
  'LBL_LIST_TYPE' => 'Type:',
  'LBL_LIST_DETAILS' => 'Details',
  
  'LNK_NEW_WORKFLOW' => 'Create Workflow Definition',
  'LNK_WORKFLOW' => 'List Workflow Definitions',   
  
  'LBL_PARENT_WORKFLOW' => 'Parent Workflow Object:',
  'LBL_RETURN_TO_WORKFLOW' => 'Return to Workflow Definition',
  
  'NTC_REMOVE_ALERT' => 'Are you sure you want to remove this alert and all its recipients?',
  
  
  'LBL_LIST_STATEMENT' => 'Event Description:',
  
  
  	'STATEMENT_PART1' => 'Send',
	'STATEMENT_PART2' => 'using a',
  ////////////Old stuff below, eventually move or rename or delete
  
  
  'LNK_LIST_REPORTMAKER' => 'Report List',
  'LNK_NEW_REPORTMAKER' => 'Create New Report',
  'LNK_LIST_DATASET' => 'Data Set List',
  'LNK_NEW_DATASET' => 'Create Data Set',

  'LNK_NEW_QUERYBUILDER' => 'Create Query',
  'LNK_QUERYBUILDER' => 'Query Builder',
  'LBL_ALL_REPORTS' => 'All Reports',
  
  'NTC_DELETE_CONFIRMATION' => 'Are you sure you want to delete this record?',
  'ERR_DELETE_RECORD' => 'A record number must be specified to delete the product.',
  
  //Sub panel combo list view
  
	'LBL_NEW_BUTTON_LABEL_ALERT' => 'Create Alert',
	'LBL_NEW_BUTTON_KEY_ALERT' => 'A',
	'LBL_NEW_BUTTON_TITLE_ALERT' => 'Create Alert [Alt+A]',
	'LBL_NEW_BUTTON_LABEL_ACTION' => 'Create Action',
	'LBL_NEW_BUTTON_KEY_ACTION' => 'C',
	'LBL_NEW_BUTTON_TITLE_ACTION' => 'Create Action [Alt+C]', 
	'LBL_MODULE_NAME_COMBO' => 'Alerts',
	
 	'LNK_ALERT_TEMPLATES' => 'Alert Templates',
	'LNK_PROCESS_VIEW' => 'Workflow Execution Order',
	'LBL_LIST_COMPONENTS' => 'Components',
	'LBL_RECIPIENTS' => 'Recipients',
	
	
	//Invite Labels
	'LBL_MODULE_TITLE_INVITE' => 'Invite People',
	'LBL_SHOW' => 'Show',
	
);


?>
